/*=========================================================================

  Program:   gdcm
  Module:    $RCSfile: gdcmDefaultDicts.cxx.in,v $
  Language:  C++
  Date:      $Date: 2006-02-18 12:36:38 $
  Version:   $Revision: 1.6 $

  Copyright (c) CREATIS (Centre de Recherche et d'Applications en Traitement de
  l'Image). All rights reserved. See Doc/License.txt or
  http://www.creatis.insa-lyon.fr/Public/Gdcm/License.html for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notices for more information.

=========================================================================*/

#ifndef GDCMDEFAULTDICTS_H
#define GDCMDEFAULTDICTS_H

#include "gdcmDict.h"
#include "gdcmDictEntry.h"
#include "gdcmTS.h"
#include "gdcmVR.h"
#include "gdcmDictGroupName.h"
#include "gdcmDicomDirElement.h"

namespace gdcm
{

typedef struct
{
   uint16_t group;
   uint16_t element;
   const char *vr;
   const char *vm;
   const char *name;
} DICT_ENTRY;

static DICT_ENTRY datadir[] = {

   {0x0000, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x0000, 0x0001, "UL" , "1" , "Command Length to End (RET)"}, 
   {0x0000, 0x0002, "UI" , "1" , "Affected SOP Class UID"}, 
   {0x0000, 0x0003, "UI" , "1" , "Requested SOP Class UID"}, 
   {0x0000, 0x0010, "SH" , "1" , "Command Recognition Code (RET)"}, 
   {0x0000, 0x0100, "US" , "1" , "Command Field"}, 
   {0x0000, 0x0110, "US" , "1" , "Message ID (first)"}, 
   {0x0000, 0x0120, "US" , "1" , "Message ID Responded to"}, 
   {0x0000, 0x0600, "AE" , "1" , "Move Destination"}, 
   {0x0000, 0x0700, "US" , "1" , "Priority"}, 
   {0x0000, 0x0800, "US" , "1" , "Data Set Type"}, 
   {0x0000, 0x0900, "US" , "1" , "Status"}, 
   {0x0000, 0x0901, "AT" , "1" , "Offending Element"}, 
   {0x0000, 0x0902, "LO" , "1" , "Error Comment"}, 
   {0x0000, 0x0903, "US" , "1" , "Error ID"}, 
   {0x0000, 0x1001, "UI" , "1" , "SOP Requested Instance UID"}, 
   {0x0000, 0x1000, "UI" , "1" , "SOP Affected Instance UID"}, 
   {0x0000, 0x1002, "US" , "1" , "Event Type ID"}, 
   {0x0000, 0x1008, "US" , "1" , "Action Type ID"}, 
   {0x0000, 0x1020, "US" , "1" , "Remaining Suboperations"}, 
   {0x0000, 0x1021, "US" , "1" , "Completed Suboperations"}, 
   {0x0000, 0x1022, "US" , "1" , "Failed Suboperations"}, 
   {0x0000, 0x1023, "US" , "1" , "Warning Suboperations"}, 
   {0x0000, 0x1030, "AE" , "1" , "AE Title"}, 
   {0x0000, 0x1031, "US" , "1" , "Message ID (second)"}, 
   {0x0000, 0x1005, "AT" , "1" , "Attribute Identifier List"}, 
   {0x0002, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x0002, 0x0001, "OB" , "1" , "File Meta Information Version"}, 
   {0x0002, 0x0002, "UI" , "1" , "Media Storage SOP Class UID"}, 
   {0x0002, 0x0003, "UI" , "1" , "Media Storage SOP Instance UID"}, 
   {0x0002, 0x0010, "UI" , "1" , "Transfer Syntax UID"}, 
   {0x0002, 0x0012, "UI" , "1" , "Implementation Class UID"}, 
   {0x0002, 0x0013, "SH" , "1" , "Implementation Version Name"}, 
   {0x0002, 0x0016, "AE" , "1" , "Source Application Entity Title"}, 
   {0x0002, 0x0100, "UI" , "1" , "Private Information Creator UID"}, 
   {0x0002, 0x0102, "OB" , "1" , "Private Information"}, 
   {0x0004, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x0004, 0x1130, "CS" , "1" , "File-set ID"}, 
   {0x0004, 0x1141, "CS" , "1-8" , "File-set Descriptor File ID"}, 
   {0x0004, 0x1142, "CS" , "1" , "Specific Character Set of File-set Descriptor File"}, 
   {0x0004, 0x1200, "UL" , "1" , "Offset of the First Directory Record of the Root Directory Entity"}, 
   {0x0004, 0x1202, "UL" , "1" , "Offset of the Last Directory Record of the Root Directory Entity"}, 
   {0x0004, 0x1212, "US" , "1" , "File-set Consistency Flag"}, 
   {0x0004, 0x1220, "SQ" , "1" , "Directory Record Sequence"}, 
   {0x0004, 0x1400, "UL" , "1" , "Offset of the Next Directory Record"}, 
   {0x0004, 0x1410, "US" , "1" , "Record In-use Flag"}, 
   {0x0004, 0x1420, "UL" , "1" , "Offset of Referenced Lower-Level Directory Entity"}, 
   {0x0004, 0x1430, "CS" , "1" , "Directory Record Type"}, 
   {0x0004, 0x1432, "UI" , "1" , "Private Record UID"}, 
   {0x0004, 0x1500, "CS" , "1-8" , "Referenced File ID"}, 
   {0x0004, 0x1504, "UL" , "1" , "MRDR Directory Record Offset"}, 
   {0x0004, 0x1510, "UI" , "1" , "Referenced SOP Class UID in File"}, 
   {0x0004, 0x1511, "UI" , "1" , "Referenced SOP Instance UID in File"}, 
   {0x0004, 0x1512, "UI" , "1" , "Referenced Transfer Syntax UID in File"}, 
   {0x0004, 0x151a, "UI" , "1-n" , "Referenced Related General SOP Class UID in File"}, 
   {0x0004, 0x1600, "UL" , "1" , "Number of References"}, 
   {0x0008, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x0008, 0x0001, "UL" , "1" , "Length to End (RET)"}, 
   {0x0008, 0x0005, "CS" , "1-n" , "Specific Character Set"}, 
   {0x0008, 0x0008, "CS" , "1-n" , "Image Type"}, 
   {0x0008, 0x0010, "LO" , "1" , "Recognition Code (RET)"}, 
   {0x0008, 0x0012, "DA" , "1" , "Instance Creation Date"}, 
   {0x0008, 0x0013, "TM" , "1" , "Instance Creation Time"}, 
   {0x0008, 0x0014, "UI" , "1" , "Instance Creator UID"}, 
   {0x0008, 0x0016, "UI" , "1" , "SOP Class UID"}, 
   {0x0008, 0x0018, "UI" , "1" , "SOP Instance UID"}, 
   {0x0008, 0x001a, "UI" , "1-n" , "Related General SOP Class UID"}, 
   {0x0008, 0x001b, "UI" , "1" , "Original Specialized SOP Class UID"}, 
   {0x0008, 0x0020, "DA" , "1" , "Study Date"}, 
   {0x0008, 0x0021, "DA" , "1" , "Series Date"}, 
   {0x0008, 0x0022, "DA" , "1" , "Acquisition Date"}, 
   {0x0008, 0x0023, "DA" , "1" , "Content Date"}, 
   {0x0008, 0x0024, "DA" , "1" , "Overlay Date"}, 
   {0x0008, 0x0025, "DA" , "1" , "Curve Date"}, 
   {0x0008, 0x002a, "DT" , "1" , "Acquisition Datetime"}, 
   {0x0008, 0x0030, "TM" , "1" , "Study Time"}, 
   {0x0008, 0x0031, "TM" , "1" , "Series Time"}, 
   {0x0008, 0x0032, "TM" , "1" , "Acquisition Time"}, 
   {0x0008, 0x0033, "TM" , "1" , "Content Time"}, 
   {0x0008, 0x0034, "TM" , "1" , "Overlay Time"}, 
   {0x0008, 0x0035, "TM" , "1" , "Curve Time"}, 
   {0x0008, 0x0040, "SS" , "1" , "Data Set Type (RET)"}, 
   {0x0008, 0x0041, "LO" , "1" , "Data Set Subtype (RET)"}, 
   {0x0008, 0x0042, "CS" , "1" , "Nuclear Medicine Series Type (RET)"}, 
   {0x0008, 0x0050, "SH" , "1" , "Accession Number"}, 
   {0x0008, 0x0052, "CS" , "1" , "Query/Retrieve Level"}, 
   {0x0008, 0x0054, "AE" , "1-n" , "Retrieve AE Title"}, 
   {0x0008, 0x0056, "CS" , "1" , "Instance Availability"}, 
   {0x0008, 0x0058, "UI" , "1-n" , "Failed SOP Instance UID List"}, 
   {0x0008, 0x0060, "CS" , "1" , "Modality"}, 
   {0x0008, 0x0061, "CS" , "1-n" , "Modalities in Study"}, 
   {0x0008, 0x0062, "UI" , "1-n" , "SOP Classes in Study"}, 
   {0x0008, 0x0064, "CS" , "1" , "Conversion Type"}, 
   {0x0008, 0x0068, "CS" , "1" , "Presentation Intent Type"}, 
   {0x0008, 0x0070, "LO" , "1" , "Manufacturer"}, 
   {0x0008, 0x0080, "LO" , "1" , "Institution Name"}, 
   {0x0008, 0x0081, "ST" , "1" , "Institution Address"}, 
   {0x0008, 0x0082, "SQ" , "1" , "Institution Code Sequence"}, 
   {0x0008, 0x0090, "PN" , "1" , "Referring Physician's Name"}, 
   {0x0008, 0x0092, "ST" , "1" , "Referring Physician's Address"}, 
   {0x0008, 0x0094, "SH" , "1-n" , "Referring Physician's Telephone Numbers"}, 
   {0x0008, 0x0096, "SQ" , "1" , "Referring Physician Identification Sequence"}, 
   {0x0008, 0x0100, "SH" , "1" , "Code Value"}, 
   {0x0008, 0x0102, "SH" , "1" , "Coding Scheme Designator"}, 
   {0x0008, 0x0103, "SH" , "1" , "Coding Scheme Version"}, 
   {0x0008, 0x0104, "LO" , "1" , "Code Meaning"}, 
   {0x0008, 0x0105, "CS" , "1" , "Mapping Resource"}, 
   {0x0008, 0x0106, "DT" , "1" , "Context Group Version"}, 
   {0x0008, 0x0107, "DT" , "1" , "Context Group Local Version"}, 
   {0x0008, 0x010b, "CS" , "1" , "Context Group Extension Flag"}, 
   {0x0008, 0x010c, "UI" , "1" , "Coding Scheme UID"}, 
   {0x0008, 0x010d, "UI" , "1" , "Context Group Extension Creator UID"}, 
   {0x0008, 0x010f, "CS" , "1" , "Context Identifier"}, 
   {0x0008, 0x0110, "SQ" , "1" , "Coding Scheme Identification Sequence"}, 
   {0x0008, 0x0112, "LO" , "1" , "Coding Scheme Registry"}, 
   {0x0008, 0x0114, "ST" , "1" , "Coding Scheme External ID"}, 
   {0x0008, 0x0115, "ST" , "1" , "Coding Scheme Name"}, 
   {0x0008, 0x0116, "ST" , "1" , "Responsible Organization"}, 
   {0x0008, 0x0201, "SH" , "1" , "Timezone Offset From UTC"}, 
   {0x0008, 0x1000, "LT" , "1" , "Network ID (RET)"}, 
   {0x0008, 0x1010, "SH" , "1" , "Station Name"}, 
   {0x0008, 0x1030, "LO" , "1" , "Study Description"}, 
   {0x0008, 0x1032, "SQ" , "1" , "Procedure Code Sequence"}, 
   {0x0008, 0x103e, "LO" , "1" , "Series Description"}, 
   {0x0008, 0x1040, "LO" , "1" , "Institutional Department Name"}, 
   {0x0008, 0x1048, "PN" , "1-n" , "Physician(s) of Record"}, 
   {0x0008, 0x1049, "SQ" , "1" , "Physician(s) of Record Identification Sequence"}, 
   {0x0008, 0x1050, "PN" , "1-n" , "Performing Physician's Name"}, 
   {0x0008, 0x1052, "SQ" , "1" , "Performing Physician Identification Sequence"}, 
   {0x0008, 0x1060, "PN" , "1-n" , "Name of Physician(s) Reading Study"}, 
   {0x0008, 0x1062, "SQ" , "1" , "Physician(s) Reading Study Identification Sequence"}, 
   {0x0008, 0x1070, "PN" , "1-n" , "Operator's Name"}, 
   {0x0008, 0x1072, "SQ" , "1" , "Operator Identification Sequence"}, 
   {0x0008, 0x1080, "LO" , "1-n" , "Admitting Diagnoses Description"}, 
   {0x0008, 0x1084, "SQ" , "1" , "Admitting Diagnoses Code Sequence"}, 
   {0x0008, 0x1090, "LO" , "1" , "Manufacturer's Model Name"}, 
   {0x0008, 0x1100, "SQ" , "1" , "Referenced Results Sequence"}, 
   {0x0008, 0x1110, "SQ" , "1" , "Referenced Study Sequence"}, 
   {0x0008, 0x1111, "SQ" , "1" , "Referenced Performed Procedure Step Sequence"}, 
   {0x0008, 0x1115, "SQ" , "1" , "Referenced Series Sequence"}, 
   {0x0008, 0x1120, "SQ" , "1" , "Referenced Patient Sequence"}, 
   {0x0008, 0x1125, "SQ" , "1" , "Referenced Visit Sequence"}, 
   {0x0008, 0x1130, "SQ" , "1" , "Referenced Overlay Sequence"}, 
   {0x0008, 0x113a, "SQ" , "1" , "Referenced Waveform Sequence"}, 
   {0x0008, 0x1140, "SQ" , "1" , "Referenced Image Sequence"}, 
   {0x0008, 0x1145, "SQ" , "1" , "Referenced Curve Sequence"}, 
   {0x0008, 0x114a, "SQ" , "1" , "Referenced Instance Sequence"}, 
   {0x0008, 0x1150, "UI" , "1" , "Referenced SOP Class UID"}, 
   {0x0008, 0x1155, "UI" , "1" , "Referenced SOP Instance UID"}, 
   {0x0008, 0x115a, "UI" , "1-n" , "SOP Classes Supported"}, 
   {0x0008, 0x1160, "IS" , "1-n" , "Referenced Frame Number"}, 
   {0x0008, 0x1195, "UI" , "1" , "Transaction UID"}, 
   {0x0008, 0x1197, "US" , "1" , "Failure Reason"}, 
   {0x0008, 0x1198, "SQ" , "1" , "Failed SOP Sequence"}, 
   {0x0008, 0x1199, "SQ" , "1" , "Referenced SOP Sequence"}, 
   {0x0008, 0x1200, "SQ" , "1" , "Studies Containing Other Referenced Instances Sequence"}, 
   {0x0008, 0x1250, "SQ" , "1" , "Related Series Sequence"}, 
   {0x0008, 0x2110, "CS" , "1" , "Lossy Image Compression (RET)"}, 
   {0x0008, 0x2111, "ST" , "1" , "Derivation Description"}, 
   {0x0008, 0x2112, "SQ" , "1" , "Source Image Sequence"}, 
   {0x0008, 0x2120, "SH" , "1" , "Stage Name"}, 
   {0x0008, 0x2122, "IS" , "1" , "Stage Number"}, 
   {0x0008, 0x2124, "IS" , "1" , "Number of Stages"}, 
   {0x0008, 0x2127, "SH" , "1" , "View Name"}, 
   {0x0008, 0x2128, "IS" , "1" , "View Number"}, 
   {0x0008, 0x2129, "IS" , "1" , "Number of Event Timers"}, 
   {0x0008, 0x212a, "IS" , "1" , "Number of Views in Stage"}, 
   {0x0008, 0x2130, "DS" , "1-n" , "Event Elapsed Time(s)"}, 
   {0x0008, 0x2132, "LO" , "1-n" , "Event Timer Name(s)"}, 
   {0x0008, 0x2142, "IS" , "1" , "Start Trim"}, 
   {0x0008, 0x2143, "IS" , "1" , "Stop Trim"}, 
   {0x0008, 0x2144, "IS" , "1" , "Recommended Display Frame Rate"}, 
   {0x0008, 0x2200, "CS" , "1" , "Transducer Position (RET)"}, 
   {0x0008, 0x2204, "CS" , "1" , "Transducer Orientation (RET)"}, 
   {0x0008, 0x2208, "CS" , "1" , "Anatomic Structure (RET)"}, 
   {0x0008, 0x2218, "SQ" , "1" , "Anatomic Region Sequence"}, 
   {0x0008, 0x2220, "SQ" , "1" , "Anatomic Region Modifier Sequence"}, 
   {0x0008, 0x2228, "SQ" , "1" , "Primary Anatomic Structure Sequence"}, 
   {0x0008, 0x2229, "SQ" , "1" , "Anatomic Structure, Space or Region Sequence"}, 
   {0x0008, 0x2230, "SQ" , "1" , "Primary Anatomic Structure Modifier Sequence"}, 
   {0x0008, 0x2240, "SQ" , "1" , "Transducer Position Sequence"}, 
   {0x0008, 0x2242, "SQ" , "1" , "Transducer Position Modifier Sequence"}, 
   {0x0008, 0x2244, "SQ" , "1" , "Transducer Orientation Sequence"}, 
   {0x0008, 0x2246, "SQ" , "1" , "Transducer Orientation Modifier Sequence"}, 
   {0x0008, 0x3001, "SQ" , "1" , "Alternate Representation Sequence"}, 
   {0x0008, 0x4000, "LT" , "1-n" , "Identifying Comments (RET)"}, 
   {0x0008, 0x9007, "CS" , "4" , "Frame Type"}, 
   {0x0008, 0x9092, "SQ" , "1" , "Referenced Image Evidence Sequence"}, 
   {0x0008, 0x9121, "SQ" , "1" , "Referenced Raw Data Sequence"}, 
   {0x0008, 0x9123, "UI" , "1" , "Creator-Version UID"}, 
   {0x0008, 0x9124, "SQ" , "1" , "Derivation Image Sequence"}, 
   {0x0008, 0x9154, "SQ" , "1" , "Source Image Evidence Sequence"}, 
   {0x0008, 0x9205, "CS" , "1" , "Pixel Presentation"}, 
   {0x0008, 0x9206, "CS" , "1" , "Volumetric Properties"}, 
   {0x0008, 0x9207, "CS" , "1" , "Volume Based Calculation Technique"}, 
   {0x0008, 0x9208, "CS" , "1" , "Complex Image Component"}, 
   {0x0008, 0x9209, "CS" , "1" , "Acquisition Contrast"}, 
   {0x0008, 0x9215, "SQ" , "1" , "Derivation Code Sequence"}, 
   {0x0008, 0x9237, "SQ" , "1" , "Referenced Grayscale Presentation State Sequence"}, 
   {0x0010, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x0010, 0x0010, "PN" , "1" , "Patient's Name"}, 
   {0x0010, 0x0020, "LO" , "1" , "Patient ID"}, 
   {0x0010, 0x0021, "LO" , "1" , "Issuer of Patient ID"}, 
   {0x0010, 0x0030, "DA" , "1" , "Patient's Birth Date"}, 
   {0x0010, 0x0032, "TM" , "1" , "Patient's Birth Time"}, 
   {0x0010, 0x0040, "CS" , "1" , "Patient's Sex"}, 
   {0x0010, 0x0050, "SQ" , "1" , "Patient's Insurance Plan Code Sequence"}, 
   {0x0010, 0x0101, "SQ" , "1" , "Patient's Primary Language Code Sequence"}, 
   {0x0010, 0x0102, "SQ" , "1" , "Patient's Primary Language Code Modifier Sequence"}, 
   {0x0010, 0x1000, "LO" , "1-n" , "Other Patient IDs"}, 
   {0x0010, 0x1001, "PN" , "1-n" , "Other Patient Names"}, 
   {0x0010, 0x1005, "PN" , "1" , "Patient's Birth Name"}, 
   {0x0010, 0x1010, "AS" , "1" , "Patient's Age"}, 
   {0x0010, 0x1020, "DS" , "1" , "Patient's Size"}, 
   {0x0010, 0x1030, "DS" , "1" , "Patient's Weight"}, 
   {0x0010, 0x1040, "LO" , "1" , "Patient's Address"}, 
   {0x0010, 0x1050, "LT" , "1-n" , "Insurance Plan Identification (RET)"}, 
   {0x0010, 0x1060, "PN" , "1" , "Patient's Mother's Birth Name"}, 
   {0x0010, 0x1080, "LO" , "1" , "Military Rank"}, 
   {0x0010, 0x1081, "LO" , "1" , "Branch of Service"}, 
   {0x0010, 0x1090, "LO" , "1" , "Medical Record Locator"}, 
   {0x0010, 0x2000, "LO" , "1-n" , "Medical Alerts"}, 
   {0x0010, 0x2110, "LO" , "1-n" , "Contrast Allergies"}, 
   {0x0010, 0x2150, "LO" , "1" , "Country of Residence"}, 
   {0x0010, 0x2152, "LO" , "1" , "Region of Residence"}, 
   {0x0010, 0x2154, "SH" , "1-n" , "Patient's Telephone Numbers"}, 
   {0x0010, 0x2160, "SH" , "1" , "Ethnic Group"}, 
   {0x0010, 0x2180, "SH" , "1" , "Occupation"}, 
   {0x0010, 0x21a0, "CS" , "1" , "Smoking Status"}, 
   {0x0010, 0x21b0, "LT" , "1" , "Additional Patient History"}, 
   {0x0010, 0x21c0, "US" , "1" , "Pregnancy Status"}, 
   {0x0010, 0x21d0, "DA" , "1" , "Last Menstrual Date"}, 
   {0x0010, 0x21f0, "LO" , "1" , "Patient's Religious Preference"}, 
   {0x0010, 0x4000, "LT" , "1" , "Patient Comments"}, 
   {0x0012, 0x0010, "LO" , "1" , "Clinical Trial Sponsor Name"}, 
   {0x0012, 0x0020, "LO" , "1" , "Clinical Trial Protocol ID"}, 
   {0x0012, 0x0021, "LO" , "1" , "Clinical Trial Protocol Name"}, 
   {0x0012, 0x0030, "LO" , "1" , "Clinical Trial Site ID"}, 
   {0x0012, 0x0031, "LO" , "1" , "Clinical Trial Site Name"}, 
   {0x0012, 0x0040, "LO" , "1" , "Clinical Trial Subject ID"}, 
   {0x0012, 0x0042, "LO" , "1" , "Clinical Trial Subject Reading ID"}, 
   {0x0012, 0x0050, "LO" , "1" , "Clinical Trial Time Point ID"}, 
   {0x0012, 0x0051, "ST" , "1" , "Clinical Trial Time Point Description"}, 
   {0x0012, 0x0060, "LO" , "1" , "Clinical Trial Coordinating Center Name"}, 
   {0x0018, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x0018, 0x0010, "LO" , "1" , "Contrast/Bolus Agent"}, 
   {0x0018, 0x0012, "SQ" , "1" , "Contrast/Bolus Agent Sequence"}, 
   {0x0018, 0x0014, "SQ" , "1" , "Contrast/Bolus Administration Route Sequence"}, 
   {0x0018, 0x0015, "CS" , "1" , "Body Part Examined"}, 
   {0x0018, 0x0020, "CS" , "1-n" , "Scanning Sequence"}, 
   {0x0018, 0x0021, "CS" , "1-n" , "Sequence Variant"}, 
   {0x0018, 0x0022, "CS" , "1-n" , "Scan Options"}, 
   {0x0018, 0x0023, "CS" , "1" , "MR Acquisition Type"}, 
   {0x0018, 0x0024, "SH" , "1" , "Sequence Name"}, 
   {0x0018, 0x0025, "CS" , "1" , "Angio Flag"}, 
   {0x0018, 0x0026, "SQ" , "1" , "Intervention Drug Information Sequence"}, 
   {0x0018, 0x0027, "TM" , "1" , "Intervention Drug Stop Time"}, 
   {0x0018, 0x0028, "DS" , "1" , "Intervention Drug Dose"}, 
   {0x0018, 0x0029, "SQ" , "1" , "Intervention Drug Sequence"}, 
   {0x0018, 0x002a, "SQ" , "1" , "Additional Drug Sequence"}, 
   {0x0018, 0x0030, "LO" , "1-n" , "Radionuclide (RET)"}, 
   {0x0018, 0x0031, "LO" , "1" , "Radiopharmaceutical"}, 
   {0x0018, 0x0032, "DS" , "1" , "Energy Window Centerline (RET)"}, 
   {0x0018, 0x0033, "DS" , "1-n" , "Energy Window Total Width (RET)"}, 
   {0x0018, 0x0034, "LO" , "1" , "Intervention Drug Name"}, 
   {0x0018, 0x0035, "TM" , "1" , "Intervention Drug Start Time"}, 
   {0x0018, 0x0036, "SQ" , "1" , "Intervention Sequence"}, 
   {0x0018, 0x0037, "CS" , "1" , "Therapy Type (RET)"}, 
   {0x0018, 0x0038, "CS" , "1" , "Intervention Status"}, 
   {0x0018, 0x0039, "CS" , "1" , "Therapy Description (RET)"}, 
   {0x0018, 0x003a, "ST" , "1" , "Intervention Description"}, 
   {0x0018, 0x0040, "IS" , "1" , "Cine Rate"}, 
   {0x0018, 0x0050, "DS" , "1" , "Slice Thickness"}, 
   {0x0018, 0x0060, "DS" , "1" , "KVP"}, 
   {0x0018, 0x0070, "IS" , "1" , "Counts Accumulated"}, 
   {0x0018, 0x0071, "CS" , "1" , "Acquisition Termination Condition"}, 
   {0x0018, 0x0072, "DS" , "1" , "Effective Duration"}, 
   {0x0018, 0x0073, "CS" , "1" , "Acquisition Start Condition"}, 
   {0x0018, 0x0074, "IS" , "1" , "Acquisition Start Condition Data"}, 
   {0x0018, 0x0075, "IS" , "1" , "Acquisition Termination Condition Data"}, 
   {0x0018, 0x0080, "DS" , "1" , "Repetition Time"}, 
   {0x0018, 0x0081, "DS" , "1" , "Echo Time"}, 
   {0x0018, 0x0082, "DS" , "1" , "Inversion Time"}, 
   {0x0018, 0x0083, "DS" , "1" , "Number of Averages"}, 
   {0x0018, 0x0084, "DS" , "1" , "Imaging Frequency"}, 
   {0x0018, 0x0085, "SH" , "1" , "Imaged Nucleus"}, 
   {0x0018, 0x0086, "IS" , "1-n" , "Echo Number(s)"}, 
   {0x0018, 0x0087, "DS" , "1" , "Magnetic Field Strength"}, 
   {0x0018, 0x0088, "DS" , "1" , "Spacing Between Slices"}, 
   {0x0018, 0x0089, "IS" , "1" , "Number of Phase Encoding Steps"}, 
   {0x0018, 0x0090, "DS" , "1" , "Data Collection Diameter"}, 
   {0x0018, 0x0091, "IS" , "1" , "Echo Train Length"}, 
   {0x0018, 0x0093, "DS" , "1" , "Percent Sampling"}, 
   {0x0018, 0x0094, "DS" , "1" , "Percent Phase Field of View"}, 
   {0x0018, 0x0095, "DS" , "1" , "Pixel Bandwidth"}, 
   {0x0018, 0x1000, "LO" , "1" , "Device Serial Number"}, 
   {0x0018, 0x1004, "LO" , "1" , "Plate ID"}, 
   {0x0018, 0x1010, "LO" , "1" , "Secondary Capture Device ID"}, 
   {0x0018, 0x1011, "LO" , "1" , "Hardcopy Creation Device ID"}, 
   {0x0018, 0x1012, "DA" , "1" , "Date of Secondary Capture"}, 
   {0x0018, 0x1014, "TM" , "1" , "Time of Secondary Capture"}, 
   {0x0018, 0x1016, "LO" , "1" , "Secondary Capture Device Manufacturer"}, 
   {0x0018, 0x1017, "LO" , "1" , "Hardcopy Device Manufacturer"}, 
   {0x0018, 0x1018, "LO" , "1" , "Secondary Capture Device Manufacturer's Model Name"}, 
   {0x0018, 0x1019, "LO" , "1-n" , "Secondary Capture Device Software Version(s)"}, 
   {0x0018, 0x101a, "LO" , "1-n" , "Hardcopy Device Software Version"}, 
   {0x0018, 0x101b, "LO" , "1" , "Hardcopy Device Manufacturer's Model Name"}, 
   {0x0018, 0x1020, "LO" , "1-n" , "Software Version(s)"}, 
   {0x0018, 0x1022, "SH" , "1" , "Video Image Format Acquired"}, 
   {0x0018, 0x1023, "LO" , "1" , "Digital Image Format Acquired"}, 
   {0x0018, 0x1030, "LO" , "1" , "Protocol Name"}, 
   {0x0018, 0x1040, "LO" , "1" , "Contrast/Bolus Route"}, 
   {0x0018, 0x1041, "DS" , "1" , "Contrast/Bolus Volume"}, 
   {0x0018, 0x1042, "TM" , "1" , "Contrast/Bolus Start Time"}, 
   {0x0018, 0x1043, "TM" , "1" , "Contrast/Bolus Stop Time"}, 
   {0x0018, 0x1044, "DS" , "1" , "Contrast/Bolus Total Dose"}, 
   {0x0018, 0x1045, "IS" , "1" , "Syringe Counts"}, 
   {0x0018, 0x1046, "DS" , "1-n" , "Contrast Flow Rate"}, 
   {0x0018, 0x1047, "DS" , "1-n" , "Contrast Flow Duration"}, 
   {0x0018, 0x1048, "CS" , "1" , "Contrast/Bolus Ingredient"}, 
   {0x0018, 0x1049, "DS" , "1" , "Contrast/Bolus Ingredient Concentration"}, 
   {0x0018, 0x1050, "DS" , "1" , "Spatial Resolution"}, 
   {0x0018, 0x1060, "DS" , "1" , "Trigger Time"}, 
   {0x0018, 0x1061, "LO" , "1" , "Trigger Source or Type"}, 
   {0x0018, 0x1062, "IS" , "1" , "Nominal Interval"}, 
   {0x0018, 0x1063, "DS" , "1" , "Frame Time"}, 
   {0x0018, 0x1064, "LO" , "1" , "Framing Type"}, 
   {0x0018, 0x1065, "DS" , "1-n" , "Frame Time Vector"}, 
   {0x0018, 0x1066, "DS" , "1" , "Frame Delay"}, 
   {0x0018, 0x1067, "DS" , "1" , "Image Trigger Delay"}, 
   {0x0018, 0x1068, "DS" , "1" , "Multiplex Group Time Offset"}, 
   {0x0018, 0x1069, "DS" , "1" , "Trigger Time Offset"}, 
   {0x0018, 0x106a, "CS" , "1" , "Synchronization Trigger"}, 
   {0x0018, 0x106c, "US" , "2" , "Synchronization Channel"}, 
   {0x0018, 0x106e, "UL" , "1" , "Trigger Sample Position"}, 
   {0x0018, 0x1070, "LO" , "1" , "Radiopharmaceutical Route"}, 
   {0x0018, 0x1071, "DS" , "1" , "Radiopharmaceutical Volume"}, 
   {0x0018, 0x1072, "TM" , "1" , "Radiopharmaceutical Start Time"}, 
   {0x0018, 0x1073, "TM" , "1" , "Radiopharmaceutical Stop Time"}, 
   {0x0018, 0x1074, "DS" , "1" , "Radionuclide Total Dose"}, 
   {0x0018, 0x1075, "DS" , "1" , "Radionuclide Half Life"}, 
   {0x0018, 0x1076, "DS" , "1" , "Radionuclide Positron Fraction"}, 
   {0x0018, 0x1077, "DS" , "1" , "Radiopharmaceutical Specific Activity"}, 
   {0x0018, 0x1080, "CS" , "1" , "Beat Rejection Flag"}, 
   {0x0018, 0x1081, "IS" , "1" , "Low R-R Value"}, 
   {0x0018, 0x1082, "IS" , "1" , "High R-R Value"}, 
   {0x0018, 0x1083, "IS" , "1" , "Intervals Acquired"}, 
   {0x0018, 0x1084, "IS" , "1" , "Intervals Rejected"}, 
   {0x0018, 0x1085, "LO" , "1" , "PVC Rejection"}, 
   {0x0018, 0x1086, "IS" , "1" , "Skip Beats"}, 
   {0x0018, 0x1088, "IS" , "1" , "Heart Rate"}, 
   {0x0018, 0x1090, "IS" , "1" , "Cardiac Number of Images"}, 
   {0x0018, 0x1094, "IS" , "1" , "Trigger Window"}, 
   {0x0018, 0x1100, "DS" , "1" , "Reconstruction Diameter"}, 
   {0x0018, 0x1110, "DS" , "1" , "Distance Source to Detector"}, 
   {0x0018, 0x1111, "DS" , "1" , "Distance Source to Patient"}, 
   {0x0018, 0x1114, "DS" , "1" , "Estimated Radiographic Magnification Factor"}, 
   {0x0018, 0x1120, "DS" , "1" , "Gantry/Detector Tilt"}, 
   {0x0018, 0x1121, "DS" , "1" , "Gantry/Detector Slew"}, 
   {0x0018, 0x1130, "DS" , "1" , "Table Height"}, 
   {0x0018, 0x1131, "DS" , "1" , "Table Traverse"}, 
   {0x0018, 0x1134, "CS" , "1" , "Table Motion"}, 
   {0x0018, 0x1135, "DS" , "1-n" , "Table Vertical Increment"}, 
   {0x0018, 0x1136, "DS" , "1-n" , "Table Lateral Increment"}, 
   {0x0018, 0x1137, "DS" , "1-n" , "Table Longitudinal Increment"}, 
   {0x0018, 0x1138, "DS" , "1" , "Table Angle"}, 
   {0x0018, 0x113a, "CS" , "1" , "Table Type"}, 
   {0x0018, 0x1140, "CS" , "1" , "Rotation Direction"}, 
   {0x0018, 0x1141, "DS" , "1" , "Angular Position"}, 
   {0x0018, 0x1142, "DS" , "1-n" , "Radial Position"}, 
   {0x0018, 0x1143, "DS" , "1" , "Scan Arc"}, 
   {0x0018, 0x1144, "DS" , "1" , "Angular Step"}, 
   {0x0018, 0x1145, "DS" , "1" , "Center of Rotation Offset"}, 
   {0x0018, 0x1146, "DS" , "1-n" , "Rotation Offset (RET)"}, 
   {0x0018, 0x1147, "CS" , "1" , "Field of View Shape"}, 
   {0x0018, 0x1149, "IS" , "1-2" , "Field of View Dimension(s)"}, 
   {0x0018, 0x1150, "IS" , "1" , "Exposure Time"}, 
   {0x0018, 0x1151, "IS" , "1" , "X-ray Tube Current"}, 
   {0x0018, 0x1152, "IS" , "1" , "Exposure"}, 
   {0x0018, 0x1153, "IS" , "1" , "Exposure in uAs"}, 
   {0x0018, 0x1154, "DS" , "1" , "Average Pulse Width"}, 
   {0x0018, 0x1155, "CS" , "1" , "Radiation Setting"}, 
   {0x0018, 0x1156, "CS" , "1" , "Rectification Type"}, 
   {0x0018, 0x115a, "CS" , "1" , "Radiation Mode"}, 
   {0x0018, 0x115e, "DS" , "1" , "Image Area Dose Product"}, 
   {0x0018, 0x1160, "SH" , "1" , "Filter Type"}, 
   {0x0018, 0x1161, "LO" , "1-n" , "Type of Filters"}, 
   {0x0018, 0x1162, "DS" , "1" , "Intensifier Size"}, 
   {0x0018, 0x1164, "DS" , "2" , "Imager Pixel Spacing"}, 
   {0x0018, 0x1166, "CS" , "1-n" , "Grid"}, 
   {0x0018, 0x1170, "IS" , "1" , "Generator Power"}, 
   {0x0018, 0x1180, "SH" , "1" , "Collimator/grid Name"}, 
   {0x0018, 0x1181, "CS" , "1" , "Collimator Type"}, 
   {0x0018, 0x1182, "IS" , "1-2" , "Focal Distance"}, 
   {0x0018, 0x1183, "DS" , "1-2" , "X Focus Center"}, 
   {0x0018, 0x1184, "DS" , "1-2" , "Y Focus Center"}, 
   {0x0018, 0x1190, "DS" , "1-n" , "Focal Spot(s)"}, 
   {0x0018, 0x1191, "CS" , "1" , "Anode Target Material"}, 
   {0x0018, 0x11a0, "DS" , "1" , "Body Part Thickness"}, 
   {0x0018, 0x11a2, "DS" , "1" , "Compression Force"}, 
   {0x0018, 0x1200, "DA" , "1-n" , "Date of Last Calibration"}, 
   {0x0018, 0x1201, "TM" , "1-n" , "Time of Last Calibration"}, 
   {0x0018, 0x1210, "SH" , "1-n" , "Convolution Kernel"}, 
   {0x0018, 0x1240, "IS" , "1-n" , "Upper/Lower Pixel Values (RET)"}, 
   {0x0018, 0x1242, "IS" , "1" , "Actual Frame Duration"}, 
   {0x0018, 0x1243, "IS" , "1" , "Count Rate"}, 
   {0x0018, 0x1244, "US" , "1" , "Preferred Playback Sequencing"}, 
   {0x0018, 0x1250, "SH" , "1" , "Receive Coil Name"}, 
   {0x0018, 0x1251, "SH" , "1" , "Transmit Coil Name"}, 
   {0x0018, 0x1260, "SH" , "1" , "Plate Type"}, 
   {0x0018, 0x1261, "LO" , "1" , "Phosphor Type"}, 
   {0x0018, 0x1300, "DS" , "1" , "Scan Velocity"}, 
   {0x0018, 0x1301, "CS" , "1-n" , "Whole Body Technique"}, 
   {0x0018, 0x1302, "IS" , "1" , "Scan Length"}, 
   {0x0018, 0x1310, "US" , "4" , "Acquisition Matrix"}, 
   {0x0018, 0x1312, "CS" , "1" , "In-plane Phase Encoding Direction"}, 
   {0x0018, 0x1314, "DS" , "1" , "Flip Angle"}, 
   {0x0018, 0x1315, "CS" , "1" , "Variable Flip Angle Flag"}, 
   {0x0018, 0x1316, "DS" , "1" , "SAR"}, 
   {0x0018, 0x1318, "DS" , "1" , "dB/dt"}, 
   {0x0018, 0x1400, "LO" , "1" , "Acquisition Device Processing Description"}, 
   {0x0018, 0x1401, "LO" , "1" , "Acquisition Device Processing Code"}, 
   {0x0018, 0x1402, "CS" , "1" , "Cassette Orientation"}, 
   {0x0018, 0x1403, "CS" , "1" , "Cassette Size"}, 
   {0x0018, 0x1404, "US" , "1" , "Exposures on Plate"}, 
   {0x0018, 0x1405, "IS" , "1" , "Relative X-ray Exposure"}, 
   {0x0018, 0x1450, "DS" , "1" , "Column Angulation"}, 
   {0x0018, 0x1460, "DS" , "1" , "Tomo Layer Height"}, 
   {0x0018, 0x1470, "DS" , "1" , "Tomo Angle"}, 
   {0x0018, 0x1480, "DS" , "1" , "Tomo Time"}, 
   {0x0018, 0x1490, "CS" , "1" , "Tomo Type"}, 
   {0x0018, 0x1491, "CS" , "1" , "Tomo Class"}, 
   {0x0018, 0x1495, "IS" , "1" , "Number of Tomosynthesis Source Images"}, 
   {0x0018, 0x1500, "CS" , "1" , "Positioner Motion"}, 
   {0x0018, 0x1508, "CS" , "1" , "Positioner Type"}, 
   {0x0018, 0x1510, "DS" , "1" , "Positioner Primary Angle"}, 
   {0x0018, 0x1511, "DS" , "1" , "Positioner Secondary Angle"}, 
   {0x0018, 0x1520, "DS" , "1-n" , "Positioner Primary Angle Increment"}, 
   {0x0018, 0x1521, "DS" , "1-n" , "Positioner Secondary Angle Increment"}, 
   {0x0018, 0x1530, "DS" , "1" , "Detector Primary Angle"}, 
   {0x0018, 0x1531, "DS" , "1" , "Detector Secondary Angle"}, 
   {0x0018, 0x1600, "CS" , "1-3" , "Shutter Shape"}, 
   {0x0018, 0x1602, "IS" , "1" , "Shutter Left Vertical Edge"}, 
   {0x0018, 0x1604, "IS" , "1" , "Shutter Right Vertical Edge"}, 
   {0x0018, 0x1606, "IS" , "1" , "Shutter Upper Horizontal Edge"}, 
   {0x0018, 0x1608, "IS" , "1" , "Shutter Lower Horizontal Edge"}, 
   {0x0018, 0x1610, "IS" , "2" , "Center of Circular Shutter"}, 
   {0x0018, 0x1612, "IS" , "1" , "Radius of Circular Shutter"}, 
   {0x0018, 0x1620, "IS" , "2-2n" , "Vertices of the Polygonal Shutter"}, 
   {0x0018, 0x1622, "US" , "1" , "Shutter Presentation Value"}, 
   {0x0018, 0x1623, "US" , "1" , "Shutter Overlay Group"}, 
   {0x0018, 0x1700, "CS" , "1-3" , "Collimator Shape"}, 
   {0x0018, 0x1702, "IS" , "1" , "Collimator Left Vertical Edge"}, 
   {0x0018, 0x1704, "IS" , "1" , "Collimator Right Vertical Edge"}, 
   {0x0018, 0x1706, "IS" , "1" , "Collimator Upper Horizontal Edge"}, 
   {0x0018, 0x1708, "IS" , "1" , "Collimator Lower Horizontal Edge"}, 
   {0x0018, 0x1710, "IS" , "2" , "Center of Circular Collimator"}, 
   {0x0018, 0x1712, "IS" , "1" , "Radius of Circular Collimator"}, 
   {0x0018, 0x1720, "IS" , "2-2n" , "Vertices of the Polygonal Collimator"}, 
   {0x0018, 0x1800, "CS" , "1" , "Acquisition Time Synchronized"}, 
   {0x0018, 0x1801, "SH" , "1" , "Time Source"}, 
   {0x0018, 0x1802, "CS" , "1" , "Time Distribution Protocol"}, 
   {0x0018, 0x1803, "LO" , "1" , "NTP Source Address"}, 
   {0x0018, 0x2001, "IS" , "1-n" , "Page Number Vector"}, 
   {0x0018, 0x2002, "SH" , "1-n" , "Frame Label Vector"}, 
   {0x0018, 0x2003, "DS" , "1-n" , "Frame Primary Angle Vector"}, 
   {0x0018, 0x2004, "DS" , "1-n" , "Frame Secondary Angle Vector"}, 
   {0x0018, 0x2005, "DS" , "1-n" , "Slice Location Vector"}, 
   {0x0018, 0x2006, "SH" , "1-n" , "Display Window Label Vector"}, 
   {0x0018, 0x2010, "DS" , "2" , "Nominal Scanned Pixel Spacing"}, 
   {0x0018, 0x2020, "CS" , "1" , "Digitizing Device Transport Direction"}, 
   {0x0018, 0x2030, "DS" , "1" , "Rotation of Scanned Film"}, 
   {0x0018, 0x3100, "CS" , "1" , "IVUS Acquisition"}, 
   {0x0018, 0x3101, "DS" , "1" , "IVUS Pullback Rate"}, 
   {0x0018, 0x3102, "DS" , "1" , "IVUS Gated Rate"}, 
   {0x0018, 0x3103, "IS" , "1" , "IVUS Pullback Start Frame Number"}, 
   {0x0018, 0x3104, "IS" , "1" , "IVUS Pullback Stop Frame Number"}, 
   {0x0018, 0x3105, "IS" , "1-n" , "Lesion Number"}, 
   {0x0018, 0x4000, "LO" , "1-n" , "Acquisition Comments (RET)"}, 
   {0x0018, 0x5000, "SH" , "1-n" , "Output Power"}, 
   {0x0018, 0x5010, "LO" , "3" , "Transducer Data"}, 
   {0x0018, 0x5012, "DS" , "1" , "Focus Depth"}, 
   {0x0018, 0x5020, "LO" , "1" , "Processing Function"}, 
   {0x0018, 0x5021, "LO" , "1" , "Postprocessing Function"}, 
   {0x0018, 0x5022, "DS" , "1" , "Mechanical Index"}, 
   {0x0018, 0x5024, "DS" , "1" , "Bone Thermal Index"}, 
   {0x0018, 0x5026, "DS" , "1" , "Cranial Thermal Index"}, 
   {0x0018, 0x5027, "DS" , "1" , "Soft Tissue Thermal Index"}, 
   {0x0018, 0x5028, "DS" , "1" , "Soft Tissue-focus Thermal Index"}, 
   {0x0018, 0x5029, "DS" , "1" , "Soft Tissue-surface Thermal Index"}, 
   {0x0018, 0x5030, "DS" , "1" , "Dynamic Range (RET)"}, 
   {0x0018, 0x5040, "DS" , "1" , "Total Gain (RET)"}, 
   {0x0018, 0x5050, "IS" , "1" , "Depth of Scan Field"}, 
   {0x0018, 0x5100, "CS" , "1" , "Patient Position"}, 
   {0x0018, 0x5101, "CS" , "1" , "View Position"}, 
   {0x0018, 0x5104, "SQ" , "1" , "Projection Eponymous Name Code Sequence"}, 
   {0x0018, 0x5210, "DS" , "6" , "Image Transformation Matrix (RET)"}, 
   {0x0018, 0x5212, "DS" , "3" , "Image Translation Vector (RET)"}, 
   {0x0018, 0x6000, "DS" , "1" , "Sensitivity"}, 
   {0x0018, 0x6011, "SQ" , "1" , "Sequence of Ultrasound Regions"}, 
   {0x0018, 0x6012, "US" , "1" , "Region Spatial Format"}, 
   {0x0018, 0x6014, "US" , "1" , "Region Data Type"}, 
   {0x0018, 0x6016, "UL" , "1" , "Region Flags"}, 
   {0x0018, 0x6018, "UL" , "1" , "Region Location Min X0"}, 
   {0x0018, 0x601a, "UL" , "1" , "Region Location Min Y0"}, 
   {0x0018, 0x601c, "UL" , "1" , "Region Location Max X1"}, 
   {0x0018, 0x601e, "UL" , "1" , "Region Location Max Y1"}, 
   {0x0018, 0x6020, "SL" , "1" , "Reference Pixel X0"}, 
   {0x0018, 0x6022, "SL" , "1" , "Reference Pixel Y0"}, 
   {0x0018, 0x6024, "US" , "1" , "Physical Units X Direction"}, 
   {0x0018, 0x6026, "US" , "1" , "Physical Units Y Direction"}, 
   {0x0018, 0x6028, "FD" , "1" , "Reference Pixel Physical Value X"}, 
   {0x0018, 0x602a, "FD" , "1" , "Reference Pixel Physical Value Y"}, 
   {0x0018, 0x602c, "FD" , "1" , "Physical Delta X"}, 
   {0x0018, 0x602e, "FD" , "1" , "Physical Delta Y"}, 
   {0x0018, 0x6030, "UL" , "1" , "Transducer Frequency"}, 
   {0x0018, 0x6031, "CS" , "1" , "Transducer Type"}, 
   {0x0018, 0x6032, "UL" , "1" , "Pulse Repetition Frequency"}, 
   {0x0018, 0x6034, "FD" , "1" , "Doppler Correction Angle"}, 
   {0x0018, 0x6036, "FD" , "1" , "Steering Angle"}, 
   {0x0018, 0x6038, "UL" , "1" , "Doppler Sample Volume X Position (RET)"}, 
   {0x0018, 0x6039, "SL" , "1" , "Doppler Sample Volume X Position"}, 
   {0x0018, 0x603a, "UL" , "1" , "Doppler Sample Volume Y Position (RET)"}, 
   {0x0018, 0x603b, "SL" , "1" , "Doppler Sample Volume Y Position"}, 
   {0x0018, 0x603c, "UL" , "1" , "TM-Line Position X0 (RET)"}, 
   {0x0018, 0x603d, "SL" , "1" , "TM-Line Position X0"}, 
   {0x0018, 0x603e, "UL" , "1" , "TM-Line Position Y0 (RET)"}, 
   {0x0018, 0x603f, "SL" , "1" , "TM-Line Position Y0"}, 
   {0x0018, 0x6040, "UL" , "1" , "TM-Line Position X1 (RET)"}, 
   {0x0018, 0x6041, "SL" , "1" , "TM-Line Position X1"}, 
   {0x0018, 0x6042, "UL" , "1" , "TM-Line Position Y1 (RET)"}, 
   {0x0018, 0x6043, "SL" , "1" , "TM-Line Position Y1"}, 
   {0x0018, 0x6044, "US" , "1" , "Pixel Component Organization"}, 
   {0x0018, 0x6046, "UL" , "1" , "Pixel Component Mask"}, 
   {0x0018, 0x6048, "UL" , "1" , "Pixel Component Range Start"}, 
   {0x0018, 0x604a, "UL" , "1" , "Pixel Component Range Stop"}, 
   {0x0018, 0x604c, "US" , "1" , "Pixel Component Physical Units"}, 
   {0x0018, 0x604e, "US" , "1" , "Pixel Component Data Type"}, 
   {0x0018, 0x6050, "UL" , "1" , "Number of Table Break Points"}, 
   {0x0018, 0x6052, "UL" , "1-n" , "Table of X Break Points"}, 
   {0x0018, 0x6054, "FD" , "1-n" , "Table of Y Break Points"}, 
   {0x0018, 0x6056, "UL" , "1" , "Number of Table Entries"}, 
   {0x0018, 0x6058, "UL" , "1-n" , "Table of Pixel Values"}, 
   {0x0018, 0x605a, "FL" , "1-n" , "Table of Parameter Values"}, 
   {0x0018, 0x6060, "FL" , "1-n" , "R Wave Time Vector"}, 
   {0x0018, 0x7000, "CS" , "1" , "Detector Conditions Nominal Flag"}, 
   {0x0018, 0x7001, "DS" , "1" , "Detector Temperature"}, 
   {0x0018, 0x7004, "CS" , "1" , "Detector Type"}, 
   {0x0018, 0x7005, "CS" , "1" , "Detector Configuration"}, 
   {0x0018, 0x7006, "LT" , "1" , "Detector Description"}, 
   {0x0018, 0x7008, "LT" , "1" , "Detector Mode"}, 
   {0x0018, 0x700a, "SH" , "1" , "Detector ID"}, 
   {0x0018, 0x700c, "DA" , "1" , "Date of Last Detector Calibration"}, 
   {0x0018, 0x700e, "TM" , "1" , "Time of Last Detector Calibration"}, 
   {0x0018, 0x7010, "IS" , "1" , "Exposures on Detector Since Last Calibration"}, 
   {0x0018, 0x7011, "IS" , "1" , "Exposures on Detector Since Manufactured"}, 
   {0x0018, 0x7012, "DS" , "1" , "Detector Time Since Last Exposure"}, 
   {0x0018, 0x7014, "DS" , "1" , "Detector Active Time"}, 
   {0x0018, 0x7016, "DS" , "1" , "Detector Activation Offset From Exposure"}, 
   {0x0018, 0x701a, "DS" , "2" , "Detector Binning"}, 
   {0x0018, 0x7020, "DS" , "2" , "Detector Element Physical Size"}, 
   {0x0018, 0x7022, "DS" , "2" , "Detector Element Spacing"}, 
   {0x0018, 0x7024, "CS" , "1" , "Detector Active Shape"}, 
   {0x0018, 0x7026, "DS" , "1-2" , "Detector Active Dimension(s)"}, 
   {0x0018, 0x7028, "DS" , "2" , "Detector Active Origin"}, 
   {0x0018, 0x702a, "LO" , "1" , "Detector Manufacturer Name"}, 
   {0x0018, 0x702b, "LO" , "1" , "Detector Manufacturer's Model Name"}, 
   {0x0018, 0x7030, "DS" , "2" , "Field of View Origin"}, 
   {0x0018, 0x7032, "DS" , "1" , "Field of View Rotation"}, 
   {0x0018, 0x7034, "CS" , "1" , "Field of View Horizontal Flip"}, 
   {0x0018, 0x7040, "LT" , "1" , "Grid Absorbing Material"}, 
   {0x0018, 0x7041, "LT" , "1" , "Grid Spacing Material"}, 
   {0x0018, 0x7042, "DS" , "1" , "Grid Thickness"}, 
   {0x0018, 0x7044, "DS" , "1" , "Grid Pitch"}, 
   {0x0018, 0x7046, "IS" , "2" , "Grid Aspect Ratio"}, 
   {0x0018, 0x7048, "DS" , "1" , "Grid Period"}, 
   {0x0018, 0x704c, "DS" , "1" , "Grid Focal Distance"}, 
   {0x0018, 0x7050, "CS" , "1-n" , "Filter Material"}, 
   {0x0018, 0x7052, "DS" , "1-n" , "Filter Thickness Minimum"}, 
   {0x0018, 0x7054, "DS" , "1-n" , "Filter Thickness Maximum"}, 
   {0x0018, 0x7060, "CS" , "1" , "Exposure Control Mode"}, 
   {0x0018, 0x7062, "LT" , "1" , "Exposure Control Mode Description"}, 
   {0x0018, 0x7064, "CS" , "1" , "Exposure Status"}, 
   {0x0018, 0x7065, "DS" , "1" , "Phototimer Setting"}, 
   {0x0018, 0x8150, "DS" , "1" , "Exposure Time in uS"}, 
   {0x0018, 0x8151, "DS" , "1" , "X-Ray Tube Current in uA"}, 
   {0x0018, 0x9004, "CS" , "1" , "Content Qualification"}, 
   {0x0018, 0x9005, "SH" , "1" , "Pulse Sequence Name"}, 
   {0x0018, 0x9006, "SQ" , "1" , "MR Imaging Modifier Sequence"}, 
   {0x0018, 0x9008, "CS" , "1" , "Echo Pulse Sequence"}, 
   {0x0018, 0x9009, "CS" , "1" , "Inversion Recovery"}, 
   {0x0018, 0x9010, "CS" , "1" , "Flow Compensation"}, 
   {0x0018, 0x9011, "CS" , "1" , "Multiple Spin Echo"}, 
   {0x0018, 0x9012, "CS" , "1" , "Multi-planar Excitation"}, 
   {0x0018, 0x9014, "CS" , "1" , "Phase Contrast"}, 
   {0x0018, 0x9015, "CS" , "1" , "Time of Flight Contrast"}, 
   {0x0018, 0x9016, "CS" , "1" , "Spoiling"}, 
   {0x0018, 0x9017, "CS" , "1" , "Steady State Pulse Sequence"}, 
   {0x0018, 0x9018, "CS" , "1" , "Echo Planar Pulse Sequence"}, 
   {0x0018, 0x9019, "FD" , "1" , "Tag Angle First Axis"}, 
   {0x0018, 0x9020, "CS" , "1" , "Magnetization Transfer"}, 
   {0x0018, 0x9021, "CS" , "1" , "T2 Preparation"}, 
   {0x0018, 0x9022, "CS" , "1" , "Blood Signal Nulling"}, 
   {0x0018, 0x9024, "CS" , "1" , "Saturation Recovery"}, 
   {0x0018, 0x9025, "CS" , "1" , "Spectrally Selected Suppression"}, 
   {0x0018, 0x9026, "CS" , "1" , "Spectrally Selected Excitation"}, 
   {0x0018, 0x9027, "CS" , "1" , "Spatial Pre-saturation"}, 
   {0x0018, 0x9028, "CS" , "1" , "Tagging"}, 
   {0x0018, 0x9029, "CS" , "1" , "Oversampling Phase"}, 
   {0x0018, 0x9030, "FD" , "1" , "Tag Spacing First Dimension"}, 
   {0x0018, 0x9032, "CS" , "1" , "Geometry of k-Space Traversal"}, 
   {0x0018, 0x9033, "CS" , "1" , "Segmented k-Space Traversal"}, 
   {0x0018, 0x9034, "CS" , "1" , "Rectilinear Phase Encode Reordering"}, 
   {0x0018, 0x9035, "FD" , "1" , "Tag Thickness"}, 
   {0x0018, 0x9036, "CS" , "1" , "Partial Fourier Direction"}, 
   {0x0018, 0x9037, "CS" , "1" , "Cardiac Synchronization Technique"}, 
   {0x0018, 0x9041, "LO" , "1" , "Receive Coil Manufacturer Name"}, 
   {0x0018, 0x9042, "SQ" , "1" , "MR Receive Coil Sequence"}, 
   {0x0018, 0x9043, "CS" , "1" , "Receive Coil Type"}, 
   {0x0018, 0x9044, "CS" , "1" , "Quadrature Receive Coil"}, 
   {0x0018, 0x9045, "SQ" , "1" , "Multi-Coil Definition Sequence"}, 
   {0x0018, 0x9046, "LO" , "1" , "Multi-Coil Configuration"}, 
   {0x0018, 0x9047, "SH" , "1" , "Multi-Coil Element Name"}, 
   {0x0018, 0x9048, "CS" , "1" , "Multi-Coil Element Used"}, 
   {0x0018, 0x9049, "SQ" , "1" , "MR Transmit Coil Sequence"}, 
   {0x0018, 0x9050, "LO" , "1" , "Transmit Coil Manufacturer Name"}, 
   {0x0018, 0x9051, "CS" , "1" , "Transmit Coil Type"}, 
   {0x0018, 0x9052, "FD" , "1-2" , "Spectral Width"}, 
   {0x0018, 0x9053, "FD" , "1-2" , "Chemical Shift Reference"}, 
   {0x0018, 0x9054, "CS" , "1" , "Volume Localization Technique"}, 
   {0x0018, 0x9058, "US" , "1" , "MR Acquisition Frequency Encoding Steps"}, 
   {0x0018, 0x9059, "CS" , "1" , "De-coupling"}, 
   {0x0018, 0x9060, "CS" , "1-2" , "De-coupled Nucleus"}, 
   {0x0018, 0x9061, "FD" , "1-2" , "De-coupling Frequency"}, 
   {0x0018, 0x9062, "CS" , "1" , "De-coupling Method"}, 
   {0x0018, 0x9063, "FD" , "1-2" , "De-coupling Chemical Shift Reference"}, 
   {0x0018, 0x9064, "CS" , "1" , "k-space Filtering"}, 
   {0x0018, 0x9065, "CS" , "1-2" , "Time Domain Filtering"}, 
   {0x0018, 0x9066, "US" , "1-2" , "Number of Zero fills"}, 
   {0x0018, 0x9067, "CS" , "1" , "Baseline Correction"}, 
   {0x0018, 0x9069, "FD" , "1" , "Parallel Reduction Factor In-plane"}, 
   {0x0018, 0x9070, "FD" , "1" , "Cardiac R-R Interval Specified"}, 
   {0x0018, 0x9073, "FD" , "1" , "Acquisition Duration"}, 
   {0x0018, 0x9074, "DT" , "1" , "Frame Acquisition Datetime"}, 
   {0x0018, 0x9075, "CS" , "1" , "Diffusion Directionality"}, 
   {0x0018, 0x9076, "SQ" , "1" , "Diffusion Gradient Direction Sequence"}, 
   {0x0018, 0x9077, "CS" , "1" , "Parallel Acquisition"}, 
   {0x0018, 0x9078, "CS" , "1" , "Parallel Acquisition Technique"}, 
   {0x0018, 0x9079, "FD" , "1-n" , "Inversion Times"}, 
   {0x0018, 0x9080, "ST" , "1" , "Metabolite Map Description"}, 
   {0x0018, 0x9081, "CS" , "1" , "Partial Fourier"}, 
   {0x0018, 0x9082, "FD" , "1" , "Effective Echo Time"}, 
   {0x0018, 0x9083, "SQ" , "1" , "Metabolite Map Code Sequence"}, 
   {0x0018, 0x9084, "SQ" , "1" , "Chemical Shift Sequence"}, 
   {0x0018, 0x9085, "CS" , "1" , "Cardiac Signal Source"}, 
   {0x0018, 0x9087, "FD" , "1" , "Diffusion b-value"}, 
   {0x0018, 0x9089, "FD" , "3" , "Diffusion Gradient Orientation"}, 
   {0x0018, 0x9090, "FD" , "3" , "Velocity Encoding Direction"}, 
   {0x0018, 0x9091, "FD" , "1" , "Velocity Encoding Minimum Value"}, 
   {0x0018, 0x9093, "US" , "1" , "Number of k-Space Trajectories"}, 
   {0x0018, 0x9094, "CS" , "1" , "Coverage of k-Space"}, 
   {0x0018, 0x9095, "UL" , "1" , "Spectroscopy Acquisition Phase Rows"}, 
   {0x0018, 0x9098, "FD" , "1-2" , "Transmitter Frequency"}, 
   {0x0018, 0x9100, "CS" , "1-2" , "Resonant Nucleus"}, 
   {0x0018, 0x9101, "CS" , "1" , "Frequency Correction"}, 
   {0x0018, 0x9103, "SQ" , "1" , "MR Spectroscopy FOV/Geometry Sequence"}, 
   {0x0018, 0x9104, "FD" , "1" , "Slab Thickness"}, 
   {0x0018, 0x9105, "FD" , "3" , "Slab Orientation"}, 
   {0x0018, 0x9106, "FD" , "3" , "Mid Slab Position"}, 
   {0x0018, 0x9107, "SQ" , "1" , "MR Spatial Saturation Sequence"}, 
   {0x0018, 0x9112, "SQ" , "1" , "MR Timing and Related Parameters Sequence"}, 
   {0x0018, 0x9114, "SQ" , "1" , "MR Echo Sequence"}, 
   {0x0018, 0x9115, "SQ" , "1" , "MR Modifier Sequence"}, 
   {0x0018, 0x9117, "SQ" , "1" , "MR Diffusion Sequence"}, 
   {0x0018, 0x9118, "SQ" , "1" , "Cardiac Trigger Sequence"}, 
   {0x0018, 0x9119, "SQ" , "1" , "MR Averages Sequence"}, 
   {0x0018, 0x9125, "SQ" , "1" , "MR FOV/Geometry Sequence"}, 
   {0x0018, 0x9126, "SQ" , "1" , "Volume Localization Sequence"}, 
   {0x0018, 0x9127, "UL" , "1" , "Spectroscopy Acquisition Data Columns"}, 
   {0x0018, 0x9147, "CS" , "1" , "Diffusion Anisotropy Type"}, 
   {0x0018, 0x9151, "DT" , "1" , "Frame Reference Datetime"}, 
   {0x0018, 0x9152, "SQ" , "1" , "MR Metabolite Map Sequence"}, 
   {0x0018, 0x9155, "FD" , "1" , "Parallel Reduction Factor out-of-plane"}, 
   {0x0018, 0x9159, "UL" , "1" , "Spectroscopy Acquisition Out-of-plane Phase Steps"}, 
   {0x0018, 0x9166, "CS" , "1" , "Bulk Motion Status"}, 
   {0x0018, 0x9168, "FD" , "1" , "Parallel Reduction Factor Second In-plane"}, 
   {0x0018, 0x9169, "CS" , "1" , "Cardiac Beat Rejection Technique"}, 
   {0x0018, 0x9170, "CS" , "1" , "Respiratory Motion Compensation Technique"}, 
   {0x0018, 0x9171, "CS" , "1" , "Respiratory Signal Source"}, 
   {0x0018, 0x9172, "CS" , "1" , "Bulk Motion Compensation Technique"}, 
   {0x0018, 0x9173, "CS" , "1" , "Bulk Motion Signal Source"}, 
   {0x0018, 0x9174, "CS" , "1" , "Applicable Safety Standard Agency"}, 
   {0x0018, 0x9175, "LO" , "1" , "Applicable Safety Standard Description"}, 
   {0x0018, 0x9176, "SQ" , "1" , "Operating Mode Sequence"}, 
   {0x0018, 0x9177, "CS" , "1" , "Operating Mode Type"}, 
   {0x0018, 0x9178, "CS" , "1" , "Operating Mode"}, 
   {0x0018, 0x9179, "CS" , "1" , "Specific Absorption Rate Definition"}, 
   {0x0018, 0x9180, "CS" , "1" , "Gradient Output Type"}, 
   {0x0018, 0x9181, "FD" , "1" , "Specific Absorption Rate Value"}, 
   {0x0018, 0x9182, "FD" , "1" , "Gradient Output"}, 
   {0x0018, 0x9183, "CS" , "1" , "Flow Compensation Direction"}, 
   {0x0018, 0x9184, "FD" , "1" , "Tagging Delay"}, 
   {0x0018, 0x9195, "FD" , "1" , "Chemical Shifts Minimum Integration Limit in Hz (RET)"}, 
   {0x0018, 0x9196, "FD" , "1" , "Chemical Shifts Maximum Integration Limit in Hz (RET)"}, 
   {0x0018, 0x9197, "SQ" , "1" , "MR Velocity Encoding Sequence"}, 
   {0x0018, 0x9198, "CS" , "1" , "First Order Phase Correction"}, 
   {0x0018, 0x9199, "CS" , "1" , "Water Referenced Phase Correction"}, 
   {0x0018, 0x9200, "CS" , "1" , "MR Spectroscopy Acquisition Type"}, 
   {0x0018, 0x9214, "CS" , "1" , "Respiratory Cycle Position"}, 
   {0x0018, 0x9217, "FD" , "1" , "Velocity Encoding Maximum Value"}, 
   {0x0018, 0x9218, "FD" , "1" , "Tag Spacing Second Dimension"}, 
   {0x0018, 0x9219, "SS" , "1" , "Tag Angle Second Axis"}, 
   {0x0018, 0x9220, "FD" , "1" , "Frame Acquisition Duration"}, 
   {0x0018, 0x9226, "SQ" , "1" , "MR Image Frame Type Sequence"}, 
   {0x0018, 0x9227, "SQ" , "1" , "MR Spectroscopy Frame Type Sequence"}, 
   {0x0018, 0x9231, "US" , "1" , "MR Acquisition Phase Encoding Steps in-plane"}, 
   {0x0018, 0x9232, "US" , "1" , "MR Acquisition Phase Encoding Steps out-of-plane"}, 
   {0x0018, 0x9234, "UL" , "1" , "Spectroscopy Acquisition Phase Columns"}, 
   {0x0018, 0x9236, "CS" , "1" , "Cardiac Cycle Position"}, 
   {0x0018, 0x9239, "SQ" , "1" , "Specific Absorption Rate Sequence"}, 
   {0x0018, 0x9295, "FD" , "1" , "Chemical Shifts Minimum Integration Limit in ppm"}, 
   {0x0018, 0x9296, "FD" , "1" , "Chemical Shifts Maximum Integration Limit in ppm"}, 
   {0x0018, 0x9240, "US" , "1" , "RF Echo Train Length"}, 
   {0x0018, 0x9241, "US" , "1" , "Gradient Echo Train Length"}, 
   {0x0018, 0x9301, "SQ" , "1" , "CT Acquisition Type Sequence"}, 
   {0x0018, 0x9302, "CS" , "1" , "Acquisition Type"}, 
   {0x0018, 0x9303, "FD" , "1" , "Tube Angle"}, 
   {0x0018, 0x9304, "SQ" , "1" , "CT Acquisition Details Sequence"}, 
   {0x0018, 0x9305, "FD" , "1" , "Revolution Time"}, 
   {0x0018, 0x9306, "FD" , "1" , "Single Collimation Width"}, 
   {0x0018, 0x9307, "FD" , "1" , "Total Collimation Width"}, 
   {0x0018, 0x9308, "SQ" , "1" , "CT Table Dynamics Sequence"}, 
   {0x0018, 0x9309, "FD" , "1" , "Table Speed"}, 
   {0x0018, 0x9310, "FD" , "1" , "Table Feed per Rotation"}, 
   {0x0018, 0x9311, "FD" , "1" , "Spiral Pitch Factor"}, 
   {0x0018, 0x9312, "SQ" , "1" , "CT Geometry Sequence"}, 
   {0x0018, 0x9313, "FD" , "3" , "Data Collection Center (Patient)"}, 
   {0x0018, 0x9314, "SQ" , "1" , "CT Reconstruction Sequence"}, 
   {0x0018, 0x9315, "CS" , "1" , "Reconstruction Algorithm"}, 
   {0x0018, 0x9316, "CS" , "1" , "Convolution Kernel Group"}, 
   {0x0018, 0x9317, "FD" , "2" , "Reconstruction Field of View"}, 
   {0x0018, 0x9318, "FD" , "3" , "Reconstruction Target Center (Patient)"}, 
   {0x0018, 0x9319, "FD" , "1" , "Reconstruction Angle"}, 
   {0x0018, 0x9320, "SH" , "1" , "Image Filter"}, 
   {0x0018, 0x9321, "SQ" , "1" , "CT Exposure Sequence"}, 
   {0x0018, 0x9322, "FD" , "2" , "Reconstruction Pixel Spacing"}, 
   {0x0018, 0x9323, "CS" , "1" , "Exposure Modulation Type"}, 
   {0x0018, 0x9324, "FD" , "1" , "Estimated Dose Saving"}, 
   {0x0018, 0x9325, "SQ" , "1" , "CT X-ray Details Sequence"}, 
   {0x0018, 0x9326, "SQ" , "1" , "CT Position Sequence"}, 
   {0x0018, 0x9327, "FD" , "1" , "Table Position"}, 
   {0x0018, 0x9328, "FD" , "1" , "Exposure Time in ms"}, 
   {0x0018, 0x9329, "SQ" , "1" , "CT Image Frame Type Sequence"}, 
   {0x0018, 0x9330, "FD" , "1" , "X-Ray Tube Current in mA"}, 
   {0x0018, 0x9332, "FD" , "1" , "Exposure in mAs"}, 
   {0x0018, 0x9333, "CS" , "1" , "Constant Volume Flag"}, 
   {0x0018, 0x9334, "CS" , "1" , "Fluoroscopy Flag"}, 
   {0x0018, 0x9335, "FD" , "1" , "Distance Source to Data Collection Center"}, 
   {0x0018, 0x9337, "US" , "1" , "Contrast/Bolus Agent Number"}, 
   {0x0018, 0x9338, "SQ" , "1" , "Contrast/Bolus Ingredient Code Sequence"}, 
   {0x0018, 0x9340, "SQ" , "1" , "Contrast Administration Profile Sequence"}, 
   {0x0018, 0x9341, "SQ" , "1" , "Contrast/Bolus Usage Sequence"}, 
   {0x0018, 0x9342, "CS" , "1" , "Contrast/Bolus Agent Administered"}, 
   {0x0018, 0x9343, "CS" , "1" , "Contrast/Bolus Agent Detected"}, 
   {0x0018, 0x9344, "CS" , "1" , "Contrast/Bolus Agent Phase"}, 
   {0x0018, 0x9345, "FD" , "1" , "CTDIvol"}, 
   {0x0018, 0xa001, "SQ" , "1" , "Contributing Equipment Sequence"}, 
   {0x0018, 0xa002, "DT" , "1" , "Contribution Date Time"}, 
   {0x0018, 0xa003, "ST" , "1" , "Contribution Description"}, 
   {0x0020, 0x0000, "UL" , "1" , "Group Length "}, 
   {0x0020, 0x000d, "UI" , "1" , "Study Instance UID"}, 
   {0x0020, 0x000e, "UI" , "1" , "Series Instance UID"}, 
   {0x0020, 0x0010, "SH" , "1" , "Study ID"}, 
   {0x0020, 0x0011, "IS" , "1" , "Series Number"}, 
   {0x0020, 0x0012, "IS" , "1" , "Acquisition Number"}, 
   {0x0020, 0x0013, "IS" , "1" , "Instance Number"}, 
   {0x0020, 0x0014, "IS" , "1" , "Isotope Number (RET)"}, 
   {0x0020, 0x0015, "IS" , "1" , "Phase Number (RET)"}, 
   {0x0020, 0x0016, "IS" , "1" , "Interval Number (RET)"}, 
   {0x0020, 0x0017, "IS" , "1" , "Time Slot Number (RET)"}, 
   {0x0020, 0x0018, "IS" , "1" , "Angle Number (RET)"}, 
   {0x0020, 0x0019, "IS" , "1" , "Item Number"}, 
   {0x0020, 0x0020, "CS" , "2" , "Patient Orientation"}, 
   {0x0020, 0x0022, "IS" , "1" , "Overlay Number"}, 
   {0x0020, 0x0024, "IS" , "1" , "Curve Number"}, 
   {0x0020, 0x0026, "IS" , "1" , "Lookup Table Number"}, 
   {0x0020, 0x0030, "DS" , "3" , "Image Position (RET)"}, 
   {0x0020, 0x0032, "DS" , "3" , "Image Position (Patient)"}, 
   {0x0020, 0x0035, "DS" , "6" , "Image Orientation (RET)"}, 
   {0x0020, 0x0037, "DS" , "6" , "Image Orientation (Patient)"}, 
   {0x0020, 0x0050, "DS" , "1" , "Location (RET)"}, 
   {0x0020, 0x0052, "UI" , "1" , "Frame of Reference UID"}, 
   {0x0020, 0x0060, "CS" , "1" , "Laterality"}, 
   {0x0020, 0x0062, "CS" , "1" , "Image Laterality"}, 
   {0x0020, 0x0070, "LO" , "1" , "Image Geometry Type (RET)"}, 
   {0x0020, 0x0080, "LT" , "1-n" , "Masking Image (RET)"}, 
   {0x0020, 0x0100, "IS" , "1" , "Temporal Position Identifier"}, 
   {0x0020, 0x0105, "IS" , "1" , "Number of Temporal Positions"}, 
   {0x0020, 0x0110, "DS" , "1" , "Temporal Resolution"}, 
   {0x0020, 0x0200, "UI" , "1" , "Synchronization Frame of Reference UID"}, 
   {0x0020, 0x1000, "IS" , "1" , "Series in Study"}, 
   {0x0020, 0x1001, "IS" , "1" , "Acquisitions in Series (RET)"}, 
   {0x0020, 0x1002, "IS" , "1" , "Images in Acquisition"}, 
   {0x0020, 0x1003, "IS" , "1" , "Images in Series FIXME (RET)"}, 
   {0x0020, 0x1004, "IS" , "1" , "Acquisitions in Study"}, 
   {0x0020, 0x1005, "IS" , "1" , "Images in Study FIXME (RET)"}, 
   {0x0020, 0x1020, "LO" , "1-n" , "Reference (RET)"}, 
   {0x0020, 0x1040, "LO" , "1" , "Position Reference Indicator"}, 
   {0x0020, 0x1041, "DS" , "1" , "Slice Location"}, 
   {0x0020, 0x1070, "IS" , "1-n" , "Other Study Numbers"}, 
   {0x0020, 0x1200, "IS" , "1" , "Number of Patient Related Studies"}, 
   {0x0020, 0x1202, "IS" , "1" , "Number of Patient Related Series"}, 
   {0x0020, 0x1204, "IS" , "1" , "Number of Patient Related Instances"}, 
   {0x0020, 0x1206, "IS" , "1" , "Number of Study Related Series"}, 
   {0x0020, 0x1208, "IS" , "1" , "Number of Study Related Instances"}, 
   {0x0020, 0x1209, "IS" , "1" , "Number of Series Related Instances"}, 
   {0x0020, 0x3100, "LO" , "1-n" , "Source Image IDs (RET)"}, 
   {0x0020, 0x3401, "LO" , "1" , "Modifying Device ID (RET)"}, 
   {0x0020, 0x3402, "LO" , "1" , "Modified Image ID (RET)"}, 
   {0x0020, 0x3403, "DA" , "1" , "Modified Image Date (RET)"}, 
   {0x0020, 0x3404, "LT" , "1" , "Modifying Device Manufacturer (RET)"}, 
   {0x0020, 0x3405, "TM" , "1" , "Modified Image Time (RET)"}, 
   {0x0020, 0x3406, "LT" , "1" , "Modified Image Description (RET)"}, 
   {0x0020, 0x4000, "LT" , "1" , "Image Comments"}, 
   {0x0020, 0x5000, "AT" , "1-n" , "Original Image Identification (RET)"}, 
   {0x0020, 0x5002, "LO" , "1-n" , "Original Image Identification Nomenclature (RET)"}, 
   {0x0020, 0x9056, "SH" , "1" , "Stack ID"}, 
   {0x0020, 0x9057, "UL" , "1" , "In-Stack Position Number"}, 
   {0x0020, 0x9071, "SQ" , "1" , "Frame Anatomy Sequence"}, 
   {0x0020, 0x9072, "CS" , "1" , "Frame Laterality"}, 
   {0x0020, 0x9111, "SQ" , "1" , "Frame Content Sequence"}, 
   {0x0020, 0x9113, "SQ" , "1" , "Plane Position Sequence"}, 
   {0x0020, 0x9116, "SQ" , "1" , "Plane Orientation Sequence"}, 
   {0x0020, 0x9128, "UL" , "1" , "Temporal Position Index"}, 
   {0x0020, 0x9153, "FD" , "1" , "Trigger Delay Time"}, 
   {0x0020, 0x9156, "US" , "1" , "Frame Acquisition Number"}, 
   {0x0020, 0x9157, "UL" , "1-n" , "Dimension Index Values"}, 
   {0x0020, 0x9158, "LT" , "1" , "Frame Comments"}, 
   {0x0020, 0x9161, "UI" , "1" , "Concatenation UID"}, 
   {0x0020, 0x9162, "US" , "1" , "In-concatenation Number"}, 
   {0x0020, 0x9163, "US" , "1" , "In-concatenation Total Number"}, 
   {0x0020, 0x9164, "UI" , "1" , "Dimension Organization UID"}, 
   {0x0020, 0x9165, "AT" , "1" , "Dimension Index Pointer"}, 
   {0x0020, 0x9167, "AT" , "1" , "Functional Group Pointer"}, 
   {0x0020, 0x9213, "LO" , "1" , "Dimension Index Private Creator"}, 
   {0x0020, 0x9221, "SQ" , "1" , "Dimension Organization Sequence"}, 
   {0x0020, 0x9222, "SQ" , "1" , "Dimension Index Sequence"}, 
   {0x0020, 0x9228, "UL" , "1" , "Concatenation Frame Offset Number"}, 
   {0x0020, 0x9238, "LO" , "1" , "Functional Group Private Creator"}, 
   {0x0022, 0x0001, "US" , "1" , "Light Path Filter Pass-Through Wavelength"}, 
   {0x0022, 0x0002, "US" , "2" , "Light Path Filter Pass Band"}, 
   {0x0022, 0x0003, "US" , "1" , "Image Path Filter Pass-Through Wavelength"}, 
   {0x0022, 0x0004, "US" , "2" , "Image Path Filter Pass Band"}, 
   {0x0022, 0x0005, "CS" , "1" , "Patient Eye Movement Commanded"}, 
   {0x0022, 0x0006, "SQ" , "1" , "Patient Eye Movement Command Code Sequence"}, 
   {0x0022, 0x0007, "FL" , "1" , "Spherical Lens Power"}, 
   {0x0022, 0x0008, "FL" , "1" , "Cylinder Lens Power"}, 
   {0x0022, 0x0009, "FL" , "1" , "Cylinder Axis"}, 
   {0x0022, 0x000a, "FL" , "1" , "Emmetropic Magnification"}, 
   {0x0022, 0x000b, "FL" , "1" , "Intra Ocular Pressure"}, 
   {0x0022, 0x000c, "FL" , "1" , "Horizontal Field of View"}, 
   {0x0022, 0x000d, "CS" , "1" , "Pupil Dilated"}, 
   {0x0022, 0x000e, "FL" , "1" , "Degree of Dilation"}, 
   {0x0022, 0x0010, "FL" , "1" , "Stereo Baseline Angle"}, 
   {0x0022, 0x0011, "FL" , "1" , "Stereo Baseline Displacement"}, 
   {0x0022, 0x0012, "FL" , "1" , "Stereo Horizontal Pixel Offset"}, 
   {0x0022, 0x0013, "FL" , "1" , "Stereo Vertical Pixel Offset"}, 
   {0x0022, 0x0014, "FL" , "1" , "Stereo Rotation"}, 
   {0x0022, 0x0015, "SQ" , "1" , "Acquisition Device Type Code Sequence"}, 
   {0x0022, 0x0016, "SQ" , "1" , "Illumination Type Code Sequence"}, 
   {0x0022, 0x0017, "SQ" , "1" , "Light Path Filter Type Stack Code Sequence"}, 
   {0x0022, 0x0018, "SQ" , "1" , "Image Path Filter Type Stack Code Sequence"}, 
   {0x0022, 0x0019, "SQ" , "1" , "Lenses Code Sequence"}, 
   {0x0022, 0x001a, "SQ" , "1" , "Channel Description Code Sequence"}, 
   {0x0022, 0x001b, "SQ" , "1" , "Refractive State Sequence"}, 
   {0x0022, 0x001c, "SQ" , "1" , "Mydriatic Agent Code Sequence"}, 
   {0x0022, 0x001d, "SQ" , "1" , "Relative Image Position Code Sequence"}, 
   {0x0022, 0x0020, "SQ" , "1" , "Stereo Pairs Sequence"}, 
   {0x0022, 0x0021, "SQ" , "1" , "Left Image Sequence"}, 
   {0x0022, 0x0022, "SQ" , "1" , "Right Image Sequence"}, 
   {0x0028, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x0028, 0x0002, "US" , "1" , "Samples per Pixel"}, 
   {0x0028, 0x0003, "US" , "1" , "Samples per Pixel Used"}, 
   {0x0028, 0x0004, "CS" , "1" , "Photometric Interpretation"}, 
   {0x0028, 0x0005, "SS" , "1" , "Image Dimensions (RET)"}, 
   {0x0028, 0x0006, "US" , "1" , "Planar Configuration"}, 
   {0x0028, 0x0008, "IS" , "1" , "Number of Frames"}, 
   {0x0028, 0x0009, "AT" , "1-n" , "Frame Increment Pointer"}, 
   {0x0028, 0x000a, "AT" , "1-n" , "Frame Dimension Pointer"}, 
   {0x0028, 0x0010, "US" , "1" , "Rows"}, 
   {0x0028, 0x0011, "US" , "1" , "Columns"}, 
   {0x0028, 0x0012, "US" , "1" , "Planes"}, 
   {0x0028, 0x0014, "US" , "1" , "Ultrasound Color Data Present"}, 
   {0x0028, 0x0030, "DS" , "2" , "Pixel Spacing"}, 
   {0x0028, 0x0031, "DS" , "2" , "Zoom Factor"}, 
   {0x0028, 0x0032, "DS" , "2" , "Zoom Center"}, 
   {0x0028, 0x0034, "IS" , "2" , "Pixel Aspect Ratio"}, 
   {0x0028, 0x0040, "SH" , "1" , "Image Format (RET)"}, 
   {0x0028, 0x0050, "LO" , "1-n" , "Manipulated Image (RET)"}, 
   {0x0028, 0x0051, "CS" , "1-n" , "Corrected Image"}, 
   {0x0028, 0x0060, "SH" , "1" , "Compression Code (RET)"}, 
   {0x0028, 0x0100, "US" , "1" , "Bits Allocated"}, 
   {0x0028, 0x0101, "US" , "1" , "Bits Stored"}, 
   {0x0028, 0x0102, "US" , "1" , "High Bit"}, 
   {0x0028, 0x0103, "US" , "1" , "Pixel Representation"}, 
   {0x0028, 0x0104, "SS" , "1" , "Smallest Valid Pixel Value (RET)"}, 
   {0x0028, 0x0105, "SS" , "1" , "Largest Valid Pixel Value (RET)"}, 
   {0x0028, 0x0106, "SS" , "1" , "Smallest Image Pixel Value"}, 
   {0x0028, 0x0107, "SS" , "1" , "Largest Image Pixel Value"}, 
   {0x0028, 0x0108, "SS" , "1" , "Smallest Pixel Value in Series"}, 
   {0x0028, 0x0109, "SS" , "1" , "Largest Pixel Value in Series"}, 
   {0x0028, 0x0110, "SS" , "1" , "Smallest Image Pixel Value in Plane"}, 
   {0x0028, 0x0111, "SS" , "1" , "Largest Image Pixel Value in Plane"}, 
   {0x0028, 0x0120, "SS" , "1" , "Pixel Padding Value"}, 
   {0x0028, 0x0200, "SS" , "1" , "Image Location (RET)"}, 
   {0x0028, 0x0300, "CS" , "1" , "Quality Control Image"}, 
   {0x0028, 0x0301, "CS" , "1" , "Burned In Annotation"}, 
   {0x0028, 0x1040, "CS" , "1" , "Pixel Intensity Relationship"}, 
   {0x0028, 0x1041, "SS" , "1" , "Pixel Intensity Relationship Sign"}, 
   {0x0028, 0x1050, "DS" , "1-n" , "Window Center"}, 
   {0x0028, 0x1051, "DS" , "1-n" , "Window Width"}, 
   {0x0028, 0x1052, "DS" , "1" , "Rescale Intercept"}, 
   {0x0028, 0x1053, "DS" , "1" , "Rescale Slope"}, 
   {0x0028, 0x1054, "LO" , "1" , "Rescale Type"}, 
   {0x0028, 0x1055, "LO" , "1-n" , "Window Center & Width Explanation"}, 
   {0x0028, 0x1080, "LT" , "1" , "Gray Scale (RET)"}, 
   {0x0028, 0x1090, "CS" , "1" , "Recommended Viewing Mode"}, 
   {0x0028, 0x1100, "US" , "3" , "Gray Lookup Table Descriptor (RET)"}, 
   {0x0028, 0x1101, "US" , "3" , "Red Palette Color Lookup Table Descriptor"}, 
   {0x0028, 0x1102, "US" , "3" , "Green Palette Color Lookup Table Descriptor"}, 
   {0x0028, 0x1103, "US" , "3" , "Blue Palette Color Lookup Table Descriptor"}, 
   {0x0028, 0x1199, "UI" , "1" , "Palette Color Lookup Table UID"}, 
   {0x0028, 0x1200, "OW" , "1" , "Gray Lookup Table Data (RET)"}, 
   {0x0028, 0x1201, "OW" , "1" , "Red Palette Color Lookup Table Data"}, 
   {0x0028, 0x1202, "OW" , "1" , "Green Palette Color Lookup Table Data"}, 
   {0x0028, 0x1203, "OW" , "1" , "Blue Palette Color Lookup Table Data"}, 
   {0x0028, 0x1221, "OW" , "1" , "Segmented Red Palette Color Lookup Table Data"}, 
   {0x0028, 0x1222, "OW" , "1" , "Segmented Green Palette Color Lookup Table Data"}, 
   {0x0028, 0x1223, "OW" , "1" , "Segmented Blue Palette Color Lookup Table Data"}, 
   {0x0028, 0x1300, "CS" , "1" , "Implant Present"}, 
   {0x0028, 0x1350, "CS" , "1" , "Partial View"}, 
   {0x0028, 0x1351, "ST" , "1" , "Partial View Description"}, 
   {0x0028, 0x2110, "CS" , "1" , "Lossy Image Compression"}, 
   {0x0028, 0x2112, "DS" , "1-n" , "Lossy Image Compression Ratio"}, 
   {0x0028, 0x2114, "CS" , "1-n" , "Lossy Image Compression Method"}, 
   {0x0028, 0x3000, "SQ" , "1" , "Modality LUT Sequence"}, 
   {0x0028, 0x3002, "US" , "3" , "LUT Descriptor"}, 
   {0x0028, 0x3003, "LO" , "1" , "LUT Explanation"}, 
   {0x0028, 0x3004, "LO" , "1" , "Modality LUT Type"}, 
   {0x0028, 0x3006, "OW" , "1" , "LUT Data"}, 
   {0x0028, 0x3010, "SQ" , "1" , "VOI LUT Sequence"}, 
   {0x0028, 0x3110, "SQ" , "1" , "Softcopy VOI LUT Sequence"}, 
   {0x0028, 0x4000, "LT" , "1-n" , "Image Presentation Comments (RET)"}, 
   {0x0028, 0x5000, "SQ" , "1" , "Bi-Plane Acquisition Sequence"}, 
   {0x0028, 0x6010, "US" , "1" , "Representative Frame Number"}, 
   {0x0028, 0x6020, "US" , "1-n" , "Frame Numbers of Interest (FOI)"}, 
   {0x0028, 0x6022, "LO" , "1-n" , "Frame(s) of Interest Description"}, 
   {0x0028, 0x6023, "CS" , "1-n" , "Frame of Interest Type"}, 
   {0x0028, 0x6030, "US" , "1-n" , "Mask Pointer(s) (RET)"}, 
   {0x0028, 0x6040, "US" , "1-n" , "R Wave Pointer"}, 
   {0x0028, 0x6100, "SQ" , "1" , "Mask Subtraction Sequence"}, 
   {0x0028, 0x6101, "CS" , "1" , "Mask Operation"}, 
   {0x0028, 0x6102, "US" , "2-2n" , "Applicable Frame Range"}, 
   {0x0028, 0x6110, "US" , "1-n" , "Mask Frame Numbers"}, 
   {0x0028, 0x6112, "US" , "1" , "Contrast Frame Averaging"}, 
   {0x0028, 0x6114, "FL" , "2" , "Mask Sub-pixel Shift"}, 
   {0x0028, 0x6120, "SS" , "1" , "TID Offset"}, 
   {0x0028, 0x6190, "ST" , "1" , "Mask Operation Explanation"}, 
   {0x0028, 0x9001, "UL" , "1" , "Data Point Rows"}, 
   {0x0028, 0x9002, "UL" , "1" , "Data Point Columns"}, 
   {0x0028, 0x9003, "CS" , "1" , "Signal Domain Columns"}, 
   {0x0028, 0x9099, "US" , "1" , "Largest Monochrome Pixel Value (RET)"}, 
   {0x0028, 0x9108, "CS" , "1" , "Data Representation"}, 
   {0x0028, 0x9110, "SQ" , "1" , "Pixel Measures Sequence"}, 
   {0x0028, 0x9132, "SQ" , "1" , "Frame VOI LUT Sequence"}, 
   {0x0028, 0x9145, "SQ" , "1" , "Pixel Value Transformation Sequence"}, 
   {0x0028, 0x9235, "CS" , "1" , "Signal Domain Rows"}, 
   {0x0032, 0x0000, "UL" , "1" , "Study Group Length"}, 
   {0x0032, 0x000a, "CS" , "1" , "Study Status ID"}, 
   {0x0032, 0x000c, "CS" , "1" , "Study Priority ID"}, 
   {0x0032, 0x0012, "LO" , "1" , "Study ID Issuer"}, 
   {0x0032, 0x0032, "DA" , "1" , "Study Verified Date"}, 
   {0x0032, 0x0033, "TM" , "1" , "Study Verified Time"}, 
   {0x0032, 0x0034, "DA" , "1" , "Study Read Date"}, 
   {0x0032, 0x0035, "TM" , "1" , "Study Read Time"}, 
   {0x0032, 0x1000, "DA" , "1" , "Scheduled Study Start Date"}, 
   {0x0032, 0x1001, "TM" , "1" , "Scheduled Study Start Time"}, 
   {0x0032, 0x1010, "DA" , "1" , "Scheduled Study Stop Date"}, 
   {0x0032, 0x1011, "TM" , "1" , "Scheduled Study Stop Time"}, 
   {0x0032, 0x1020, "LO" , "1" , "Scheduled Study Location"}, 
   {0x0032, 0x1021, "AE" , "1-n" , "Scheduled Study Location AE Title(s)"}, 
   {0x0032, 0x1030, "LO" , "1" , "Reason for Study"}, 
   {0x0032, 0x1031, "SQ" , "1" , "Requesting Physician Identification Sequence"}, 
   {0x0032, 0x1032, "PN" , "1" , "Requesting Physician"}, 
   {0x0032, 0x1033, "LO" , "1" , "Requesting Service"}, 
   {0x0032, 0x1040, "DA" , "1" , "Study Arrival Date"}, 
   {0x0032, 0x1041, "TM" , "1" , "Study Arrival Time"}, 
   {0x0032, 0x1050, "DA" , "1" , "Study Completion Date"}, 
   {0x0032, 0x1051, "TM" , "1" , "Study Completion Time"}, 
   {0x0032, 0x1055, "CS" , "1" , "Study Component Status ID"}, 
   {0x0032, 0x1060, "LO" , "1" , "Requested Procedure Description"}, 
   {0x0032, 0x1064, "SQ" , "1" , "Requested Procedure Code Sequence"}, 
   {0x0032, 0x1070, "LO" , "1" , "Requested Contrast Agent"}, 
   {0x0032, 0x4000, "LT" , "1" , "Study Comments"}, 
   {0x0038, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x0038, 0x0004, "SQ" , "1" , "Referenced Patient Alias Sequence"}, 
   {0x0038, 0x0008, "CS" , "1" , "Visit Status ID"}, 
   {0x0038, 0x0010, "LO" , "1" , "Admission ID"}, 
   {0x0038, 0x0011, "LO" , "1" , "Issuer of Admission ID"}, 
   {0x0038, 0x0016, "LO" , "1" , "Route of Admissions"}, 
   {0x0038, 0x001a, "DA" , "1" , "Scheduled Admission Date"}, 
   {0x0038, 0x001b, "TM" , "1" , "Scheduled Admission Time"}, 
   {0x0038, 0x001c, "DA" , "1" , "Scheduled Discharge Date"}, 
   {0x0038, 0x001d, "TM" , "1" , "Scheduled Discharge Time"}, 
   {0x0038, 0x001e, "LO" , "1" , "Scheduled Patient Institution Residence"}, 
   {0x0038, 0x0020, "DA" , "1" , "Admitting Date"}, 
   {0x0038, 0x0021, "TM" , "1" , "Admitting Time"}, 
   {0x0038, 0x0030, "DA" , "1" , "Discharge Date"}, 
   {0x0038, 0x0032, "TM" , "1" , "Discharge Time"}, 
   {0x0038, 0x0040, "LO" , "1" , "Discharge Diagnosis Description"}, 
   {0x0038, 0x0044, "SQ" , "1" , "Discharge Diagnosis Code Sequence"}, 
   {0x0038, 0x0050, "LO" , "1" , "Special Needs"}, 
   {0x0038, 0x0300, "LO" , "1" , "Current Patient Location"}, 
   {0x0038, 0x0400, "LO" , "1" , "Patient's Institution Residence"}, 
   {0x0038, 0x0500, "LO" , "1" , "Patient State"}, 
   {0x0038, 0x4000, "LT" , "1" , "Visit Comments"}, 
   {0x003a, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x003a, 0x0004, "CS" , "1" , "Waveform Originality"}, 
   {0x003a, 0x0005, "US" , "1" , "Number of Waveform Channels"}, 
   {0x003a, 0x0010, "UL" , "1" , "Number of Waveform Samples"}, 
   {0x003a, 0x001a, "DS" , "1" , "Sampling Frequency"}, 
   {0x003a, 0x0020, "SH" , "1" , "Multiplex Group Label"}, 
   {0x003a, 0x0200, "SQ" , "1" , "Channel Definition Sequence"}, 
   {0x003a, 0x0202, "IS" , "1" , "Waveform Channel Number"}, 
   {0x003a, 0x0203, "SH" , "1" , "Channel Label"}, 
   {0x003a, 0x0205, "CS" , "1-n" , "Channel Status"}, 
   {0x003a, 0x0208, "SQ" , "1" , "Channel Source Sequence"}, 
   {0x003a, 0x0209, "SQ" , "1" , "Channel Source Modifiers Sequence"}, 
   {0x003a, 0x020a, "SQ" , "1" , "Source Waveform Sequence"}, 
   {0x003a, 0x020c, "LO" , "1" , "Channel Derivation Description"}, 
   {0x003a, 0x0210, "DS" , "1" , "Channel Sensitivity"}, 
   {0x003a, 0x0211, "SQ" , "1" , "Channel Sensitivity Units Sequence"}, 
   {0x003a, 0x0212, "DS" , "1" , "Channel Sensitivity Correction Factor"}, 
   {0x003a, 0x0213, "DS" , "1" , "Channel Baseline"}, 
   {0x003a, 0x0214, "DS" , "1" , "Channel Time Skew"}, 
   {0x003a, 0x0215, "DS" , "1" , "Channel Sample Skew"}, 
   {0x003a, 0x0218, "DS" , "1" , "Channel Offset"}, 
   {0x003a, 0x021a, "US" , "1" , "Waveform Bits Stored"}, 
   {0x003a, 0x0220, "DS" , "1" , "Filter Low Frequency"}, 
   {0x003a, 0x0221, "DS" , "1" , "Filter High Frequency"}, 
   {0x003a, 0x0222, "DS" , "1" , "Notch Filter Frequency"}, 
   {0x003a, 0x0223, "DS" , "1" , "Notch Filter Bandwidth"}, 
   {0x003a, 0x0300, "SQ" , "1" , "Multiplexed Audio Channels Description Code Sequence"}, 
   {0x003a, 0x0301, "IS" , "1" , "Channel Identification Code"}, 
   {0x003a, 0x0302, "CS" , "1" , "Channel Mode"}, 
   {0x0040, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x0040, 0x0001, "AE" , "1-n" , "Scheduled Station AE Title"}, 
   {0x0040, 0x0002, "DA" , "1" , "Scheduled Procedure Step Start Date"}, 
   {0x0040, 0x0003, "TM" , "1" , "Scheduled Procedure Step Start Time"}, 
   {0x0040, 0x0004, "DA" , "1" , "Scheduled Procedure Step End Date"}, 
   {0x0040, 0x0005, "TM" , "1" , "Scheduled Procedure Step End Time"}, 
   {0x0040, 0x0006, "PN" , "1" , "Scheduled Performing Physician's Name"}, 
   {0x0040, 0x0007, "LO" , "1" , "Scheduled Procedure Step Description"}, 
   {0x0040, 0x0008, "SQ" , "1" , "Scheduled Protocol Code Sequence"}, 
   {0x0040, 0x0009, "SH" , "1" , "Scheduled Procedure Step ID"}, 
   {0x0040, 0x000a, "SQ" , "1" , "Stage Code Sequence"}, 
   {0x0040, 0x000b, "SQ" , "1" , "Scheduled Performing Physician Identification Sequence"}, 
   {0x0040, 0x0010, "SH" , "1-n" , "Scheduled Station Name"}, 
   {0x0040, 0x0011, "SH" , "1" , "Scheduled Procedure Step Location"}, 
   {0x0040, 0x0012, "LO" , "1" , "Pre-Medication"}, 
   {0x0040, 0x0020, "CS" , "1" , "Scheduled Procedure Step Status"}, 
   {0x0040, 0x0100, "SQ" , "1" , "Scheduled Procedure Step Sequence"}, 
   {0x0040, 0x0220, "SQ" , "1" , "Referenced Non-Image Composite SOP Instance Sequence"}, 
   {0x0040, 0x0241, "AE" , "1" , "Performed Station AE Title"}, 
   {0x0040, 0x0242, "SH" , "1" , "Performed Station Name"}, 
   {0x0040, 0x0243, "SH" , "1" , "Performed Location"}, 
   {0x0040, 0x0244, "DA" , "1" , "Performed Procedure Step Start Date"}, 
   {0x0040, 0x0245, "TM" , "1" , "Performed Procedure Step Start Time"}, 
   {0x0040, 0x0250, "DA" , "1" , "Performed Procedure Step End Date"}, 
   {0x0040, 0x0251, "TM" , "1" , "Performed Procedure Step End Time"}, 
   {0x0040, 0x0252, "CS" , "1" , "Performed Procedure Step Status"}, 
   {0x0040, 0x0253, "SH" , "1" , "Performed Procedure Step ID"}, 
   {0x0040, 0x0254, "LO" , "1" , "Performed Procedure Step Description"}, 
   {0x0040, 0x0255, "LO" , "1" , "Performed Procedure Type Description"}, 
   {0x0040, 0x0260, "SQ" , "1" , "Performed Protocol Code Sequence"}, 
   {0x0040, 0x0270, "SQ" , "1" , "Scheduled Step Attributes Sequence"}, 
   {0x0040, 0x0275, "SQ" , "1" , "Request Attributes Sequence"}, 
   {0x0040, 0x0280, "ST" , "1" , "Comments on the Performed Procedure Step"}, 
   {0x0040, 0x0281, "SQ" , "1" , "Performed Procedure Step Discontinuation Reason Code Sequence"}, 
   {0x0040, 0x0293, "SQ" , "1" , "Quantity Sequence"}, 
   {0x0040, 0x0294, "DS" , "1" , "Quantity"}, 
   {0x0040, 0x0295, "SQ" , "1" , "Measuring Units Sequence"}, 
   {0x0040, 0x0296, "SQ" , "1" , "Billing Item Sequence"}, 
   {0x0040, 0x0300, "US" , "1" , "Total Time of Fluoroscopy"}, 
   {0x0040, 0x0301, "US" , "1" , "Total Number of Exposures"}, 
   {0x0040, 0x0302, "US" , "1" , "Entrance Dose"}, 
   {0x0040, 0x0303, "US" , "1-2" , "Exposed Area"}, 
   {0x0040, 0x0306, "DS" , "1" , "Distance Source to Entrance"}, 
   {0x0040, 0x0307, "DS" , "1" , "Distance Source to Support (RET)"}, 
   {0x0040, 0x030e, "SQ" , "1" , "Exposure Dose Sequence"}, 
   {0x0040, 0x0310, "ST" , "1" , "Comments on Radiation Dose"}, 
   {0x0040, 0x0312, "DS" , "1" , "X-Ray Output"}, 
   {0x0040, 0x0314, "DS" , "1" , "Half Value Layer"}, 
   {0x0040, 0x0316, "DS" , "1" , "Organ Dose"}, 
   {0x0040, 0x0318, "CS" , "1" , "Organ Exposed"}, 
   {0x0040, 0x0320, "SQ" , "1" , "Billing Procedure Step Sequence"}, 
   {0x0040, 0x0321, "SQ" , "1" , "Film Consumption Sequence"}, 
   {0x0040, 0x0324, "SQ" , "1" , "Billing Supplies and Devices Sequence"}, 
   {0x0040, 0x0330, "SQ" , "1" , "Referenced Procedure Step Sequence (RET)"}, 
   {0x0040, 0x0340, "SQ" , "1" , "Performed Series Sequence"}, 
   {0x0040, 0x0400, "LT" , "1" , "Comments on the Scheduled Procedure Step"}, 
   {0x0040, 0x0440, "SQ" , "1" , "Protocol Context Sequence"}, 
   {0x0040, 0x0441, "SQ" , "1" , "Content Item Modifier Sequence"}, 
   {0x0040, 0x050a, "LO" , "1" , "Specimen Accession Number"}, 
   {0x0040, 0x0550, "SQ" , "1" , "Specimen Sequence"}, 
   {0x0040, 0x0551, "LO" , "1" , "Specimen Identifier"}, 
   {0x0040, 0x0555, "SQ" , "1" , "Acquisition Context Sequence"}, 
   {0x0040, 0x0556, "ST" , "1" , "Acquisition Context Description"}, 
   {0x0040, 0x059a, "SQ" , "1" , "Specimen Type Code Sequence"}, 
   {0x0040, 0x06fa, "LO" , "1" , "Slide Identifier"}, 
   {0x0040, 0x071a, "SQ" , "1" , "Image Center Point Coordinates Sequence"}, 
   {0x0040, 0x072a, "DS" , "1" , "X offset in Slide Coordinate System"}, 
   {0x0040, 0x073a, "DS" , "1" , "Y offset in Slide Coordinate System"}, 
   {0x0040, 0x074a, "DS" , "1" , "Z offset in Slide Coordinate System"}, 
   {0x0040, 0x08d8, "SQ" , "1" , "Pixel Spacing Sequence"}, 
   {0x0040, 0x08da, "SQ" , "1" , "Coordinate System Axis Code Sequence"}, 
   {0x0040, 0x08ea, "SQ" , "1" , "Measurement Units Code Sequence"}, 
   {0x0040, 0x1001, "SH" , "1" , "Requested Procedure ID"}, 
   {0x0040, 0x1002, "LO" , "1" , "Reason for the Requested Procedure"}, 
   {0x0040, 0x1003, "SH" , "1" , "Requested Procedure Priority"}, 
   {0x0040, 0x1004, "LO" , "1" , "Patient Transport Arrangements"}, 
   {0x0040, 0x1005, "LO" , "1" , "Requested Procedure Location"}, 
   {0x0040, 0x1006, "SH" , "1" , "Placer Order Number / Procedure (RET)"}, 
   {0x0040, 0x1007, "SH" , "1" , "Filler Order Number / Procedure (RET)"}, 
   {0x0040, 0x1008, "LO" , "1" , "Confidentiality Code"}, 
   {0x0040, 0x1009, "SH" , "1" , "Reporting Priority"}, 
   {0x0040, 0x100a, "SQ" , "1" , "Reason for Requested Procedure Code Sequence"}, 
   {0x0040, 0x1010, "PN" , "1-n" , "Names of Intended Recipients of Results"}, 
   {0x0040, 0x1011, "SQ" , "1" , "Intended Recipients of Results Identification Sequence"}, 
   {0x0040, 0x1101, "SQ" , "1" , "Person Identification Code Sequence"}, 
   {0x0040, 0x1102, "ST" , "1" , "Person's Address"}, 
   {0x0040, 0x1103, "LO" , "1-n" , "Person's Telephone Numbers"}, 
   {0x0040, 0x1400, "LT" , "1" , "Requested Procedure Comments"}, 
   {0x0040, 0x2001, "LO" , "1" , "Reason for the Imaging Service Request (RET)"}, 
   {0x0040, 0x2004, "DA" , "1" , "Issue Date of Imaging Service Request"}, 
   {0x0040, 0x2005, "TM" , "1" , "Issue Time of Imaging Service Request"}, 
   {0x0040, 0x2006, "SH" , "1" , "Placer Order Number / Imaging Service Request (RET)"}, 
   {0x0040, 0x2007, "SH" , "1" , "Filler Order Number / Imaging Service Request (RET)"}, 
   {0x0040, 0x2008, "PN" , "1" , "Order Entered By"}, 
   {0x0040, 0x2009, "SH" , "1" , "Order Enterer's Location"}, 
   {0x0040, 0x2010, "SH" , "1" , "Order Callback Phone Number"}, 
   {0x0040, 0x2016, "LO" , "1" , "Placer Order Number / Imaging Service Request"}, 
   {0x0040, 0x2017, "LO" , "1" , "Filler Order Number / Imaging Service Request"}, 
   {0x0040, 0x2400, "LT" , "1" , "Imaging Service Request Comments"}, 
   {0x0040, 0x3001, "LO" , "1" , "Confidentiality Constraint on Patient Data Description"}, 
   {0x0040, 0x4001, "CS" , "1" , "General Purpose Scheduled Procedure Step Status"}, 
   {0x0040, 0x4002, "CS" , "1" , "General Purpose Performed Procedure Step Status"}, 
   {0x0040, 0x4003, "CS" , "1" , "General Purpose Scheduled Procedure Step Priority"}, 
   {0x0040, 0x4004, "SQ" , "1" , "Scheduled Processing Applications Code Sequence"}, 
   {0x0040, 0x4005, "DT" , "1" , "Scheduled Procedure Step Start Date and Time"}, 
   {0x0040, 0x4006, "CS" , "1" , "Multiple Copies Flag"}, 
   {0x0040, 0x4007, "SQ" , "1" , "Performed Processing Applications Code Sequence"}, 
   {0x0040, 0x4009, "SQ" , "1" , "Human Performer Code Sequence"}, 
   {0x0040, 0x4010, "DT" , "1" , "Scheduled Procedure Step Modification Date and Time"}, 
   {0x0040, 0x4011, "DT" , "1" , "Expected Completion Date and Time"}, 
   {0x0040, 0x4015, "SQ" , "1" , "Resulting General Purpose Performed Procedure Steps Sequence"}, 
   {0x0040, 0x4016, "SQ" , "1" , "Referenced General Purpose Scheduled Procedure Step Sequence"}, 
   {0x0040, 0x4018, "SQ" , "1" , "Scheduled Workitem Code Sequence"}, 
   {0x0040, 0x4019, "SQ" , "1" , "Performed Workitem Code Sequence"}, 
   {0x0040, 0x4020, "CS" , "1" , "Input Availability Flag"}, 
   {0x0040, 0x4021, "SQ" , "1" , "Input Information Sequence"}, 
   {0x0040, 0x4022, "SQ" , "1" , "Relevant Information Sequence"}, 
   {0x0040, 0x4023, "UI" , "1" , "Referenced General Purpose Scheduled Procedure Step Transaction UID"}, 
   {0x0040, 0x4025, "SQ" , "1" , "Scheduled Station Name Code Sequence"}, 
   {0x0040, 0x4026, "SQ" , "1" , "Scheduled Station Class Code Sequence"}, 
   {0x0040, 0x4027, "SQ" , "1" , "Scheduled Station Geographic Location Code Sequence"}, 
   {0x0040, 0x4028, "SQ" , "1" , "Performed Station Name Code Sequence"}, 
   {0x0040, 0x4029, "SQ" , "1" , "Performed Station Class Code Sequence"}, 
   {0x0040, 0x4030, "SQ" , "1" , "Performed Station Geographic Location Code Sequence"}, 
   {0x0040, 0x4031, "SQ" , "1" , "Requested Subsequent Workitem Code Sequence"}, 
   {0x0040, 0x4032, "SQ" , "1" , "Non-DICOM Output Code Sequence"}, 
   {0x0040, 0x4033, "SQ" , "1" , "Output Information Sequence"}, 
   {0x0040, 0x4034, "SQ" , "1" , "Scheduled Human Performers Sequence"}, 
   {0x0040, 0x4035, "SQ" , "1" , "Actual Human Performers Sequence"}, 
   {0x0040, 0x4036, "LO" , "1" , "Human Performer's Organization"}, 
   {0x0040, 0x4037, "PN" , "1" , "Human Performer's Name"}, 
   {0x0040, 0x8302, "DS" , "1" , "Entrance Dose in mGy"}, 
   {0x0040, 0x9096, "SQ" , "1" , "Real World Value Mapping Sequence"}, 
   {0x0040, 0x9210, "SH" , "1" , "LUT Label"}, 
   {0x0040, 0x9211, "US" , "1" , "Real World Value Last Value Mapped"}, 
   {0x0040, 0x9212, "FD" , "1-n" , "Real World Value LUT Data"}, 
   {0x0040, 0x9216, "US" , "1" , "Real World Value First Value Mapped"}, 
   {0x0040, 0x9224, "FD" , "1" , "Real World Value Intercept"}, 
   {0x0040, 0x9225, "FD" , "1" , "Real World Value Slope"}, 
   {0x0040, 0xa010, "CS" , "1" , "Relationship Type"}, 
   {0x0040, 0xa027, "LO" , "1" , "Verifying Organization"}, 
   {0x0040, 0xa030, "DT" , "1" , "Verification Date Time"}, 
   {0x0040, 0xa032, "DT" , "1" , "Observation Date Time"}, 
   {0x0040, 0xa040, "CS" , "1" , "Value Type"}, 
   {0x0040, 0xa043, "SQ" , "1" , "Concept Name Code Sequence"}, 
   {0x0040, 0xa050, "CS" , "1" , "Continuity Of Content"}, 
   {0x0040, 0xa073, "SQ" , "1" , "Verifying Observer Sequence"}, 
   {0x0040, 0xa075, "PN" , "1" , "Verifying Observer Name"}, 
   {0x0040, 0xa088, "SQ" , "1" , "Verifying Observer Identification Code Sequence"}, 
   {0x0040, 0xa0b0, "US" , "2-2n" , "Referenced Waveform Channels"}, 
   {0x0040, 0xa120, "DT" , "1" , "DateTime"}, 
   {0x0040, 0xa121, "DA" , "1" , "Date"}, 
   {0x0040, 0xa122, "TM" , "1" , "Time"}, 
   {0x0040, 0xa123, "PN" , "1" , "Person Name"}, 
   {0x0040, 0xa124, "UI" , "1" , "UID"}, 
   {0x0040, 0xa130, "CS" , "1" , "Temporal Range Type"}, 
   {0x0040, 0xa132, "UL" , "1-n" , "Referenced Sample Positions"}, 
   {0x0040, 0xa136, "US" , "1-n" , "Referenced Frame Numbers"}, 
   {0x0040, 0xa138, "DS" , "1-n" , "Referenced Time Offsets"}, 
   {0x0040, 0xa13a, "DT" , "1-n" , "Referenced Datetime"}, 
   {0x0040, 0xa160, "UT" , "1" , "Text Value"}, 
   {0x0040, 0xa168, "SQ" , "1" , "Concept Code Sequence"}, 
   {0x0040, 0xa170, "SQ" , "1" , "Purpose of Reference Code Sequence"}, 
   {0x0040, 0xa180, "US" , "1" , "Annotation Group Number"}, 
   {0x0040, 0xa195, "SQ" , "1" , "Modifier Code Sequence"}, 
   {0x0040, 0xa300, "SQ" , "1" , "Measured Value Sequence"}, 
   {0x0040, 0xa301, "SQ" , "1" , "Numeric Value Qualifier Code Sequence"}, 
   {0x0040, 0xa30a, "DS" , "1-n" , "Numeric Value"}, 
   {0x0040, 0xa360, "SQ" , "1" , "Predecessor Documents Sequence"}, 
   {0x0040, 0xa370, "SQ" , "1" , "Referenced Request Sequence"}, 
   {0x0040, 0xa372, "SQ" , "1" , "Performed Procedure Code Sequence"}, 
   {0x0040, 0xa375, "SQ" , "1" , "Current Requested Procedure Evidence Sequence"}, 
   {0x0040, 0xa385, "SQ" , "1" , "Pertinent Other Evidence Sequence"}, 
   {0x0040, 0xa491, "CS" , "1" , "Completion Flag"}, 
   {0x0040, 0xa492, "LO" , "1" , "Completion Flag Description"}, 
   {0x0040, 0xa493, "CS" , "1" , "Verification Flag"}, 
   {0x0040, 0xa504, "SQ" , "1" , "Content Template Sequence"}, 
   {0x0040, 0xa525, "SQ" , "1" , "Identical Documents Sequence"}, 
   {0x0040, 0xa730, "SQ" , "1" , "Content Sequence"}, 
   {0x0040, 0xb020, "SQ" , "1" , "Annotation Sequence"}, 
   {0x0040, 0xdb00, "CS" , "1" , "Template Identifier"}, 
   {0x0040, 0xdb06, "DT" , "1" , "Template Version (RET)"}, 
   {0x0040, 0xdb07, "DT" , "1" , "Template Local Version (RET)"}, 
   {0x0040, 0xdb0b, "CS" , "1" , "Template Extension Flag (RET)"}, 
   {0x0040, 0xdb0c, "UI" , "1" , "Template Extension Organization UID (RET)"}, 
   {0x0040, 0xdb0d, "UI" , "1" , "Template Extension Creator UID (RET)"}, 
   {0x0040, 0xdb73, "UL" , "1-n" , "Referenced Content Item Identifier"}, 
   {0x0050, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x0050, 0x0004, "CS" , "1" , "Calibration Image"}, 
   {0x0050, 0x0010, "SQ" , "1" , "Device Sequence"}, 
   {0x0050, 0x0014, "DS" , "1" , "Device Length"}, 
   {0x0050, 0x0016, "DS" , "1" , "Device Diameter"}, 
   {0x0050, 0x0017, "CS" , "1" , "Device Diameter Units"}, 
   {0x0050, 0x0018, "DS" , "1" , "Device Volume"}, 
   {0x0050, 0x0019, "DS" , "1" , "Inter-Marker Distance"}, 
   {0x0050, 0x0020, "LO" , "1" , "Device Description"}, 
   {0x0054, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x0054, 0x0010, "US" , "1-n" , "Energy Window Vector"}, 
   {0x0054, 0x0011, "US" , "1" , "Number of Energy Windows"}, 
   {0x0054, 0x0012, "SQ" , "1" , "Energy Window Information Sequence"}, 
   {0x0054, 0x0013, "SQ" , "1" , "Energy Window Range Sequence"}, 
   {0x0054, 0x0014, "DS" , "1" , "Energy Window Lower Limit"}, 
   {0x0054, 0x0015, "DS" , "1" , "Energy Window Upper Limit"}, 
   {0x0054, 0x0016, "SQ" , "1" , "Radiopharmaceutical Information Sequence"}, 
   {0x0054, 0x0017, "IS" , "1" , "Residual Syringe Counts"}, 
   {0x0054, 0x0018, "SH" , "1" , "Energy Window Name"}, 
   {0x0054, 0x0020, "US" , "1-n" , "Detector Vector"}, 
   {0x0054, 0x0021, "US" , "1" , "Number of Detectors"}, 
   {0x0054, 0x0022, "SQ" , "1" , "Detector Information Sequence"}, 
   {0x0054, 0x0030, "US" , "1-n" , "Phase Vector"}, 
   {0x0054, 0x0031, "US" , "1" , "Number of Phases"}, 
   {0x0054, 0x0032, "SQ" , "1" , "Phase Information Sequence"}, 
   {0x0054, 0x0033, "US" , "1" , "Number of Frames in Phase"}, 
   {0x0054, 0x0036, "IS" , "1" , "Phase Delay"}, 
   {0x0054, 0x0038, "IS" , "1" , "Pause Between Frames"}, 
   {0x0054, 0x0039, "CS" , "1" , "Phase Description"}, 
   {0x0054, 0x0050, "US" , "1-n" , "Rotation Vector"}, 
   {0x0054, 0x0051, "US" , "1" , "Number of Rotations"}, 
   {0x0054, 0x0052, "SQ" , "1" , "Rotation Information Sequence"}, 
   {0x0054, 0x0053, "US" , "1" , "Number of Frames in Rotation"}, 
   {0x0054, 0x0060, "US" , "1-n" , "R-R Interval Vector"}, 
   {0x0054, 0x0061, "US" , "1" , "Number of R-R Intervals"}, 
   {0x0054, 0x0062, "SQ" , "1" , "Gated Information Sequence"}, 
   {0x0054, 0x0063, "SQ" , "1" , "Data Information Sequence"}, 
   {0x0054, 0x0070, "US" , "1-n" , "Time Slot Vector"}, 
   {0x0054, 0x0071, "US" , "1" , "Number of Time Slots"}, 
   {0x0054, 0x0072, "SQ" , "1" , "Time Slot Information Sequence"}, 
   {0x0054, 0x0073, "DS" , "1" , "Time Slot Time"}, 
   {0x0054, 0x0080, "US" , "1-n" , "Slice Vector"}, 
   {0x0054, 0x0081, "US" , "1" , "Number of Slices"}, 
   {0x0054, 0x0090, "US" , "1-n" , "Angular View Vector"}, 
   {0x0054, 0x0100, "US" , "1-n" , "Time Slice Vector"}, 
   {0x0054, 0x0101, "US" , "1" , "Number of Time Slices"}, 
   {0x0054, 0x0200, "DS" , "1" , "Start Angle"}, 
   {0x0054, 0x0202, "CS" , "1" , "Type of Detector Motion"}, 
   {0x0054, 0x0210, "IS" , "1-n" , "Trigger Vector"}, 
   {0x0054, 0x0211, "US" , "1" , "Number of Triggers in Phase"}, 
   {0x0054, 0x0220, "SQ" , "1" , "View Code Sequence"}, 
   {0x0054, 0x0222, "SQ" , "1" , "View Modifier Code Sequence"}, 
   {0x0054, 0x0300, "SQ" , "1" , "Radionuclide Code Sequence"}, 
   {0x0054, 0x0302, "SQ" , "1" , "Administration Route Code Sequence"}, 
   {0x0054, 0x0304, "SQ" , "1" , "Radiopharmaceutical Code Sequence"}, 
   {0x0054, 0x0306, "SQ" , "1" , "Calibration Data Sequence"}, 
   {0x0054, 0x0308, "US" , "1" , "Energy Window Number"}, 
   {0x0054, 0x0400, "SH" , "1" , "Image ID"}, 
   {0x0054, 0x0410, "SQ" , "1" , "Patient Orientation Code Sequence"}, 
   {0x0054, 0x0412, "SQ" , "1" , "Patient Orientation Modifier Code Sequence"}, 
   {0x0054, 0x0414, "SQ" , "1" , "Patient Gantry Relationship Code Sequence"}, 
   {0x0054, 0x0500, "CS" , "1" , "Slice Progression Direction"}, 
   {0x0054, 0x1000, "CS" , "2" , "Series Type"}, 
   {0x0054, 0x1001, "CS" , "1" , "Units"}, 
   {0x0054, 0x1002, "CS" , "1" , "Counts Source"}, 
   {0x0054, 0x1004, "CS" , "1" , "Reprojection Method"}, 
   {0x0054, 0x1100, "CS" , "1" , "Randoms Correction Method"}, 
   {0x0054, 0x1101, "LO" , "1" , "Attenuation Correction Method"}, 
   {0x0054, 0x1102, "CS" , "1" , "Decay Correction"}, 
   {0x0054, 0x1103, "LO" , "1" , "Reconstruction Method"}, 
   {0x0054, 0x1104, "LO" , "1" , "Detector Lines of Response Used"}, 
   {0x0054, 0x1105, "LO" , "1" , "Scatter Correction Method"}, 
   {0x0054, 0x1200, "DS" , "1" , "Axial Acceptance"}, 
   {0x0054, 0x1201, "IS" , "2" , "Axial Mash"}, 
   {0x0054, 0x1202, "IS" , "1" , "Transverse Mash"}, 
   {0x0054, 0x1203, "DS" , "2" , "Detector Element Size"}, 
   {0x0054, 0x1210, "DS" , "1" , "Coincidence Window Width"}, 
   {0x0054, 0x1220, "CS" , "1-n" , "Secondary Counts Type"}, 
   {0x0054, 0x1300, "DS" , "1" , "Frame Reference Time"}, 
   {0x0054, 0x1310, "IS" , "1" , "Primary (Prompts) Counts Accumulated"}, 
   {0x0054, 0x1311, "IS" , "1-n" , "Secondary Counts Accumulated"}, 
   {0x0054, 0x1320, "DS" , "1" , "Slice Sensitivity Factor"}, 
   {0x0054, 0x1321, "DS" , "1" , "Decay Factor"}, 
   {0x0054, 0x1322, "DS" , "1" , "Dose Calibration Factor"}, 
   {0x0054, 0x1323, "DS" , "1" , "Scatter Fraction Factor"}, 
   {0x0054, 0x1324, "DS" , "1" , "Dead Time Factor"}, 
   {0x0054, 0x1330, "US" , "1" , "Image Index"}, 
   {0x0054, 0x1400, "CS" , "1-n" , "Counts Included"}, 
   {0x0054, 0x1401, "CS" , "1" , "Dead Time Correction Flag"}, 
   {0x0060, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x0060, 0x3000, "SQ" , "1" , "Histogram Sequence"}, 
   {0x0060, 0x3002, "US" , "1" , "Histogram Number of Bins"}, 
   {0x0060, 0x3004, "US" , "1" , "Histogram First Bin Value"}, 
   {0x0060, 0x3006, "US" , "1" , "Histogram Last Bin Value"}, 
   {0x0060, 0x3008, "US" , "1" , "Histogram Bin Width"}, 
   {0x0060, 0x3010, "LO" , "1" , "Histogram Explanation"}, 
   {0x0060, 0x3020, "UL" , "1-n" , "Histogram Data"}, 
   {0x0070, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x0070, 0x0001, "SQ" , "1" , "Graphic Annotation Sequence"}, 
   {0x0070, 0x0002, "CS" , "1" , "Graphic Layer"}, 
   {0x0070, 0x0003, "CS" , "1" , "Bounding Box Annotation Units"}, 
   {0x0070, 0x0004, "CS" , "1" , "Anchor Point Annotation Units"}, 
   {0x0070, 0x0005, "CS" , "1" , "Graphic Annotation Units"}, 
   {0x0070, 0x0006, "ST" , "1" , "Unformatted Text Value"}, 
   {0x0070, 0x0008, "SQ" , "1" , "Text Object Sequence"}, 
   {0x0070, 0x0009, "SQ" , "1" , "Graphic Object Sequence"}, 
   {0x0070, 0x0010, "FL" , "2" , "Bounding Box Top Left Hand Corner"}, 
   {0x0070, 0x0011, "FL" , "2" , "Bounding Box Bottom Right Hand Corner"}, 
   {0x0070, 0x0012, "CS" , "1" , "Bounding Box Text Horizontal Justification"}, 
   {0x0070, 0x0014, "FL" , "2" , "Anchor Point"}, 
   {0x0070, 0x0015, "CS" , "1" , "Anchor Point Visibility"}, 
   {0x0070, 0x0020, "US" , "1" , "Graphic Dimensions"}, 
   {0x0070, 0x0021, "US" , "1" , "Number of Graphic Points"}, 
   {0x0070, 0x0022, "FL" , "2-n" , "Graphic Data"}, 
   {0x0070, 0x0023, "CS" , "1" , "Graphic Type"}, 
   {0x0070, 0x0024, "CS" , "1" , "Graphic Filled"}, 
   {0x0070, 0x0041, "CS" , "1" , "Image Horizontal Flip"}, 
   {0x0070, 0x0042, "US" , "1" , "Image Rotation"}, 
   {0x0070, 0x0052, "SL" , "2" , "Displayed Area Top Left Hand Corner"}, 
   {0x0070, 0x0053, "SL" , "2" , "Displayed Area Bottom Right Hand Corner"}, 
   {0x0070, 0x005a, "SQ" , "1" , "Displayed Area Selection Sequence"}, 
   {0x0070, 0x0060, "SQ" , "1" , "Graphic Layer Sequence"}, 
   {0x0070, 0x0062, "IS" , "1" , "Graphic Layer Order"}, 
   {0x0070, 0x0066, "US" , "1" , "Graphic Layer Recommended Display Grayscale Value"}, 
   {0x0070, 0x0067, "US" , "3" , "Graphic Layer Recommended Display RGB Value"}, 
   {0x0070, 0x0068, "LO" , "1" , "Graphic Layer Description"}, 
   {0x0070, 0x0080, "CS" , "1" , "Content Label"}, 
   {0x0070, 0x0081, "LO" , "1" , "Content Description"}, 
   {0x0070, 0x0082, "DA" , "1" , "Presentation Creation Date"}, 
   {0x0070, 0x0083, "TM" , "1" , "Presentation Creation Time"}, 
   {0x0070, 0x0084, "PN" , "1" , "Content Creator's Name"}, 
   {0x0070, 0x0100, "CS" , "1" , "Presentation Size Mode"}, 
   {0x0070, 0x0101, "DS" , "2" , "Presentation Pixel Spacing"}, 
   {0x0070, 0x0102, "IS" , "2" , "Presentation Pixel Aspect Ratio"}, 
   {0x0070, 0x0103, "FL" , "1" , "Presentation Pixel Magnification Ratio"}, 
   {0x0070, 0x0306, "CS" , "1" , "Shape Type"}, 
   {0x0070, 0x0308, "SQ" , "1" , "Registration Sequence"}, 
   {0x0070, 0x0309, "SQ" , "1" , "Matrix Registration Sequence"}, 
   {0x0070, 0x030a, "SQ" , "1" , "Matrix Sequence"}, 
   {0x0070, 0x030c, "CS" , "1" , "Frame of Reference Transformation Matrix Type"}, 
   {0x0070, 0x030d, "SQ" , "1" , "Registration Type Code Sequence"}, 
   {0x0070, 0x030f, "ST" , "1" , "Fiducial Description"}, 
   {0x0070, 0x0310, "SH" , "1" , "Fiducial Identifier"}, 
   {0x0070, 0x0311, "SQ" , "1" , "Fiducial Identifier Code Sequence"}, 
   {0x0070, 0x0312, "FD" , "1" , "Contour Uncertainty Radius"}, 
   {0x0070, 0x0314, "SQ" , "1" , "Used Fiducials Sequence"}, 
   {0x0070, 0x0318, "SQ" , "1" , "Graphic Coordinates Data Sequence"}, 
   {0x0070, 0x031a, "UI" , "1" , "Fiducial UID"}, 
   {0x0070, 0x031c, "SQ" , "1" , "Fiducial Set Sequence"}, 
   {0x0070, 0x031e, "SQ" , "1" , "Fiducial Sequence"}, 
   {0x0088, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x0088, 0x0130, "SH" , "1" , "Storage Media File-set ID"}, 
   {0x0088, 0x0140, "UI" , "1" , "Storage Media File-set UID"}, 
   {0x0088, 0x0200, "SQ" , "1" , "Icon Image Sequence"}, 
   {0x0088, 0x0904, "LO" , "1" , "Topic Title"}, 
   {0x0088, 0x0906, "ST" , "1" , "Topic Subject"}, 
   {0x0088, 0x0910, "LO" , "1" , "Topic Author"}, 
   {0x0088, 0x0912, "LO" , "1-32" , "Topic Keywords"}, 
   {0x0100, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x0100, 0x0410, "CS" , "1" , "SOP Instance Status"}, 
   {0x0100, 0x0420, "DT" , "1" , "SOP Authorization Date and Time"}, 
   {0x0100, 0x0424, "LT" , "1" , "SOP Authorization Comment"}, 
   {0x0100, 0x0426, "LO" , "1" , "Authorization Equipment Certification Number"}, 
   {0x0400, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x0400, 0x0005, "US" , "1" , "MAC ID Number"}, 
   {0x0400, 0x0010, "UI" , "1" , "MAC Calculation Transfer Syntax UID"}, 
   {0x0400, 0x0015, "CS" , "1" , "MAC Algorithm"}, 
   {0x0400, 0x0020, "AT" , "1-n" , "Data Elements Signed"}, 
   {0x0400, 0x0100, "UI" , "1" , "Digital Signature UID"}, 
   {0x0400, 0x0105, "DT" , "1" , "Digital Signature DateTime"}, 
   {0x0400, 0x0110, "CS" , "1" , "Certificate Type"}, 
   {0x0400, 0x0115, "OB" , "1" , "Certificate of Signer"}, 
   {0x0400, 0x0120, "OB" , "1" , "Signature"}, 
   {0x0400, 0x0305, "CS" , "1" , "Certified Timestamp Type"}, 
   {0x0400, 0x0310, "OB" , "1" , "Certified Timestamp"}, 
   {0x0400, 0x0500, "SQ" , "1" , "Encrypted Attributes Sequence"}, 
   {0x0400, 0x0510, "UI" , "1" , "Encrypted Content Transfer Syntax UID"}, 
   {0x0400, 0x0520, "OB" , "1" , "Encrypted Content"}, 
   {0x0400, 0x0550, "SQ" , "1" , "Modified Attributes Sequence"}, 
   {0x2000, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x2000, 0x0010, "IS" , "1" , "Number of Copies"}, 
   {0x2000, 0x001e, "SQ" , "1" , "Printer Configuration Sequence"}, 
   {0x2000, 0x0020, "CS" , "1" , "Print Priority"}, 
   {0x2000, 0x0030, "CS" , "1" , "Medium Type"}, 
   {0x2000, 0x0040, "CS" , "1" , "Film Destination"}, 
   {0x2000, 0x0050, "LO" , "1" , "Film Session Label"}, 
   {0x2000, 0x0060, "IS" , "1" , "Memory Allocation"}, 
   {0x2000, 0x0061, "IS" , "1" , "Maximum Memory Allocation"}, 
   {0x2000, 0x0062, "CS" , "1" , "Color Image Printing Flag"}, 
   {0x2000, 0x0063, "CS" , "1" , "Collation Flag"}, 
   {0x2000, 0x0065, "CS" , "1" , "Annotation Flag"}, 
   {0x2000, 0x0067, "CS" , "1" , "Image Overlay Flag"}, 
   {0x2000, 0x0069, "CS" , "1" , "Presentation LUT Flag"}, 
   {0x2000, 0x006a, "CS" , "1" , "Image Box Presentation LUT Flag"}, 
   {0x2000, 0x00a0, "US" , "1" , "Memory Bit Depth"}, 
   {0x2000, 0x00a1, "US" , "1" , "Printing Bit Depth"}, 
   {0x2000, 0x00a2, "SQ" , "1" , "Media Installed Sequence"}, 
   {0x2000, 0x00a4, "SQ" , "1" , "Other Media Available Sequence"}, 
   {0x2000, 0x00a8, "SQ" , "1" , "Supported Image Display Formats Sequence"}, 
   {0x2000, 0x0500, "SQ" , "1" , "Referenced Film Box Sequence"}, 
   {0x2000, 0x0510, "SQ" , "1" , "Referenced Stored Print Sequence"}, 
   {0x2010, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x2010, 0x0010, "ST" , "1" , "Image Display Format"}, 
   {0x2010, 0x0030, "CS" , "1" , "Annotation Display Format ID"}, 
   {0x2010, 0x0040, "CS" , "1" , "Film Orientation"}, 
   {0x2010, 0x0050, "CS" , "1" , "Film Size ID"}, 
   {0x2010, 0x0052, "CS" , "1" , "Printer Resolution ID"}, 
   {0x2010, 0x0054, "CS" , "1" , "Default Printer Resolution ID"}, 
   {0x2010, 0x0060, "CS" , "1" , "Magnification Type"}, 
   {0x2010, 0x0080, "CS" , "1" , "Smoothing Type"}, 
   {0x2010, 0x00a6, "CS" , "1" , "Default Magnification Type"}, 
   {0x2010, 0x00a7, "CS" , "1-n" , "Other Magnification Types Available"}, 
   {0x2010, 0x00a8, "CS" , "1" , "Default Smoothing Type"}, 
   {0x2010, 0x00a9, "CS" , "1-n" , "Other Smoothing Types Available"}, 
   {0x2010, 0x0100, "CS" , "1" , "Border Density"}, 
   {0x2010, 0x0110, "CS" , "1" , "Empty Image Density"}, 
   {0x2010, 0x0120, "US" , "1" , "Min Density"}, 
   {0x2010, 0x0130, "US" , "1" , "Max Density"}, 
   {0x2010, 0x0140, "CS" , "1" , "Trim"}, 
   {0x2010, 0x0150, "ST" , "1" , "Configuration Information"}, 
   {0x2010, 0x0152, "LT" , "1" , "Configuration Information Description"}, 
   {0x2010, 0x0154, "IS" , "1" , "Maximum Collated Films"}, 
   {0x2010, 0x015e, "US" , "1" , "Illumination"}, 
   {0x2010, 0x0160, "US" , "1" , "Reflected Ambient Light"}, 
   {0x2010, 0x0376, "DS" , "2" , "Printer Pixel Spacing"}, 
   {0x2010, 0x0500, "SQ" , "1" , "Referenced Film Session Sequence"}, 
   {0x2010, 0x0510, "SQ" , "1" , "Referenced Image Box Sequence"}, 
   {0x2010, 0x0520, "SQ" , "1" , "Referenced Basic Annotation Box Sequence"}, 
   {0x2020, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x2020, 0x0010, "US" , "1" , "Image Position"}, 
   {0x2020, 0x0020, "CS" , "1" , "Polarity"}, 
   {0x2020, 0x0030, "DS" , "1" , "Requested Image Size"}, 
   {0x2020, 0x0040, "CS" , "1" , "Requested Decimate/Crop Behavior"}, 
   {0x2020, 0x0050, "CS" , "1" , "Requested Resolution ID"}, 
   {0x2020, 0x00a0, "CS" , "1" , "Requested Image Size Flag"}, 
   {0x2020, 0x00a2, "CS" , "1" , "Decimate/Crop Result"}, 
   {0x2020, 0x0110, "SQ" , "1" , "Basic Grayscale Image Sequence"}, 
   {0x2020, 0x0111, "SQ" , "1" , "Basic Color Image Sequence"}, 
   {0x2020, 0x0130, "SQ" , "1" , "Referenced Image Overlay Box Sequence (RET)"}, 
   {0x2020, 0x0140, "SQ" , "1" , "Referenced VOI LUT Box Sequence (RET)"}, 
   {0x2030, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x2030, 0x0010, "US" , "1" , "Annotation Position"}, 
   {0x2030, 0x0020, "LO" , "1" , "Text String"}, 
   {0x2040, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x2040, 0x0010, "SQ" , "1" , "Referenced Overlay Plane Sequence"}, 
   {0x2040, 0x0011, "US" , "1-99" , "Referenced Overlay Plane Groups"}, 
   {0x2040, 0x0020, "SQ" , "1" , "Overlay Pixel Data Sequence"}, 
   {0x2040, 0x0060, "CS" , "1" , "Overlay Magnification Type"}, 
   {0x2040, 0x0070, "CS" , "1" , "Overlay Smoothing Type"}, 
   {0x2040, 0x0072, "CS" , "1" , "Overlay or Image Magnification"}, 
   {0x2040, 0x0074, "US" , "1" , "Magnify to Number of Columns"}, 
   {0x2040, 0x0080, "CS" , "1" , "Overlay Foreground Density"}, 
   {0x2040, 0x0082, "CS" , "1" , "Overlay Background Density"}, 
   {0x2040, 0x0090, "CS" , "1" , "Overlay Mode (RET)"}, 
   {0x2040, 0x0100, "CS" , "1" , "Threshold Density (RET)"}, 
   {0x2040, 0x0500, "SQ" , "1" , "Referenced Image Box Sequence (RET)"}, 
   {0x2050, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x2050, 0x0010, "SQ" , "1" , "Presentation LUT Sequence"}, 
   {0x2050, 0x0020, "CS" , "1" , "Presentation LUT Shape"}, 
   {0x2050, 0x0500, "SQ" , "1" , "Referenced Presentation LUT Sequence"}, 
   {0x2100, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x2100, 0x0010, "SH" , "1" , "Print Job ID"}, 
   {0x2100, 0x0020, "CS" , "1" , "Execution Status"}, 
   {0x2100, 0x0030, "CS" , "1" , "Execution Status Info"}, 
   {0x2100, 0x0040, "DA" , "1" , "Creation Date"}, 
   {0x2100, 0x0050, "TM" , "1" , "Creation Time"}, 
   {0x2100, 0x0070, "AE" , "1" , "Originator"}, 
   {0x2100, 0x0140, "AE" , "1" , "Destination AE"}, 
   {0x2100, 0x0160, "SH" , "1" , "Owner ID"}, 
   {0x2100, 0x0170, "IS" , "1" , "Number of Films"}, 
   {0x2100, 0x0500, "SQ" , "1" , "Referenced Print Job Sequence"}, 
   {0x2110, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x2110, 0x0010, "CS" , "1" , "Printer Status"}, 
   {0x2110, 0x0020, "CS" , "1" , "Printer Status Info"}, 
   {0x2110, 0x0030, "LO" , "1" , "Printer Name"}, 
   {0x2110, 0x0099, "SH" , "1" , "Print Queue ID"}, 
   {0x2120, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x2120, 0x0010, "CS" , "1" , "Queue Status"}, 
   {0x2120, 0x0050, "SQ" , "1" , "Print Job Description Sequence"}, 
   {0x2120, 0x0070, "SQ" , "1" , "Referenced Print Job Sequence"}, 
   {0x2130, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x2130, 0x0010, "SQ" , "1" , "Print Management Capabilities Sequence"}, 
   {0x2130, 0x0015, "SQ" , "1" , "Printer Characteristics Sequence"}, 
   {0x2130, 0x0030, "SQ" , "1" , "Film Box Content Sequence"}, 
   {0x2130, 0x0040, "SQ" , "1" , "Image Box Content Sequence"}, 
   {0x2130, 0x0050, "SQ" , "1" , "Annotation Content Sequence"}, 
   {0x2130, 0x0060, "SQ" , "1" , "Image Overlay Box Content Sequence"}, 
   {0x2130, 0x0080, "SQ" , "1" , "Presentation LUT Content Sequence"}, 
   {0x2130, 0x00a0, "SQ" , "1" , "Proposed Study Sequence"}, 
   {0x2130, 0x00c0, "SQ" , "1" , "Original Image Sequence"}, 
   {0x2200, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x2200, 0x0001, "CS" , "1" , "Label Using Information Extracted From Instances"}, 
   {0x2200, 0x0002, "UT" , "1" , "Label Text"}, 
   {0x2200, 0x0003, "CS" , "1" , "Label Style Selection"}, 
   {0x2200, 0x0004, "LT" , "1" , "Media Disposition"}, 
   {0x2200, 0x0005, "LT" , "1" , "Barcode Value"}, 
   {0x2200, 0x0006, "CS" , "1" , "Barcode Symbology"}, 
   {0x2200, 0x0007, "CS" , "1" , "Allow Media Splitting"}, 
   {0x2200, 0x0008, "CS" , "1" , "Include Non-DICOM Objects"}, 
   {0x2200, 0x0009, "CS" , "1" , "Include Display Application"}, 
   {0x2200, 0x000a, "CS" , "1" , "Preserve Composite Instances After Media Creation"}, 
   {0x2200, 0x000b, "US" , "1" , "Total Number of Pieces of Media Created"}, 
   {0x2200, 0x000c, "LO" , "1" , "Requested Media Application Profile"}, 
   {0x2200, 0x000d, "SQ" , "1" , "Referenced Storage Media Sequence"}, 
   {0x2200, 0x000e, "AT" , "1-n" , "Failure Attributes"}, 
   {0x2200, 0x000f, "CS" , "1" , "Allow Lossy Compression"}, 
   {0x2200, 0x0020, "CS" , "1" , "Request Priority"}, 
   {0x3002, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x3002, 0x0002, "SH" , "1" , "RT Image Label"}, 
   {0x3002, 0x0003, "LO" , "1" , "RT Image Name"}, 
   {0x3002, 0x0004, "ST" , "1" , "RT Image Description"}, 
   {0x3002, 0x000a, "CS" , "1" , "Reported Values Origin"}, 
   {0x3002, 0x000c, "CS" , "1" , "RT Image Plane"}, 
   {0x3002, 0x000d, "DS" , "3" , "X-Ray Image Receptor Translation"}, 
   {0x3002, 0x000e, "DS" , "1" , "X-Ray Image Receptor Angle"}, 
   {0x3002, 0x0010, "DS" , "6" , "RT Image Orientation"}, 
   {0x3002, 0x0011, "DS" , "2" , "Image Plane Pixel Spacing"}, 
   {0x3002, 0x0012, "DS" , "2" , "RT Image Position"}, 
   {0x3002, 0x0020, "SH" , "1" , "Radiation Machine Name"}, 
   {0x3002, 0x0022, "DS" , "1" , "Radiation Machine SAD"}, 
   {0x3002, 0x0024, "DS" , "1" , "Radiation Machine SSD"}, 
   {0x3002, 0x0026, "DS" , "1" , "RT Image SID"}, 
   {0x3002, 0x0028, "DS" , "1" , "Source to Reference Object Distance"}, 
   {0x3002, 0x0029, "IS" , "1" , "Fraction Number"}, 
   {0x3002, 0x0030, "SQ" , "1" , "Exposure Sequence"}, 
   {0x3002, 0x0032, "DS" , "1" , "Meterset Exposure"}, 
   {0x3002, 0x0034, "DS" , "4" , "Diaphragm Position"}, 
   {0x3002, 0x0040, "SQ" , "1" , "Fluence Map Sequence"}, 
   {0x3002, 0x0041, "CS" , "1" , "Fluence Data Source"}, 
   {0x3002, 0x0042, "DS" , "1" , "Fluence Data Scale"}, 
   {0x3004, 0x0000, "UL" , "1" , "DVH Group Length"}, 
   {0x3004, 0x0001, "CS" , "1" , "DVH Type"}, 
   {0x3004, 0x0002, "CS" , "1" , "Dose Units"}, 
   {0x3004, 0x0004, "CS" , "1" , "Dose Type"}, 
   {0x3004, 0x0006, "LO" , "1" , "Dose Comment"}, 
   {0x3004, 0x0008, "DS" , "3" , "Normalization Point"}, 
   {0x3004, 0x000a, "CS" , "1" , "Dose Summation Type"}, 
   {0x3004, 0x000c, "DS" , "2-n" , "Grid Frame Offset Vector"}, 
   {0x3004, 0x000e, "DS" , "1" , "Dose Grid Scaling"}, 
   {0x3004, 0x0010, "SQ" , "1" , "RT Dose ROI Sequence"}, 
   {0x3004, 0x0012, "DS" , "1" , "Dose Value"}, 
   {0x3004, 0x0014, "CS" , "1-3" , "Tissue Heterogeneity Correction"}, 
   {0x3004, 0x0040, "DS" , "3" , "DVH Normalization Point"}, 
   {0x3004, 0x0042, "DS" , "1" , "DVH Normalization Dose Value"}, 
   {0x3004, 0x0050, "SQ" , "1" , "DVH Sequence"}, 
   {0x3004, 0x0052, "DS" , "1" , "DVH Dose Scaling"}, 
   {0x3004, 0x0054, "CS" , "1" , "DVH Volume Units"}, 
   {0x3004, 0x0056, "IS" , "1" , "DVH Number of Bins"}, 
   {0x3004, 0x0058, "DS" , "2-2n" , "DVH Data"}, 
   {0x3004, 0x0060, "SQ" , "1" , "DVH Referenced ROI Sequence"}, 
   {0x3004, 0x0062, "CS" , "1" , "DVH ROI Contribution Type"}, 
   {0x3004, 0x0070, "DS" , "1" , "DVH Minimum Dose"}, 
   {0x3004, 0x0072, "DS" , "1" , "DVH Maximum Dose"}, 
   {0x3004, 0x0074, "DS" , "1" , "DVH Mean Dose"}, 
   {0x3006, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x3006, 0x0002, "SH" , "1" , "Structure Set Label"}, 
   {0x3006, 0x0004, "LO" , "1" , "Structure Set Name"}, 
   {0x3006, 0x0006, "ST" , "1" , "Structure Set Description"}, 
   {0x3006, 0x0008, "DA" , "1" , "Structure Set Date"}, 
   {0x3006, 0x0009, "TM" , "1" , "Structure Set Time"}, 
   {0x3006, 0x0010, "SQ" , "1" , "Referenced Frame of Reference Sequence"}, 
   {0x3006, 0x0012, "SQ" , "1" , "RT Referenced Study Sequence"}, 
   {0x3006, 0x0014, "SQ" , "1" , "RT Referenced Series Sequence"}, 
   {0x3006, 0x0016, "SQ" , "1" , "Contour Image Sequence"}, 
   {0x3006, 0x0020, "SQ" , "1" , "Structure Set ROI Sequence"}, 
   {0x3006, 0x0022, "IS" , "1" , "ROI Number"}, 
   {0x3006, 0x0024, "UI" , "1" , "Referenced Frame of Reference UID"}, 
   {0x3006, 0x0026, "LO" , "1" , "ROI Name"}, 
   {0x3006, 0x0028, "ST" , "1" , "ROI Description"}, 
   {0x3006, 0x002a, "IS" , "3" , "ROI Display Color"}, 
   {0x3006, 0x002c, "DS" , "1" , "ROI Volume"}, 
   {0x3006, 0x0030, "SQ" , "1" , "RT Related ROI Sequence"}, 
   {0x3006, 0x0033, "CS" , "1" , "RT ROI Relationship"}, 
   {0x3006, 0x0036, "CS" , "1" , "ROI Generation Algorithm"}, 
   {0x3006, 0x0038, "LO" , "1" , "ROI Generation Description"}, 
   {0x3006, 0x0039, "SQ" , "1" , "ROI Contour Sequence"}, 
   {0x3006, 0x0040, "SQ" , "1" , "Contour Sequence"}, 
   {0x3006, 0x0042, "CS" , "1" , "Contour Geometric Type"}, 
   {0x3006, 0x0044, "DS" , "1" , "Contour Slab Thickness"}, 
   {0x3006, 0x0045, "DS" , "3" , "Contour Offset Vector"}, 
   {0x3006, 0x0046, "IS" , "1" , "Number of Contour Points"}, 
   {0x3006, 0x0048, "IS" , "1" , "Contour Number"}, 
   {0x3006, 0x0049, "IS" , "1-n" , "Attached Contours"}, 
   {0x3006, 0x0050, "DS" , "3-3n" , "Contour Data"}, 
   {0x3006, 0x0080, "SQ" , "1" , "RT ROI Observations Sequence"}, 
   {0x3006, 0x0082, "IS" , "1" , "Observation Number"}, 
   {0x3006, 0x0084, "IS" , "1" , "Referenced ROI Number"}, 
   {0x3006, 0x0085, "SH" , "1" , "ROI Observation Label"}, 
   {0x3006, 0x0086, "SQ" , "1" , "RT ROI Identification Code Sequence"}, 
   {0x3006, 0x0088, "ST" , "1" , "ROI Observation Description"}, 
   {0x3006, 0x00a0, "SQ" , "1" , "Related RT ROI Observations Sequence"}, 
   {0x3006, 0x00a4, "CS" , "1" , "RT ROI Interpreted Type"}, 
   {0x3006, 0x00a6, "PN" , "1" , "ROI Interpreter"}, 
   {0x3006, 0x00b0, "SQ" , "1" , "ROI Physical Properties Sequence"}, 
   {0x3006, 0x00b2, "CS" , "1" , "ROI Physical Property"}, 
   {0x3006, 0x00b4, "DS" , "1" , "ROI Physical Property Value"}, 
   {0x3006, 0x00c0, "SQ" , "1" , "Frame of Reference Relationship Sequence"}, 
   {0x3006, 0x00c2, "UI" , "1" , "Related Frame of Reference UID"}, 
   {0x3006, 0x00c4, "CS" , "1" , "Frame of Reference Transformation Type"}, 
   {0x3006, 0x00c6, "DS" , "16" , "Frame of Reference Transformation Matrix"}, 
   {0x3006, 0x00c8, "LO" , "1" , "Frame of Reference Transformation Comment"}, 
   {0x3008, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x3008, 0x0010, "SQ" , "1" , "Measured Dose Reference Sequence"}, 
   {0x3008, 0x0012, "ST" , "1" , "Measured Dose Description"}, 
   {0x3008, 0x0014, "CS" , "1" , "Measured Dose Type"}, 
   {0x3008, 0x0016, "DS" , "1" , "Measured Dose Value"}, 
   {0x3008, 0x0020, "SQ" , "1" , "Treatment Session Beam Sequence"}, 
   {0x3008, 0x0022, "IS" , "1" , "Current Fraction Number"}, 
   {0x3008, 0x0024, "DA" , "1" , "Treatment Control Point Date"}, 
   {0x3008, 0x0025, "TM" , "1" , "Treatment Control Point Time"}, 
   {0x3008, 0x002a, "CS" , "1" , "Treatment Termination Status"}, 
   {0x3008, 0x002b, "SH" , "1" , "Treatment Termination Code"}, 
   {0x3008, 0x002c, "CS" , "1" , "Treatment Verification Status"}, 
   {0x3008, 0x0030, "SQ" , "1" , "Referenced Treatment Record Sequence"}, 
   {0x3008, 0x0032, "DS" , "1" , "Specified Primary Meterset"}, 
   {0x3008, 0x0033, "DS" , "1" , "Specified Secondary Meterset"}, 
   {0x3008, 0x0036, "DS" , "1" , "Delivered Primary Meterset"}, 
   {0x3008, 0x0037, "DS" , "1" , "Delivered Secondary Meterset"}, 
   {0x3008, 0x003a, "DS" , "1" , "Specified Treatment Time"}, 
   {0x3008, 0x003b, "DS" , "1" , "Delivered Treatment Time"}, 
   {0x3008, 0x0040, "SQ" , "1" , "Control Point Delivery Sequence"}, 
   {0x3008, 0x0042, "DS" , "1" , "Specified Meterset"}, 
   {0x3008, 0x0044, "DS" , "1" , "Delivered Meterset"}, 
   {0x3008, 0x0048, "DS" , "1" , "Dose Rate Delivered"}, 
   {0x3008, 0x0050, "SQ" , "1" , "Treatment Summary Calculated Dose Reference Sequence"}, 
   {0x3008, 0x0052, "DS" , "1" , "Cumulative Dose to Dose Reference"}, 
   {0x3008, 0x0054, "DA" , "1" , "First Treatment Date"}, 
   {0x3008, 0x0056, "DA" , "1" , "Most Recent Treatment Date"}, 
   {0x3008, 0x005a, "IS" , "1" , "Number of Fractions Delivered"}, 
   {0x3008, 0x0060, "SQ" , "1" , "Override Sequence"}, 
   {0x3008, 0x0062, "AT" , "1" , "Override Parameter Pointer"}, 
   {0x3008, 0x0064, "IS" , "1" , "Measured Dose Reference Number"}, 
   {0x3008, 0x0066, "ST" , "1" , "Override Reason"}, 
   {0x3008, 0x0070, "SQ" , "1" , "Calculated Dose Reference Sequence"}, 
   {0x3008, 0x0072, "IS" , "1" , "Calculated Dose Reference Number"}, 
   {0x3008, 0x0074, "ST" , "1" , "Calculated Dose Reference Description"}, 
   {0x3008, 0x0076, "DS" , "1" , "Calculated Dose Reference Dose Value"}, 
   {0x3008, 0x0078, "DS" , "1" , "Start Meterset"}, 
   {0x3008, 0x007a, "DS" , "1" , "End Meterset"}, 
   {0x3008, 0x0080, "SQ" , "1" , "Referenced Measured Dose Reference Sequence"}, 
   {0x3008, 0x0082, "IS" , "1" , "Referenced Measured Dose Reference Number"}, 
   {0x3008, 0x0090, "SQ" , "1" , "Referenced Calculated Dose Reference Sequence"}, 
   {0x3008, 0x0092, "IS" , "1" , "Referenced Calculated Dose Reference Number"}, 
   {0x3008, 0x00a0, "SQ" , "1" , "Beam Limiting Device Leaf Pairs Sequence"}, 
   {0x3008, 0x00b0, "SQ" , "1" , "Recorded Wedge Sequence"}, 
   {0x3008, 0x00c0, "SQ" , "1" , "Recorded Compensator Sequence"}, 
   {0x3008, 0x00d0, "SQ" , "1" , "Recorded Block Sequence"}, 
   {0x3008, 0x00e0, "SQ" , "1" , "Treatment Summary Measured Dose Reference Sequence"}, 
   {0x3008, 0x0100, "SQ" , "1" , "Recorded Source Sequence"}, 
   {0x3008, 0x0105, "LO" , "1" , "Source Serial Number"}, 
   {0x3008, 0x0110, "SQ" , "1" , "Treatment Session Application Setup Sequence"}, 
   {0x3008, 0x0116, "CS" , "1" , "Application Setup Check"}, 
   {0x3008, 0x0120, "SQ" , "1" , "Recorded Brachy Accessory Device Sequence"}, 
   {0x3008, 0x0122, "IS" , "1" , "Referenced Brachy Accessory Device Number"}, 
   {0x3008, 0x0130, "SQ" , "1" , "Recorded Channel Sequence"}, 
   {0x3008, 0x0132, "DS" , "1" , "Specified Channel Total Time"}, 
   {0x3008, 0x0134, "DS" , "1" , "Delivered Channel Total Time"}, 
   {0x3008, 0x0136, "IS" , "1" , "Specified Number of Pulses"}, 
   {0x3008, 0x0138, "IS" , "1" , "Delivered Number of Pulses"}, 
   {0x3008, 0x013a, "DS" , "1" , "Specified Pulse Repetition Interval"}, 
   {0x3008, 0x013c, "DS" , "1" , "Delivered Pulse Repetition Interval"}, 
   {0x3008, 0x0140, "SQ" , "1" , "Recorded Source Applicator Sequence"}, 
   {0x3008, 0x0142, "IS" , "1" , "Referenced Source Applicator Number"}, 
   {0x3008, 0x0150, "SQ" , "1" , "Recorded Channel Shield Sequence"}, 
   {0x3008, 0x0152, "IS" , "1" , "Referenced Channel Shield Number"}, 
   {0x3008, 0x0160, "SQ" , "1" , "Brachy Control Point Delivered Sequence"}, 
   {0x3008, 0x0162, "DA" , "1" , "Safe Position Exit Date"}, 
   {0x3008, 0x0164, "TM" , "1" , "Safe Position Exit Time"}, 
   {0x3008, 0x0166, "DA" , "1" , "Safe Position Return Date"}, 
   {0x3008, 0x0168, "TM" , "1" , "Safe Position Return Time"}, 
   {0x3008, 0x0200, "CS" , "1" , "Current Treatment Status"}, 
   {0x3008, 0x0202, "ST" , "1" , "Treatment Status Comment"}, 
   {0x3008, 0x0220, "SQ" , "1" , "Fraction Group Summary Sequence"}, 
   {0x3008, 0x0223, "IS" , "1" , "Referenced Fraction Number"}, 
   {0x3008, 0x0224, "CS" , "1" , "Fraction Group Type"}, 
   {0x3008, 0x0230, "CS" , "1" , "Beam Stopper Position"}, 
   {0x3008, 0x0240, "SQ" , "1" , "Fraction Status Summary Sequence"}, 
   {0x3008, 0x0250, "DA" , "1" , "Treatment Date"}, 
   {0x3008, 0x0251, "TM" , "1" , "Treatment Time"}, 
   {0x300a, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x300a, 0x0002, "SH" , "1" , "RT Plan Label"}, 
   {0x300a, 0x0003, "LO" , "1" , "RT Plan Name"}, 
   {0x300a, 0x0004, "ST" , "1" , "RT Plan Description"}, 
   {0x300a, 0x0006, "DA" , "1" , "RT Plan Date"}, 
   {0x300a, 0x0007, "TM" , "1" , "RT Plan Time"}, 
   {0x300a, 0x0009, "LO" , "1-n" , "Treatment Protocols"}, 
   {0x300a, 0x000a, "CS" , "1" , "Treatment Intent"}, 
   {0x300a, 0x000b, "LO" , "1-n" , "Treatment Sites"}, 
   {0x300a, 0x000c, "CS" , "1" , "RT Plan Geometry"}, 
   {0x300a, 0x000e, "ST" , "1" , "Prescription Description"}, 
   {0x300a, 0x0010, "SQ" , "1" , "Dose Reference Sequence"}, 
   {0x300a, 0x0012, "IS" , "1" , "Dose Reference Number"}, 
   {0x300a, 0x0013, "UI" , "1" , "Dose Reference UID"}, 
   {0x300a, 0x0014, "CS" , "1" , "Dose Reference Structure Type"}, 
   {0x300a, 0x0015, "CS" , "1" , "Nominal Beam Energy Unit"}, 
   {0x300a, 0x0016, "LO" , "1" , "Dose Reference Description"}, 
   {0x300a, 0x0018, "DS" , "3" , "Dose Reference Point Coordinates"}, 
   {0x300a, 0x001a, "DS" , "1" , "Nominal Prior Dose"}, 
   {0x300a, 0x0020, "CS" , "1" , "Dose Reference Type"}, 
   {0x300a, 0x0021, "DS" , "1" , "Constraint Weight"}, 
   {0x300a, 0x0022, "DS" , "1" , "Delivery Warning Dose"}, 
   {0x300a, 0x0023, "DS" , "1" , "Delivery Maximum Dose"}, 
   {0x300a, 0x0025, "DS" , "1" , "Target Minimum Dose"}, 
   {0x300a, 0x0026, "DS" , "1" , "Target Prescription Dose"}, 
   {0x300a, 0x0027, "DS" , "1" , "Target Maximum Dose"}, 
   {0x300a, 0x0028, "DS" , "1" , "Target Underdose Volume Fraction"}, 
   {0x300a, 0x002a, "DS" , "1" , "Organ at Risk Full-volume Dose"}, 
   {0x300a, 0x002b, "DS" , "1" , "Organ at Risk Limit Dose"}, 
   {0x300a, 0x002c, "DS" , "1" , "Organ at Risk Maximum Dose"}, 
   {0x300a, 0x002d, "DS" , "1" , "Organ at Risk Overdose Volume Fraction"}, 
   {0x300a, 0x0040, "SQ" , "1" , "Tolerance Table Sequence"}, 
   {0x300a, 0x0042, "IS" , "1" , "Tolerance Table Number"}, 
   {0x300a, 0x0043, "SH" , "1" , "Tolerance Table Label"}, 
   {0x300a, 0x0044, "DS" , "1" , "Gantry Angle Tolerance"}, 
   {0x300a, 0x0046, "DS" , "1" , "Beam Limiting Device Angle Tolerance"}, 
   {0x300a, 0x0048, "SQ" , "1" , "Beam Limiting Device Tolerance Sequence"}, 
   {0x300a, 0x004a, "DS" , "1" , "Beam Limiting Device Position Tolerance"}, 
   {0x300a, 0x004c, "DS" , "1" , "Patient Support Angle Tolerance"}, 
   {0x300a, 0x004e, "DS" , "1" , "Table Top Eccentric Angle Tolerance"}, 
   {0x300a, 0x0051, "DS" , "1" , "Table Top Vertical Position Tolerance"}, 
   {0x300a, 0x0052, "DS" , "1" , "Table Top Longitudinal Position Tolerance"}, 
   {0x300a, 0x0053, "DS" , "1" , "Table Top Lateral Position Tolerance"}, 
   {0x300a, 0x0055, "CS" , "1" , "RT Plan Relationship"}, 
   {0x300a, 0x0070, "SQ" , "1" , "Fraction Group Sequence"}, 
   {0x300a, 0x0071, "IS" , "1" , "Fraction Group Number"}, 
   {0x300a, 0x0072, "LO" , "1" , "Fraction Group Description"}, 
   {0x300a, 0x0078, "IS" , "1" , "Number of Fractions Planned"}, 
   {0x300a, 0x0079, "IS" , "1" , "Number of Fraction Pattern Digits Per Day"}, 
   {0x300a, 0x007a, "IS" , "1" , "Repeat Fraction Cycle Length"}, 
   {0x300a, 0x007b, "LT" , "1" , "Fraction Pattern"}, 
   {0x300a, 0x0080, "IS" , "1" , "Number of Beams"}, 
   {0x300a, 0x0082, "DS" , "3" , "Beam Dose Specification Point"}, 
   {0x300a, 0x0084, "DS" , "1" , "Beam Dose"}, 
   {0x300a, 0x0086, "DS" , "1" , "Beam Meterset"}, 
   {0x300a, 0x00a0, "IS" , "1" , "Number of Brachy Application Setups"}, 
   {0x300a, 0x00a2, "DS" , "3" , "Brachy Application Setup Dose Specification Point"}, 
   {0x300a, 0x00a4, "DS" , "1" , "Brachy Application Setup Dose"}, 
   {0x300a, 0x00b0, "SQ" , "1" , "Beam Sequence"}, 
   {0x300a, 0x00b2, "SH" , "1" , "Treatment Machine Name"}, 
   {0x300a, 0x00b3, "CS" , "1" , "Primary Dosimeter Unit"}, 
   {0x300a, 0x00b4, "DS" , "1" , "Source-Axis Distance"}, 
   {0x300a, 0x00b6, "SQ" , "1" , "Beam Limiting Device Sequence"}, 
   {0x300a, 0x00b8, "CS" , "1" , "RT Beam Limiting Device Type"}, 
   {0x300a, 0x00ba, "DS" , "1" , "Source to Beam Limiting Device Distance"}, 
   {0x300a, 0x00bc, "IS" , "1" , "Number of Leaf/Jaw Pairs"}, 
   {0x300a, 0x00be, "DS" , "3-n" , "Leaf Position Boundaries"}, 
   {0x300a, 0x00c0, "IS" , "1" , "Beam Number"}, 
   {0x300a, 0x00c2, "LO" , "1" , "Beam Name"}, 
   {0x300a, 0x00c3, "ST" , "1" , "Beam Description"}, 
   {0x300a, 0x00c4, "CS" , "1" , "Beam Type"}, 
   {0x300a, 0x00c6, "CS" , "1" , "Radiation Type"}, 
   {0x300a, 0x00c7, "CS" , "1" , "High-Dose Technique Type"}, 
   {0x300a, 0x00c8, "IS" , "1" , "Reference Image Number"}, 
   {0x300a, 0x00ca, "SQ" , "1" , "Planned Verification Image Sequence"}, 
   {0x300a, 0x00cc, "LO" , "1-n" , "Imaging Device-Specific Acquisition Parameters"}, 
   {0x300a, 0x00ce, "CS" , "1" , "Treatment Delivery Type"}, 
   {0x300a, 0x00d0, "IS" , "1" , "Number of Wedges"}, 
   {0x300a, 0x00d1, "SQ" , "1" , "Wedge Sequence"}, 
   {0x300a, 0x00d2, "IS" , "1" , "Wedge Number"}, 
   {0x300a, 0x00d3, "CS" , "1" , "Wedge Type"}, 
   {0x300a, 0x00d4, "SH" , "1" , "Wedge ID"}, 
   {0x300a, 0x00d5, "IS" , "1" , "Wedge Angle"}, 
   {0x300a, 0x00d6, "DS" , "1" , "Wedge Factor"}, 
   {0x300a, 0x00d8, "DS" , "1" , "Wedge Orientation"}, 
   {0x300a, 0x00da, "DS" , "1" , "Source to Wedge Tray Distance"}, 
   {0x300a, 0x00e0, "IS" , "1" , "Number of Compensators"}, 
   {0x300a, 0x00e1, "SH" , "1" , "Material ID"}, 
   {0x300a, 0x00e2, "DS" , "1" , "Total Compensator Tray Factor"}, 
   {0x300a, 0x00e3, "SQ" , "1" , "Compensator Sequence"}, 
   {0x300a, 0x00e4, "IS" , "1" , "Compensator Number"}, 
   {0x300a, 0x00e5, "SH" , "1" , "Compensator ID"}, 
   {0x300a, 0x00e6, "DS" , "1" , "Source to Compensator Tray Distance"}, 
   {0x300a, 0x00e7, "IS" , "1" , "Compensator Rows"}, 
   {0x300a, 0x00e8, "IS" , "1" , "Compensator Columns"}, 
   {0x300a, 0x00e9, "DS" , "2" , "Compensator Pixel Spacing"}, 
   {0x300a, 0x00ea, "DS" , "2" , "Compensator Position"}, 
   {0x300a, 0x00eb, "DS" , "1-n" , "Compensator Transmission Data"}, 
   {0x300a, 0x00ec, "DS" , "1-n" , "Compensator Thickness Data"}, 
   {0x300a, 0x00ed, "IS" , "1" , "Number of Boli"}, 
   {0x300a, 0x00ee, "CS" , "1" , "Compensator Type"}, 
   {0x300a, 0x00f0, "IS" , "1" , "Number of Blocks"}, 
   {0x300a, 0x00f2, "DS" , "1" , "Total Block Tray Factor"}, 
   {0x300a, 0x00f4, "SQ" , "1" , "Block Sequence"}, 
   {0x300a, 0x00f5, "SH" , "1" , "Block Tray ID"}, 
   {0x300a, 0x00f6, "DS" , "1" , "Source to Block Tray Distance"}, 
   {0x300a, 0x00f8, "CS" , "1" , "Block Type"}, 
   {0x300a, 0x00f9, "LO" , "1" , "Accessory Code"}, 
   {0x300a, 0x00fa, "CS" , "1" , "Block Divergence"}, 
   {0x300a, 0x00fb, "CS" , "1" , "Block Mounting Position"}, 
   {0x300a, 0x00fc, "IS" , "1" , "Block Number"}, 
   {0x300a, 0x00fe, "LO" , "1" , "Block Name"}, 
   {0x300a, 0x0100, "DS" , "1" , "Block Thickness"}, 
   {0x300a, 0x0102, "DS" , "1" , "Block Transmission"}, 
   {0x300a, 0x0104, "IS" , "1" , "Block Number of Points"}, 
   {0x300a, 0x0106, "DS" , "2-2n" , "Block Data"}, 
   {0x300a, 0x0107, "SQ" , "1" , "Applicator Sequence"}, 
   {0x300a, 0x0108, "SH" , "1" , "Applicator ID"}, 
   {0x300a, 0x0109, "CS" , "1" , "Applicator Type"}, 
   {0x300a, 0x010a, "LO" , "1" , "Applicator Description"}, 
   {0x300a, 0x010c, "DS" , "1" , "Cumulative Dose Reference Coefficient"}, 
   {0x300a, 0x010e, "DS" , "1" , "Final Cumulative Meterset Weight"}, 
   {0x300a, 0x0110, "IS" , "1" , "Number of Control Points"}, 
   {0x300a, 0x0111, "SQ" , "1" , "Control Point Sequence"}, 
   {0x300a, 0x0112, "IS" , "1" , "Control Point Index"}, 
   {0x300a, 0x0114, "DS" , "1" , "Nominal Beam Energy"}, 
   {0x300a, 0x0115, "DS" , "1" , "Dose Rate Set"}, 
   {0x300a, 0x0116, "SQ" , "1" , "Wedge Position Sequence"}, 
   {0x300a, 0x0118, "CS" , "1" , "Wedge Position"}, 
   {0x300a, 0x011a, "SQ" , "1" , "Beam Limiting Device Position Sequence"}, 
   {0x300a, 0x011c, "DS" , "2-2n" , "Leaf/Jaw Positions"}, 
   {0x300a, 0x011e, "DS" , "1" , "Gantry Angle"}, 
   {0x300a, 0x011f, "CS" , "1" , "Gantry Rotation Direction"}, 
   {0x300a, 0x0120, "DS" , "1" , "Beam Limiting Device Angle"}, 
   {0x300a, 0x0121, "CS" , "1" , "Beam Limiting Device Rotation Direction"}, 
   {0x300a, 0x0122, "DS" , "1" , "Patient Support Angle"}, 
   {0x300a, 0x0123, "CS" , "1" , "Patient Support Rotation Direction"}, 
   {0x300a, 0x0124, "DS" , "1" , "Table Top Eccentric Axis Distance"}, 
   {0x300a, 0x0125, "DS" , "1" , "Table Top Eccentric Angle"}, 
   {0x300a, 0x0126, "CS" , "1" , "Table Top Eccentric Rotation Direction"}, 
   {0x300a, 0x0128, "DS" , "1" , "Table Top Vertical Position"}, 
   {0x300a, 0x0129, "DS" , "1" , "Table Top Longitudinal Position"}, 
   {0x300a, 0x012a, "DS" , "1" , "Table Top Lateral Position"}, 
   {0x300a, 0x012c, "DS" , "3" , "Isocenter Position"}, 
   {0x300a, 0x012e, "DS" , "3" , "Surface Entry Point"}, 
   {0x300a, 0x0130, "DS" , "1" , "Source to Surface Distance"}, 
   {0x300a, 0x0134, "DS" , "1" , "Cumulative Meterset Weight"}, 
   {0x300a, 0x0180, "SQ" , "1" , "Patient Setup Sequence"}, 
   {0x300a, 0x0182, "IS" , "1" , "Patient Setup Number"}, 
   {0x300a, 0x0184, "LO" , "1" , "Patient Additional Position"}, 
   {0x300a, 0x0190, "SQ" , "1" , "Fixation Device Sequence"}, 
   {0x300a, 0x0192, "CS" , "1" , "Fixation Device Type"}, 
   {0x300a, 0x0194, "SH" , "1" , "Fixation Device Label"}, 
   {0x300a, 0x0196, "ST" , "1" , "Fixation Device Description"}, 
   {0x300a, 0x0198, "SH" , "1" , "Fixation Device Position"}, 
   {0x300a, 0x01a0, "SQ" , "1" , "Shielding Device Sequence"}, 
   {0x300a, 0x01a2, "CS" , "1" , "Shielding Device Type"}, 
   {0x300a, 0x01a4, "SH" , "1" , "Shielding Device Label"}, 
   {0x300a, 0x01a6, "ST" , "1" , "Shielding Device Description"}, 
   {0x300a, 0x01a8, "SH" , "1" , "Shielding Device Position"}, 
   {0x300a, 0x01b0, "CS" , "1" , "Setup Technique"}, 
   {0x300a, 0x01b2, "ST" , "1" , "Setup Technique Description"}, 
   {0x300a, 0x01b4, "SQ" , "1" , "Setup Device Sequence"}, 
   {0x300a, 0x01b6, "CS" , "1" , "Setup Device Type"}, 
   {0x300a, 0x01b8, "SH" , "1" , "Setup Device Label"}, 
   {0x300a, 0x01ba, "ST" , "1" , "Setup Device Description"}, 
   {0x300a, 0x01bc, "DS" , "1" , "Setup Device Parameter"}, 
   {0x300a, 0x01d0, "ST" , "1" , "Setup Reference Description"}, 
   {0x300a, 0x01d2, "DS" , "1" , "Table Top Vertical Setup Displacement"}, 
   {0x300a, 0x01d4, "DS" , "1" , "Table Top Longitudinal Setup Displacement"}, 
   {0x300a, 0x01d6, "DS" , "1" , "Table Top Lateral Setup Displacement"}, 
   {0x300a, 0x0200, "CS" , "1" , "Brachy Treatment Technique"}, 
   {0x300a, 0x0202, "CS" , "1" , "Brachy Treatment Type"}, 
   {0x300a, 0x0206, "SQ" , "1" , "Treatment Machine Sequence"}, 
   {0x300a, 0x0210, "SQ" , "1" , "Source Sequence"}, 
   {0x300a, 0x0212, "IS" , "1" , "Source Number"}, 
   {0x300a, 0x0214, "CS" , "1" , "Source Type"}, 
   {0x300a, 0x0216, "LO" , "1" , "Source Manufacturer"}, 
   {0x300a, 0x0218, "DS" , "1" , "Active Source Diameter"}, 
   {0x300a, 0x021a, "DS" , "1" , "Active Source Length"}, 
   {0x300a, 0x0222, "DS" , "1" , "Source Encapsulation Nominal Thickness"}, 
   {0x300a, 0x0224, "DS" , "1" , "Source Encapsulation Nominal Transmission"}, 
   {0x300a, 0x0226, "LO" , "1" , "Source Isotope Name"}, 
   {0x300a, 0x0228, "DS" , "1" , "Source Isotope Half Life"}, 
   {0x300a, 0x022a, "DS" , "1" , "Reference Air Kerma Rate"}, 
   {0x300a, 0x022c, "DA" , "1" , "Air Kerma Rate Reference Date"}, 
   {0x300a, 0x022e, "TM" , "1" , "Air Kerma Rate Reference Time"}, 
   {0x300a, 0x0230, "SQ" , "1" , "Application Setup Sequence"}, 
   {0x300a, 0x0232, "CS" , "1" , "Application Setup Type"}, 
   {0x300a, 0x0234, "IS" , "1" , "Application Setup Number"}, 
   {0x300a, 0x0236, "LO" , "1" , "Application Setup Name"}, 
   {0x300a, 0x0238, "LO" , "1" , "Application Setup Manufacturer"}, 
   {0x300a, 0x0240, "IS" , "1" , "Template Number"}, 
   {0x300a, 0x0242, "SH" , "1" , "Template Type"}, 
   {0x300a, 0x0244, "LO" , "1" , "Template Name"}, 
   {0x300a, 0x0250, "DS" , "1" , "Total Reference Air Kerma"}, 
   {0x300a, 0x0260, "SQ" , "1" , "Brachy Accessory Device Sequence"}, 
   {0x300a, 0x0262, "IS" , "1" , "Brachy Accessory Device Number"}, 
   {0x300a, 0x0263, "SH" , "1" , "Brachy Accessory Device ID"}, 
   {0x300a, 0x0264, "CS" , "1" , "Brachy Accessory Device Type"}, 
   {0x300a, 0x0266, "LO" , "1" , "Brachy Accessory Device Name"}, 
   {0x300a, 0x026a, "DS" , "1" , "Brachy Accessory Device Nominal Thickness"}, 
   {0x300a, 0x026c, "DS" , "1" , "Brachy Accessory Device Nominal Transmission"}, 
   {0x300a, 0x0280, "SQ" , "1" , "Channel Sequence"}, 
   {0x300a, 0x0282, "IS" , "1" , "Channel Number"}, 
   {0x300a, 0x0284, "DS" , "1" , "Channel Length"}, 
   {0x300a, 0x0286, "DS" , "1" , "Channel Total Time"}, 
   {0x300a, 0x0288, "CS" , "1" , "Source Movement Type"}, 
   {0x300a, 0x028a, "IS" , "1" , "Number of Pulses"}, 
   {0x300a, 0x028c, "DS" , "1" , "Pulse Repetition Interval"}, 
   {0x300a, 0x0290, "IS" , "1" , "Source Applicator Number"}, 
   {0x300a, 0x0291, "SH" , "1" , "Source Applicator ID"}, 
   {0x300a, 0x0292, "CS" , "1" , "Source Applicator Type"}, 
   {0x300a, 0x0294, "LO" , "1" , "Source Applicator Name"}, 
   {0x300a, 0x0296, "DS" , "1" , "Source Applicator Length"}, 
   {0x300a, 0x0298, "LO" , "1" , "Source Applicator Manufacturer"}, 
   {0x300a, 0x029c, "DS" , "1" , "Source Applicator Wall Nominal Thickness"}, 
   {0x300a, 0x029e, "DS" , "1" , "Source Applicator Wall Nominal Transmission"}, 
   {0x300a, 0x02a0, "DS" , "1" , "Source Applicator Step Size"}, 
   {0x300a, 0x02a2, "IS" , "1" , "Transfer Tube Number"}, 
   {0x300a, 0x02a4, "DS" , "1" , "Transfer Tube Length"}, 
   {0x300a, 0x02b0, "SQ" , "1" , "Channel Shield Sequence"}, 
   {0x300a, 0x02b2, "IS" , "1" , "Channel Shield Number"}, 
   {0x300a, 0x02b3, "SH" , "1" , "Channel Shield ID"}, 
   {0x300a, 0x02b4, "LO" , "1" , "Channel Shield Name"}, 
   {0x300a, 0x02b8, "DS" , "1" , "Channel Shield Nominal Thickness"}, 
   {0x300a, 0x02ba, "DS" , "1" , "Channel Shield Nominal Transmission"}, 
   {0x300a, 0x02c8, "DS" , "1" , "Final Cumulative Time Weight"}, 
   {0x300a, 0x02d0, "SQ" , "1" , "Brachy Control Point Sequence"}, 
   {0x300a, 0x02d2, "DS" , "1" , "Control Point Relative Position"}, 
   {0x300a, 0x02d4, "DS" , "3" , "Control Point 3D Position"}, 
   {0x300a, 0x02d6, "DS" , "1" , "Cumulative Time Weight"}, 
   {0x300a, 0x02e0, "CS" , "1" , "Compensator Divergence"}, 
   {0x300a, 0x02e1, "CS" , "1" , "Compensator Mounting Position"}, 
   {0x300a, 0x02e2, "DS" , "1-n" , "Source to Compensator Distance"}, 
   {0x300c, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x300c, 0x0002, "SQ" , "1" , "Referenced RT Plan Sequence"}, 
   {0x300c, 0x0004, "SQ" , "1" , "Referenced Beam Sequence"}, 
   {0x300c, 0x0006, "IS" , "1" , "Referenced Beam Number"}, 
   {0x300c, 0x0007, "IS" , "1" , "Referenced Reference Image Number"}, 
   {0x300c, 0x0008, "DS" , "1" , "Start Cumulative Meterset Weight"}, 
   {0x300c, 0x0009, "DS" , "1" , "End Cumulative Meterset Weight"}, 
   {0x300c, 0x000a, "SQ" , "1" , "Referenced Brachy Application Setup Sequence"}, 
   {0x300c, 0x000c, "IS" , "1" , "Referenced Brachy Application Setup Number"}, 
   {0x300c, 0x000e, "IS" , "1" , "Referenced Source Number"}, 
   {0x300c, 0x0020, "SQ" , "1" , "Referenced Fraction Group Sequence"}, 
   {0x300c, 0x0022, "IS" , "1" , "Referenced Fraction Group Number"}, 
   {0x300c, 0x0040, "SQ" , "1" , "Referenced Verification Image Sequence"}, 
   {0x300c, 0x0042, "SQ" , "1" , "Referenced Reference Image Sequence"}, 
   {0x300c, 0x0050, "SQ" , "1" , "Referenced Dose Reference Sequence"}, 
   {0x300c, 0x0051, "IS" , "1" , "Referenced Dose Reference Number"}, 
   {0x300c, 0x0055, "SQ" , "1" , "Brachy Referenced Dose Reference Sequence"}, 
   {0x300c, 0x0060, "SQ" , "1" , "Referenced Structure Set Sequence"}, 
   {0x300c, 0x006a, "IS" , "1" , "Referenced Patient Setup Number"}, 
   {0x300c, 0x0080, "SQ" , "1" , "Referenced Dose Sequence"}, 
   {0x300c, 0x00a0, "IS" , "1" , "Referenced Tolerance Table Number"}, 
   {0x300c, 0x00b0, "SQ" , "1" , "Referenced Bolus Sequence"}, 
   {0x300c, 0x00c0, "IS" , "1" , "Referenced Wedge Number"}, 
   {0x300c, 0x00d0, "IS" , "1" , "Referenced Compensator Number"}, 
   {0x300c, 0x00e0, "IS" , "1" , "Referenced Block Number"}, 
   {0x300c, 0x00f0, "IS" , "1" , "Referenced Control Point Index"}, 
   {0x300e, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x300e, 0x0002, "CS" , "1" , "Approval Status"}, 
   {0x300e, 0x0004, "DA" , "1" , "Review Date"}, 
   {0x300e, 0x0005, "TM" , "1" , "Review Time"}, 
   {0x300e, 0x0008, "PN" , "1" , "Reviewer Name"}, 
   {0x4000, 0x0000, "UL" , "1" , "Text Group Length"}, 
   {0x4000, 0x0010, "LT" , "1-n" , "Text Arbitrary (RET)"}, 
   {0x4000, 0x4000, "LT" , "1-n" , "Text Comments (RET)"}, 
   {0x4008, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x4008, 0x0040, "SH" , "1" , "Results ID"}, 
   {0x4008, 0x0042, "LO" , "1" , "Results ID Issuer"}, 
   {0x4008, 0x0050, "SQ" , "1" , "Referenced Interpretation Sequence"}, 
   {0x4008, 0x0100, "DA" , "1" , "Interpretation Recorded Date"}, 
   {0x4008, 0x0101, "TM" , "1" , "Interpretation Recorded Time"}, 
   {0x4008, 0x0102, "PN" , "1" , "Interpretation Recorder"}, 
   {0x4008, 0x0103, "LO" , "1" , "Reference to Recorded Sound"}, 
   {0x4008, 0x0108, "DA" , "1" , "Interpretation Transcription Date"}, 
   {0x4008, 0x0109, "TM" , "1" , "Interpretation Transcription Time"}, 
   {0x4008, 0x010a, "PN" , "1" , "Interpretation Transcriber"}, 
   {0x4008, 0x010b, "ST" , "1" , "Interpretation Text"}, 
   {0x4008, 0x010c, "PN" , "1" , "Interpretation Author"}, 
   {0x4008, 0x0111, "SQ" , "1" , "Interpretation Approver Sequence"}, 
   {0x4008, 0x0112, "DA" , "1" , "Interpretation Approval Date"}, 
   {0x4008, 0x0113, "TM" , "1" , "Interpretation Approval Time"}, 
   {0x4008, 0x0114, "PN" , "1" , "Physician Approving Interpretation"}, 
   {0x4008, 0x0115, "LT" , "1" , "Interpretation Diagnosis Description"}, 
   {0x4008, 0x0117, "SQ" , "1" , "Interpretation Diagnosis Code Sequence"}, 
   {0x4008, 0x0118, "SQ" , "1" , "Results Distribution List Sequence"}, 
   {0x4008, 0x0119, "PN" , "1" , "Distribution Name"}, 
   {0x4008, 0x011a, "LO" , "1" , "Distribution Address"}, 
   {0x4008, 0x0200, "SH" , "1" , "Interpretation ID"}, 
   {0x4008, 0x0202, "LO" , "1" , "Interpretation ID Issuer"}, 
   {0x4008, 0x0210, "CS" , "1" , "Interpretation Type ID"}, 
   {0x4008, 0x0212, "CS" , "1" , "Interpretation Status ID"}, 
   {0x4008, 0x0300, "ST" , "1" , "Impressions"}, 
   {0x4008, 0x4000, "ST" , "1" , "Results Comments"}, 
   {0x4ffe, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x4ffe, 0x0001, "SQ" , "1" , "MAC Parameters Sequence"}, 
   {0x5000, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x5000, 0x0005, "US" , "1" , "Curve Dimensions"}, 
   {0x5000, 0x0010, "US" , "1" , "Number of Points"}, 
   {0x5000, 0x0020, "CS" , "1" , "Type of Data"}, 
   {0x5000, 0x0022, "LO" , "1" , "Curve Description"}, 
   {0x5000, 0x0030, "SH" , "1-n" , "Axis Units"}, 
   {0x5000, 0x0040, "SH" , "1-n" , "Axis Labels"}, 
   {0x5000, 0x0103, "US" , "1" , "Data Value Representation"}, 
   {0x5000, 0x0104, "US" , "1-n" , "Minimum Coordinate Value"}, 
   {0x5000, 0x0105, "US" , "1-n" , "Maximum Coordinate Value"}, 
   {0x5000, 0x0106, "SH" , "1-n" , "Curve Range"}, 
   {0x5000, 0x0110, "US" , "1-n" , "Curve Data Descriptor"}, 
   {0x5000, 0x0112, "US" , "1-n" , "Coordinate Start Value"}, 
   {0x5000, 0x0114, "US" , "1-n" , "Coordinate Step Value"}, 
   {0x5000, 0x1001, "CS" , "1" , "Curve Activation Layer"}, 
   {0x5000, 0x2000, "US" , "1" , "Audio Type"}, 
   {0x5000, 0x2002, "US" , "1" , "Audio Sample Format"}, 
   {0x5000, 0x2004, "US" , "1" , "Number of Channels"}, 
   {0x5000, 0x2006, "UL" , "1" , "Number of Samples"}, 
   {0x5000, 0x2008, "UL" , "1" , "Sample Rate"}, 
   {0x5000, 0x200a, "UL" , "1" , "Total Time"}, 
   {0x5000, 0x200c, "OW" , "1" , "Audio Sample Data"}, 
   {0x5000, 0x200e, "LT" , "1" , "Audio Comments"}, 
   {0x5000, 0x2500, "LO" , "1" , "Curve Label"}, 
   {0x5000, 0x2600, "SQ" , "1" , "Referenced Overlay Sequence"}, 
   {0x5000, 0x2610, "US" , "1" , "Referenced Overlay Group"}, 
   {0x5000, 0x3000, "OW" , "1" , "Curve Data"}, 
   {0x5002, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x5002, 0x0005, "US" , "1" , "Curve Dimensions"}, 
   {0x5002, 0x0010, "US" , "1" , "Number of Points"}, 
   {0x5002, 0x0020, "CS" , "1" , "Type of Data"}, 
   {0x5002, 0x0022, "LO" , "1" , "Curve Description"}, 
   {0x5002, 0x0030, "SH" , "1-n" , "Axis Units"}, 
   {0x5002, 0x0040, "SH" , "1-n" , "Axis Labels"}, 
   {0x5002, 0x0103, "US" , "1" , "Data Value Representation"}, 
   {0x5002, 0x0104, "US" , "1-n" , "Minimum Coordinate Value"}, 
   {0x5002, 0x0105, "US" , "1-n" , "Maximum Coordinate Value"}, 
   {0x5002, 0x0106, "SH" , "1-n" , "Curve Range"}, 
   {0x5002, 0x0110, "US" , "1-n" , "Curve Data Descriptor"}, 
   {0x5002, 0x0112, "US" , "1-n" , "Coordinate Start Value"}, 
   {0x5002, 0x0114, "US" , "1-n" , "Coordinate Step Value"}, 
   {0x5002, 0x2000, "US" , "1" , "Audio Type"}, 
   {0x5002, 0x2002, "US" , "1" , "Audio Sample Format"}, 
   {0x5002, 0x2004, "US" , "1" , "Number of Channels"}, 
   {0x5002, 0x2006, "UL" , "1" , "Number of Samples"}, 
   {0x5002, 0x2008, "UL" , "1" , "Sample Rate"}, 
   {0x5002, 0x200a, "UL" , "1" , "Total Time"}, 
   {0x5002, 0x200c, "OW" , "1" , "Audio Sample Data"}, 
   {0x5002, 0x200e, "LT" , "1" , "Audio Comments"}, 
   {0x5002, 0x2500, "LO" , "1" , "Curve Label"}, 
   {0x5002, 0x2600, "SQ" , "1" , "Referenced Overlay Sequence"}, 
   {0x5002, 0x2610, "US" , "1" , "Referenced Overlay Group"}, 
   {0x5002, 0x3000, "OW" , "1" , "Curve Data"}, 
   {0x5004, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x5004, 0x0005, "US" , "1" , "Curve Dimensions"}, 
   {0x5004, 0x0010, "US" , "1" , "Number of Points"}, 
   {0x5004, 0x0020, "CS" , "1" , "Type of Data"}, 
   {0x5004, 0x0022, "LO" , "1" , "Curve Description"}, 
   {0x5004, 0x0030, "SH" , "1-n" , "Axis Units"}, 
   {0x5004, 0x0040, "SH" , "1-n" , "Axis Labels"}, 
   {0x5004, 0x0103, "US" , "1" , "Data Value Representation"}, 
   {0x5004, 0x0104, "US" , "1-n" , "Minimum Coordinate Value"}, 
   {0x5004, 0x0105, "US" , "1-n" , "Maximum Coordinate Value"}, 
   {0x5004, 0x0106, "SH" , "1-n" , "Curve Range"}, 
   {0x5004, 0x0110, "US" , "1-n" , "Curve Data Descriptor"}, 
   {0x5004, 0x0112, "US" , "1-n" , "Coordinate Start Value"}, 
   {0x5004, 0x0114, "US" , "1-n" , "Coordinate Step Value"}, 
   {0x5004, 0x2000, "US" , "1" , "Audio Type"}, 
   {0x5004, 0x2002, "US" , "1" , "Audio Sample Format"}, 
   {0x5004, 0x2004, "US" , "1" , "Number of Channels"}, 
   {0x5004, 0x2006, "UL" , "1" , "Number of Samples"}, 
   {0x5004, 0x2008, "UL" , "1" , "Sample Rate"}, 
   {0x5004, 0x200a, "UL" , "1" , "Total Time"}, 
   {0x5004, 0x200c, "OW" , "1" , "Audio Sample Data"}, 
   {0x5004, 0x200e, "LT" , "1" , "Audio Comments"}, 
   {0x5004, 0x2500, "LO" , "1" , "Curve Label"}, 
   {0x5004, 0x2600, "SQ" , "1" , "Referenced Overlay Sequence"}, 
   {0x5004, 0x2610, "US" , "1" , "Referenced Overlay Group"}, 
   {0x5004, 0x3000, "OW" , "1" , "Curve Data"}, 
   {0x5006, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x5006, 0x0005, "US" , "1" , "Curve Dimensions"}, 
   {0x5006, 0x0010, "US" , "1" , "Number of Points"}, 
   {0x5006, 0x0020, "CS" , "1" , "Type of Data"}, 
   {0x5006, 0x0022, "LO" , "1" , "Curve Description"}, 
   {0x5006, 0x0030, "SH" , "1-n" , "Axis Units"}, 
   {0x5006, 0x0040, "SH" , "1-n" , "Axis Labels"}, 
   {0x5006, 0x0103, "US" , "1" , "Data Value Representation"}, 
   {0x5006, 0x0104, "US" , "1-n" , "Minimum Coordinate Value"}, 
   {0x5006, 0x0105, "US" , "1-n" , "Maximum Coordinate Value"}, 
   {0x5006, 0x0106, "SH" , "1-n" , "Curve Range"}, 
   {0x5006, 0x0110, "US" , "1-n" , "Curve Data Descriptor"}, 
   {0x5006, 0x0112, "US" , "1-n" , "Coordinate Start Value"}, 
   {0x5006, 0x0114, "US" , "1-n" , "Coordinate Step Value"}, 
   {0x5006, 0x2000, "US" , "1" , "Audio Type"}, 
   {0x5006, 0x2002, "US" , "1" , "Audio Sample Format"}, 
   {0x5006, 0x2004, "US" , "1" , "Number of Channels"}, 
   {0x5006, 0x2006, "UL" , "1" , "Number of Samples"}, 
   {0x5006, 0x2008, "UL" , "1" , "Sample Rate"}, 
   {0x5006, 0x200a, "UL" , "1" , "Total Time"}, 
   {0x5006, 0x200c, "OW" , "1" , "Audio Sample Data"}, 
   {0x5006, 0x200e, "LT" , "1" , "Audio Comments"}, 
   {0x5006, 0x2500, "LO" , "1" , "Curve Label"}, 
   {0x5006, 0x2600, "SQ" , "1" , "Referenced Overlay Sequence"}, 
   {0x5006, 0x2610, "US" , "1" , "Referenced Overlay Group"}, 
   {0x5006, 0x3000, "OW" , "1" , "Curve Data"}, 
   {0x5008, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x5008, 0x0005, "US" , "1" , "Curve Dimensions"}, 
   {0x5008, 0x0010, "US" , "1" , "Number of Points"}, 
   {0x5008, 0x0020, "CS" , "1" , "Type of Data"}, 
   {0x5008, 0x0022, "LO" , "1" , "Curve Description"}, 
   {0x5008, 0x0030, "SH" , "1-n" , "Axis Units"}, 
   {0x5008, 0x0040, "SH" , "1-n" , "Axis Labels"}, 
   {0x5008, 0x0103, "US" , "1" , "Data Value Representation"}, 
   {0x5008, 0x0104, "US" , "1-n" , "Minimum Coordinate Value"}, 
   {0x5008, 0x0105, "US" , "1-n" , "Maximum Coordinate Value"}, 
   {0x5008, 0x0106, "SH" , "1-n" , "Curve Range"}, 
   {0x5008, 0x0110, "US" , "1-n" , "Curve Data Descriptor"}, 
   {0x5008, 0x0112, "US" , "1-n" , "Coordinate Start Value"}, 
   {0x5008, 0x0114, "US" , "1-n" , "Coordinate Step Value"}, 
   {0x5008, 0x2000, "US" , "1" , "Audio Type"}, 
   {0x5008, 0x2002, "US" , "1" , "Audio Sample Format"}, 
   {0x5008, 0x2004, "US" , "1" , "Number of Channels"}, 
   {0x5008, 0x2006, "UL" , "1" , "Number of Samples"}, 
   {0x5008, 0x2008, "UL" , "1" , "Sample Rate"}, 
   {0x5008, 0x200a, "UL" , "1" , "Total Time"}, 
   {0x5008, 0x200c, "OW" , "1" , "Audio Sample Data"}, 
   {0x5008, 0x200e, "LT" , "1" , "Audio Comments"}, 
   {0x5008, 0x2500, "LO" , "1" , "Curve Label"}, 
   {0x5008, 0x2600, "SQ" , "1" , "Referenced Overlay Sequence"}, 
   {0x5008, 0x2610, "US" , "1" , "Referenced Overlay Group"}, 
   {0x5008, 0x3000, "OW" , "1" , "Curve Data"}, 
   {0x500a, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x500a, 0x0005, "US" , "1" , "Curve Dimensions"}, 
   {0x500a, 0x0010, "US" , "1" , "Number of Points"}, 
   {0x500a, 0x0020, "CS" , "1" , "Type of Data"}, 
   {0x500a, 0x0022, "LO" , "1" , "Curve Description"}, 
   {0x500a, 0x0030, "SH" , "1-n" , "Axis Units"}, 
   {0x500a, 0x0040, "SH" , "1-n" , "Axis Labels"}, 
   {0x500a, 0x0103, "US" , "1" , "Data Value Representation"}, 
   {0x500a, 0x0104, "US" , "1-n" , "Minimum Coordinate Value"}, 
   {0x500a, 0x0105, "US" , "1-n" , "Maximum Coordinate Value"}, 
   {0x500a, 0x0106, "SH" , "1-n" , "Curve Range"}, 
   {0x500a, 0x0110, "US" , "1-n" , "Curve Data Descriptor"}, 
   {0x500a, 0x0112, "US" , "1-n" , "Coordinate Start Value"}, 
   {0x500a, 0x0114, "US" , "1-n" , "Coordinate Step Value"}, 
   {0x500a, 0x2000, "US" , "1" , "Audio Type"}, 
   {0x500a, 0x2002, "US" , "1" , "Audio Sample Format"}, 
   {0x500a, 0x2004, "US" , "1" , "Number of Channels"}, 
   {0x500a, 0x2006, "UL" , "1" , "Number of Samples"}, 
   {0x500a, 0x2008, "UL" , "1" , "Sample Rate"}, 
   {0x500a, 0x200a, "UL" , "1" , "Total Time"}, 
   {0x500a, 0x200c, "OW" , "1" , "Audio Sample Data"}, 
   {0x500a, 0x200e, "LT" , "1" , "Audio Comments"}, 
   {0x500a, 0x2500, "LO" , "1" , "Curve Label"}, 
   {0x500a, 0x2600, "SQ" , "1" , "Referenced Overlay Sequence"}, 
   {0x500a, 0x2610, "US" , "1" , "Referenced Overlay Group"}, 
   {0x500a, 0x3000, "OW" , "1" , "Curve Data"}, 
   {0x500c, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x500c, 0x0005, "US" , "1" , "Curve Dimensions"}, 
   {0x500c, 0x0010, "US" , "1" , "Number of Points"}, 
   {0x500c, 0x0020, "CS" , "1" , "Type of Data"}, 
   {0x500c, 0x0022, "LO" , "1" , "Curve Description"}, 
   {0x500c, 0x0030, "SH" , "1-n" , "Axis Units"}, 
   {0x500c, 0x0040, "SH" , "1-n" , "Axis Labels"}, 
   {0x500c, 0x0103, "US" , "1" , "Data Value Representation"}, 
   {0x500c, 0x0104, "US" , "1-n" , "Minimum Coordinate Value"}, 
   {0x500c, 0x0105, "US" , "1-n" , "Maximum Coordinate Value"}, 
   {0x500c, 0x0106, "SH" , "1-n" , "Curve Range"}, 
   {0x500c, 0x0110, "US" , "1-n" , "Curve Data Descriptor"}, 
   {0x500c, 0x0112, "US" , "1-n" , "Coordinate Start Value"}, 
   {0x500c, 0x0114, "US" , "1-n" , "Coordinate Step Value"}, 
   {0x500c, 0x2000, "US" , "1" , "Audio Type"}, 
   {0x500c, 0x2002, "US" , "1" , "Audio Sample Format"}, 
   {0x500c, 0x2004, "US" , "1" , "Number of Channels"}, 
   {0x500c, 0x2006, "UL" , "1" , "Number of Samples"}, 
   {0x500c, 0x2008, "UL" , "1" , "Sample Rate"}, 
   {0x500c, 0x200a, "UL" , "1" , "Total Time"}, 
   {0x500c, 0x200c, "OW" , "1" , "Audio Sample Data"}, 
   {0x500c, 0x200e, "LT" , "1" , "Audio Comments"}, 
   {0x500c, 0x2500, "LO" , "1" , "Curve Label"}, 
   {0x500c, 0x2600, "SQ" , "1" , "Referenced Overlay Sequence"}, 
   {0x500c, 0x2610, "US" , "1" , "Referenced Overlay Group"}, 
   {0x500c, 0x3000, "OW" , "1" , "Curve Data"}, 
   {0x500e, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x500e, 0x0005, "US" , "1" , "Curve Dimensions"}, 
   {0x500e, 0x0010, "US" , "1" , "Number of Points"}, 
   {0x500e, 0x0020, "CS" , "1" , "Type of Data"}, 
   {0x500e, 0x0022, "LO" , "1" , "Curve Description"}, 
   {0x500e, 0x0030, "SH" , "1-n" , "Axis Units"}, 
   {0x500e, 0x0040, "SH" , "1-n" , "Axis Labels"}, 
   {0x500e, 0x0103, "US" , "1" , "Data Value Representation"}, 
   {0x500e, 0x0104, "US" , "1-n" , "Minimum Coordinate Value"}, 
   {0x500e, 0x0105, "US" , "1-n" , "Maximum Coordinate Value"}, 
   {0x500e, 0x0106, "SH" , "1-n" , "Curve Range"}, 
   {0x500e, 0x0110, "US" , "1-n" , "Curve Data Descriptor"}, 
   {0x500e, 0x0112, "US" , "1-n" , "Coordinate Start Value"}, 
   {0x500e, 0x0114, "US" , "1-n" , "Coordinate Step Value"}, 
   {0x500e, 0x2000, "US" , "1" , "Audio Type"}, 
   {0x500e, 0x2002, "US" , "1" , "Audio Sample Format"}, 
   {0x500e, 0x2004, "US" , "1" , "Number of Channels"}, 
   {0x500e, 0x2006, "UL" , "1" , "Number of Samples"}, 
   {0x500e, 0x2008, "UL" , "1" , "Sample Rate"}, 
   {0x500e, 0x200a, "UL" , "1" , "Total Time"}, 
   {0x500e, 0x200c, "OW" , "1" , "Audio Sample Data"}, 
   {0x500e, 0x200e, "LT" , "1" , "Audio Comments"}, 
   {0x500e, 0x2500, "LO" , "1" , "Curve Label"}, 
   {0x500e, 0x2600, "SQ" , "1" , "Referenced Overlay Sequence"}, 
   {0x500e, 0x2610, "US" , "1" , "Referenced Overlay Group"}, 
   {0x500e, 0x3000, "OW" , "1" , "Curve Data"}, 
   {0x5200, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x5200, 0x9229, "SQ" , "1" , "Shared Functional Groups Sequence"}, 
   {0x5200, 0x9230, "SQ" , "1" , "Per-frame Functional Groups Sequence"}, 
   {0x5400, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x5400, 0x0100, "SQ" , "1" , "Waveform Sequence"}, 
   {0x5400, 0x0110, "OB" , "1" , "Channel Minimum Value"}, 
   {0x5400, 0x0112, "OB" , "1" , "Channel Maximum Value"}, 
   {0x5400, 0x1004, "US" , "1" , "Waveform Bits Allocated"}, 
   {0x5400, 0x1006, "CS" , "1" , "Waveform Sample Interpretation"}, 
   {0x5400, 0x100a, "OB" , "1" , "Waveform Padding Value"}, 
   {0x5400, 0x1010, "OB" , "1" , "Waveform Data"}, 
   {0x5600, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x5600, 0x0010, "OF" , "1" , "First Order Phase Correction Angle"}, 
   {0x5600, 0x0020, "OF" , "1" , "Spectroscopy Data"}, 
   {0x6000, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x6000, 0x0010, "US" , "1" , "Overlay Rows"}, 
   {0x6000, 0x0011, "US" , "1" , "Overlay Columns"}, 
   {0x6000, 0x0012, "US" , "1" , "Overlay Planes"}, 
   {0x6000, 0x0015, "IS" , "1" , "Number of Frames in Overlay"}, 
   {0x6000, 0x0022, "LO" , "1" , "Overlay Description"}, 
   {0x6000, 0x0040, "CS" , "1" , "Overlay Type"}, 
   {0x6000, 0x0045, "LO" , "1" , "Overlay Subtype"}, 
   {0x6000, 0x0050, "SS" , "2" , "Overlay Origin"}, 
   {0x6000, 0x0051, "US" , "1" , "Image Frame Origin"}, 
   {0x6000, 0x0052, "US" , "1" , "Overlay Plane Origin"}, 
   {0x6000, 0x0060, "LT" , "1" , "Overlay Compression Code (RET)"}, 
   {0x6000, 0x0100, "US" , "1" , "Overlay Bits Allocated"}, 
   {0x6000, 0x0102, "US" , "1" , "Overlay Bit Position"}, 
   {0x6000, 0x0110, "LT" , "1" , "Overlay Format (RET)"}, 
   {0x6000, 0x0200, "US" , "1" , "Overlay Location (RET)"}, 
   {0x6000, 0x1001, "CS" , "1" , "Overlay Activation Layer"}, 
   {0x6000, 0x1100, "US" , "1" , "Overlay Descriptor - Gray (RET)"}, 
   {0x6000, 0x1101, "US" , "1" , "Overlay Descriptor - Red (RET)"}, 
   {0x6000, 0x1102, "US" , "1" , "Overlay Descriptor - Green (RET)"}, 
   {0x6000, 0x1103, "US" , "1" , "Overlay Descriptor - Blue (RET)"}, 
   {0x6000, 0x1200, "US" , "1-n" , "Overlays - Gray (RET)"}, 
   {0x6000, 0x1201, "US" , "1-n" , "Overlays - Red (RET)"}, 
   {0x6000, 0x1202, "US" , "1-n" , "Overlays - Green (RET)"}, 
   {0x6000, 0x1203, "US" , "1-n" , "Overlays - Blue (RET)"}, 
   {0x6000, 0x1301, "IS" , "1" , "ROI Area"}, 
   {0x6000, 0x1302, "DS" , "1" , "ROI Mean"}, 
   {0x6000, 0x1303, "DS" , "1" , "ROI Standard Deviation"}, 
   {0x6000, 0x1500, "LO" , "1" , "Overlay Label"}, 
   {0x6000, 0x3000, "OW" , "1" , "Overlay Data"}, 
   {0x6000, 0x4000, "LT" , "1-n" , "Overlay Comments (RET)"}, 
   {0x6002, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x6002, 0x0010, "US" , "1" , "Rows"}, 
   {0x6002, 0x0011, "US" , "1" , "Columns"}, 
   {0x6002, 0x0012, "US" , "1" , "Planes"}, 
   {0x6002, 0x0015, "IS" , "1" , "Number of Frames in Overlay"}, 
   {0x6002, 0x0022, "LO" , "1" , "Overlay Description"}, 
   {0x6002, 0x0040, "CS" , "1" , "Overlay Type"}, 
   {0x6002, 0x0045, "LO" , "1" , "Overlay Subtype"}, 
   {0x6002, 0x0050, "SS" , "2" , "Overlay Origin"}, 
   {0x6002, 0x0051, "US" , "1" , "Image Frame Origin"}, 
   {0x6002, 0x0052, "US" , "1" , "Overlay Plane Origin"}, 
   {0x6002, 0x0060, "LT" , "1" , "Overlay Compression Code (RET)"}, 
   {0x6002, 0x0100, "US" , "1" , "Overlay Bits Allocated"}, 
   {0x6002, 0x0102, "US" , "1" , "Overlay Bit Position"}, 
   {0x6002, 0x0110, "LT" , "1" , "Overlay Format (RET)"}, 
   {0x6002, 0x0200, "US" , "1" , "Overlay Location (RET)"}, 
   {0x6002, 0x1001, "US" , "1" , "Overlay Activation Layer"}, 
   {0x6002, 0x1100, "US" , "1" , "Overlay Descriptor - Gray (RET)"}, 
   {0x6002, 0x1101, "US" , "1" , "Overlay Descriptor - Red (RET)"}, 
   {0x6002, 0x1102, "US" , "1" , "Overlay Descriptor - Green (RET)"}, 
   {0x6002, 0x1103, "US" , "1" , "Overlay Descriptor - Blue (RET)"}, 
   {0x6002, 0x1200, "US" , "1-n" , "Overlays - Gray"}, 
   {0x6002, 0x1201, "US" , "1-n" , "Overlays - Red"}, 
   {0x6002, 0x1202, "US" , "1-n" , "Overlays - Green"}, 
   {0x6002, 0x1203, "US" , "1-n" , "Overlays - Blue"}, 
   {0x6002, 0x1301, "IS" , "1" , "ROI Area"}, 
   {0x6002, 0x1302, "DS" , "1" , "ROI Mean"}, 
   {0x6002, 0x1303, "DS" , "1" , "ROI Standard Deviation"}, 
   {0x6002, 0x1500, "LO" , "1" , "Overlay Label"}, 
   {0x6002, 0x3000, "OW" , "1" , "Overlay Data"}, 
   {0x6002, 0x4000, "LT" , "1-n" , "Overlay Comments (RET)"}, 
   {0x6004, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x6004, 0x0010, "US" , "1" , "Rows"}, 
   {0x6004, 0x0011, "US" , "1" , "Columns"}, 
   {0x6004, 0x0012, "US" , "1" , "Planes"}, 
   {0x6004, 0x0015, "IS" , "1" , "Number of Frames in Overlay"}, 
   {0x6004, 0x0022, "LO" , "1" , "Overlay Description"}, 
   {0x6004, 0x0040, "CS" , "1" , "Overlay Type"}, 
   {0x6004, 0x0045, "LO" , "1" , "Overlay Subtype"}, 
   {0x6004, 0x0050, "SS" , "2" , "Overlay Origin"}, 
   {0x6004, 0x0051, "US" , "1" , "Image Frame Origin"}, 
   {0x6004, 0x0052, "US" , "1" , "Overlay Plane Origin"}, 
   {0x6004, 0x0060, "LT" , "1" , "Overlay Compression Code (RET)"}, 
   {0x6004, 0x0100, "US" , "1" , "Overlay Bits Allocated"}, 
   {0x6004, 0x0102, "US" , "1" , "Overlay Bit Position"}, 
   {0x6004, 0x0110, "LT" , "1" , "Overlay Format (RET)"}, 
   {0x6004, 0x0200, "US" , "1" , "Overlay Location (RET)"}, 
   {0x6004, 0x1001, "US" , "1" , "Overlay Activation Layer"}, 
   {0x6004, 0x1100, "US" , "1" , "Overlay Descriptor - Gray (RET)"}, 
   {0x6004, 0x1101, "US" , "1" , "Overlay Descriptor - Red (RET)"}, 
   {0x6004, 0x1102, "US" , "1" , "Overlay Descriptor - Green (RET)"}, 
   {0x6004, 0x1103, "US" , "1" , "Overlay Descriptor - Blue (RET)"}, 
   {0x6004, 0x1200, "US" , "1-n" , "Overlays - Gray"}, 
   {0x6004, 0x1201, "US" , "1-n" , "Overlays - Red"}, 
   {0x6004, 0x1202, "US" , "1-n" , "Overlays - Green"}, 
   {0x6004, 0x1203, "US" , "1-n" , "Overlays - Blue"}, 
   {0x6004, 0x1301, "IS" , "1" , "ROI Area"}, 
   {0x6004, 0x1302, "DS" , "1" , "ROI Mean"}, 
   {0x6004, 0x1303, "DS" , "1" , "ROI Standard Deviation"}, 
   {0x6004, 0x1500, "LO" , "1" , "Overlay Label"}, 
   {0x6004, 0x3000, "OW" , "1" , "Overlay Data"}, 
   {0x6004, 0x4000, "LT" , "1-n" , "Overlay Comments (RET)"}, 
   {0x6006, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x6006, 0x0010, "US" , "1" , "Rows"}, 
   {0x6006, 0x0011, "US" , "1" , "Columns"}, 
   {0x6006, 0x0012, "US" , "1" , "Planes"}, 
   {0x6006, 0x0015, "IS" , "1" , "Number of Frames in Overlay"}, 
   {0x6006, 0x0022, "LO" , "1" , "Overlay Description"}, 
   {0x6006, 0x0040, "CS" , "1" , "Overlay Type"}, 
   {0x6006, 0x0045, "LO" , "1" , "Overlay Subtype"}, 
   {0x6006, 0x0050, "SS" , "2" , "Overlay Origin"}, 
   {0x6006, 0x0051, "US" , "1" , "Image Frame Origin"}, 
   {0x6006, 0x0052, "US" , "1" , "Overlay Plane Origin"}, 
   {0x6006, 0x0060, "LT" , "1" , "Overlay Compression Code (RET)"}, 
   {0x6006, 0x0100, "US" , "1" , "Overlay Bits Allocated"}, 
   {0x6006, 0x0102, "US" , "1" , "Overlay Bit Position"}, 
   {0x6006, 0x0110, "LT" , "1" , "Overlay Format (RET)"}, 
   {0x6006, 0x0200, "US" , "1" , "Overlay Location (RET)"}, 
   {0x6006, 0x1001, "US" , "1" , "Overlay Activation Layer"}, 
   {0x6006, 0x1100, "US" , "1" , "Overlay Descriptor - Gray (RET)"}, 
   {0x6006, 0x1101, "US" , "1" , "Overlay Descriptor - Red (RET)"}, 
   {0x6006, 0x1102, "US" , "1" , "Overlay Descriptor - Green (RET)"}, 
   {0x6006, 0x1103, "US" , "1" , "Overlay Descriptor - Blue (RET)"}, 
   {0x6006, 0x1200, "US" , "1-n" , "Overlays - Gray"}, 
   {0x6006, 0x1201, "US" , "1-n" , "Overlays - Red"}, 
   {0x6006, 0x1202, "US" , "1-n" , "Overlays - Green"}, 
   {0x6006, 0x1203, "US" , "1-n" , "Overlays - Blue"}, 
   {0x6006, 0x1301, "IS" , "1" , "ROI Area"}, 
   {0x6006, 0x1302, "DS" , "1" , "ROI Mean"}, 
   {0x6006, 0x1303, "DS" , "1" , "ROI Standard Deviation"}, 
   {0x6006, 0x1500, "LO" , "1" , "Overlay Label"}, 
   {0x6006, 0x3000, "OW" , "1" , "Overlay Data"}, 
   {0x6006, 0x4000, "LT" , "1-n" , "Overlay Comments (RET)"}, 
   {0x6008, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x6008, 0x0010, "US" , "1" , "Rows"}, 
   {0x6008, 0x0011, "US" , "1" , "Columns"}, 
   {0x6008, 0x0012, "US" , "1" , "Planes"}, 
   {0x6008, 0x0015, "IS" , "1" , "Number of Frames in Overlay"}, 
   {0x6008, 0x0022, "LO" , "1" , "Overlay Description"}, 
   {0x6008, 0x0040, "CS" , "1" , "Overlay Type"}, 
   {0x6008, 0x0045, "LO" , "1" , "Overlay Subtype"}, 
   {0x6008, 0x0050, "SS" , "2" , "Overlay Origin"}, 
   {0x6008, 0x0051, "US" , "1" , "Image Frame Origin"}, 
   {0x6008, 0x0052, "US" , "1" , "Overlay Plane Origin"}, 
   {0x6008, 0x0060, "LT" , "1" , "Overlay Compression Code (RET)"}, 
   {0x6008, 0x0100, "US" , "1" , "Overlay Bits Allocated"}, 
   {0x6008, 0x0102, "US" , "1" , "Overlay Bit Position"}, 
   {0x6008, 0x0110, "LT" , "1" , "Overlay Format (RET)"}, 
   {0x6008, 0x0200, "US" , "1" , "Overlay Location (RET)"}, 
   {0x6008, 0x1001, "US" , "1" , "Overlay Activation Layer"}, 
   {0x6008, 0x1100, "US" , "1" , "Overlay Descriptor - Gray (RET)"}, 
   {0x6008, 0x1101, "US" , "1" , "Overlay Descriptor - Red (RET)"}, 
   {0x6008, 0x1102, "US" , "1" , "Overlay Descriptor - Green (RET)"}, 
   {0x6008, 0x1103, "US" , "1" , "Overlay Descriptor - Blue (RET)"}, 
   {0x6008, 0x1200, "US" , "1-n" , "Overlays - Gray"}, 
   {0x6008, 0x1201, "US" , "1-n" , "Overlays - Red"}, 
   {0x6008, 0x1202, "US" , "1-n" , "Overlays - Green"}, 
   {0x6008, 0x1203, "US" , "1-n" , "Overlays - Blue"}, 
   {0x6008, 0x1301, "IS" , "1" , "ROI Area"}, 
   {0x6008, 0x1302, "DS" , "1" , "ROI Mean"}, 
   {0x6008, 0x1303, "DS" , "1" , "ROI Standard Deviation"}, 
   {0x6008, 0x1500, "LO" , "1" , "Overlay Label"}, 
   {0x6008, 0x3000, "OW" , "1" , "Overlay Data"}, 
   {0x6008, 0x4000, "LT" , "1-n" , "Overlay Comments (RET)"}, 
   {0x600a, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x600a, 0x0010, "US" , "1" , "Rows"}, 
   {0x600a, 0x0011, "US" , "1" , "Columns"}, 
   {0x600a, 0x0012, "US" , "1" , "Planes"}, 
   {0x600a, 0x0015, "IS" , "1" , "Number of Frames in Overlay"}, 
   {0x600a, 0x0022, "LO" , "1" , "Overlay Description"}, 
   {0x600a, 0x0040, "CS" , "1" , "Overlay Type"}, 
   {0x600a, 0x0045, "LO" , "1" , "Overlay Subtype"}, 
   {0x600a, 0x0050, "SS" , "2" , "Overlay Origin"}, 
   {0x600a, 0x0051, "US" , "1" , "Image Frame Origin"}, 
   {0x600a, 0x0052, "US" , "1" , "Overlay Plane Origin"}, 
   {0x600a, 0x0060, "LT" , "1" , "Overlay Compression Code (RET)"}, 
   {0x600a, 0x0100, "US" , "1" , "Overlay Bits Allocated"}, 
   {0x600a, 0x0102, "US" , "1" , "Overlay Bit Position"}, 
   {0x600a, 0x0110, "LT" , "1" , "Overlay Format (RET)"}, 
   {0x600a, 0x0200, "US" , "1" , "Overlay Location (RET)"}, 
   {0x600a, 0x1001, "US" , "1" , "Overlay Activation Layer"}, 
   {0x600a, 0x1100, "US" , "1" , "Overlay Descriptor - Gray (RET)"}, 
   {0x600a, 0x1101, "US" , "1" , "Overlay Descriptor - Red (RET)"}, 
   {0x600a, 0x1102, "US" , "1" , "Overlay Descriptor - Green (RET)"}, 
   {0x600a, 0x1103, "US" , "1" , "Overlay Descriptor - Blue (RET)"}, 
   {0x600a, 0x1200, "US" , "1-n" , "Overlays - Gray"}, 
   {0x600a, 0x1201, "US" , "1-n" , "Overlays - Red"}, 
   {0x600a, 0x1202, "US" , "1-n" , "Overlays - Green"}, 
   {0x600a, 0x1203, "US" , "1-n" , "Overlays - Blue"}, 
   {0x600a, 0x1301, "IS" , "1" , "ROI Area"}, 
   {0x600a, 0x1302, "DS" , "1" , "ROI Mean"}, 
   {0x600a, 0x1303, "DS" , "1" , "ROI Standard Deviation"}, 
   {0x600a, 0x1500, "LO" , "1" , "Overlay Label"}, 
   {0x600a, 0x3000, "OW" , "1" , "Overlay Data"}, 
   {0x600a, 0x4000, "LT" , "1-n" , "Overlay Comments (RET)"}, 
   {0x600c, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x600c, 0x0010, "US" , "1" , "Rows"}, 
   {0x600c, 0x0011, "US" , "1" , "Columns"}, 
   {0x600c, 0x0012, "US" , "1" , "Planes"}, 
   {0x600c, 0x0015, "IS" , "1" , "Number of Frames in Overlay"}, 
   {0x600c, 0x0022, "LO" , "1" , "Overlay Description"}, 
   {0x600c, 0x0040, "CS" , "1" , "Overlay Type"}, 
   {0x600c, 0x0045, "LO" , "1" , "Overlay Subtype"}, 
   {0x600c, 0x0050, "SS" , "2" , "Overlay Origin"}, 
   {0x600c, 0x0051, "US" , "1" , "Image Frame Origin"}, 
   {0x600c, 0x0052, "US" , "1" , "Overlay Plane Origin"}, 
   {0x600c, 0x0060, "LT" , "1" , "Overlay Compression Code (RET)"}, 
   {0x600c, 0x0100, "US" , "1" , "Overlay Bits Allocated"}, 
   {0x600c, 0x0102, "US" , "1" , "Overlay Bit Position"}, 
   {0x600c, 0x0110, "LT" , "1" , "Overlay Format (RET)"}, 
   {0x600c, 0x0200, "US" , "1" , "Overlay Location (RET)"}, 
   {0x600c, 0x1001, "US" , "1" , "Overlay Activation Layer"}, 
   {0x600c, 0x1100, "US" , "1" , "Overlay Descriptor - Gray (RET)"}, 
   {0x600c, 0x1101, "US" , "1" , "Overlay Descriptor - Red (RET)"}, 
   {0x600c, 0x1102, "US" , "1" , "Overlay Descriptor - Green (RET)"}, 
   {0x600c, 0x1103, "US" , "1" , "Overlay Descriptor - Blue (RET)"}, 
   {0x600c, 0x1200, "US" , "1-n" , "Overlays - Gray"}, 
   {0x600c, 0x1201, "US" , "1-n" , "Overlays - Red"}, 
   {0x600c, 0x1202, "US" , "1-n" , "Overlays - Green"}, 
   {0x600c, 0x1203, "US" , "1-n" , "Overlays - Blue"}, 
   {0x600c, 0x1301, "IS" , "1" , "ROI Area"}, 
   {0x600c, 0x1302, "DS" , "1" , "ROI Mean"}, 
   {0x600c, 0x1303, "DS" , "1" , "ROI Standard Deviation"}, 
   {0x600c, 0x1500, "LO" , "1" , "Overlay Label"}, 
   {0x600c, 0x3000, "OW" , "1" , "Overlay Data"}, 
   {0x600c, 0x4000, "LT" , "1-n" , "Overlay Comments (RET)"}, 
   {0x600e, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x600e, 0x0010, "US" , "1" , "Rows"}, 
   {0x600e, 0x0011, "US" , "1" , "Columns"}, 
   {0x600e, 0x0012, "US" , "1" , "Planes"}, 
   {0x600e, 0x0015, "IS" , "1" , "Number of Frames in Overlay"}, 
   {0x600e, 0x0022, "LO" , "1" , "Overlay Description"}, 
   {0x600e, 0x0040, "CS" , "1" , "Overlay Type"}, 
   {0x600e, 0x0045, "LO" , "1" , "Overlay Subtype"}, 
   {0x600e, 0x0050, "SS" , "2" , "Overlay Origin"}, 
   {0x600e, 0x0051, "US" , "1" , "Image Frame Origin"}, 
   {0x600e, 0x0052, "US" , "1" , "Overlay Plane Origin"}, 
   {0x600e, 0x0060, "LT" , "1" , "Overlay Compression Code (RET)"}, 
   {0x600e, 0x0100, "US" , "1" , "Overlay Bits Allocated"}, 
   {0x600e, 0x0102, "US" , "1" , "Overlay Bit Position"}, 
   {0x600e, 0x0110, "LT" , "1" , "Overlay Format (RET)"}, 
   {0x600e, 0x0200, "US" , "1" , "Overlay Location (RET)"}, 
   {0x600e, 0x1001, "US" , "1" , "Overlay Activation Layer"}, 
   {0x600e, 0x1100, "US" , "1" , "Overlay Descriptor - Gray (RET)"}, 
   {0x600e, 0x1101, "US" , "1" , "Overlay Descriptor - Red (RET)"}, 
   {0x600e, 0x1102, "US" , "1" , "Overlay Descriptor - Green (RET)"}, 
   {0x600e, 0x1103, "US" , "1" , "Overlay Descriptor - Blue (RET)"}, 
   {0x600e, 0x1200, "US" , "1-n" , "Overlays - Gray"}, 
   {0x600e, 0x1201, "US" , "1-n" , "Overlays - Red"}, 
   {0x600e, 0x1202, "US" , "1-n" , "Overlays - Green"}, 
   {0x600e, 0x1203, "US" , "1-n" , "Overlays - Blue"}, 
   {0x600e, 0x1301, "IS" , "1" , "ROI Area"}, 
   {0x600e, 0x1302, "DS" , "1" , "ROI Mean"}, 
   {0x600e, 0x1303, "DS" , "1" , "ROI Standard Deviation"}, 
   {0x600e, 0x1500, "LO" , "1" , "Overlay Label"}, 
   {0x600e, 0x3000, "OW" , "1" , "Overlay Data"}, 
   {0x600e, 0x4000, "LT" , "1-n" , "Overlay Comments (RET)"}, 
   {0x7fe0, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x7fe0, 0x0010, "OB" , "1" , "Pixel Data"}, 
   {0xfffa, 0xfffa, "SQ" , "1" , "Digital Signatures Sequence"}, 
   {0xfffc, 0xfffc, "OB" , "1" , "Data Set Trailing Padding"}, 
   {0xfffe, 0xe000, "UL" , "1" , "Item"}, 
   {0xfffe, 0xe00d, "UL" , "1" , "Item Delimitation Item"}, 
   {0xfffe, 0xe0dd, "UL" , "1" , "Sequence Delimitation Item"}, 
   {0x0041, 0x0000, "UL" , "1" , "Group Length"}, 
   {0x0041, 0x0010, "LO" , "1" , "Owner ID (PAPYRUS 3.0)"}, 
   {0x0041, 0x1000, "LT" , "1" , "Comments"}, 
   {0x0041, 0x1010, "SQ" , "1" , "Pointer Sequence"}, 
   {0x0041, 0x1011, "UL" , "1" , "Image Pointer"}, 
   {0x0041, 0x1012, "UL" , "1" , "Pixel Offset"}, 
   {0x0041, 0x1013, "SQ" , "1" , "Image Identifier Sequence"}, 
   {0x0041, 0x1014, "SQ" , "1" , "External PAPYRUS-File Reference Sequence"}, 
   {0x0041, 0x1015, "US" , "1" , "Number of images"}, 
   {0x0041, 0x1021, "UI" , "1" , "Referenced SOP Class UID"}, 
   {0x0041, 0x1022, "UI" , "1" , "Referenced SOP Instance UID"}, 
   {0x0041, 0x1031, "LO" , "1" , "Referenced File Name"}, 
   {0x0041, 0x1032, "LO" , "1-n" , "Referenced File Path"}, 
   {0x0041, 0x1041, "UI" , "1" , "Referenced Image SOP Class UID"}, 
   {0x0041, 0x1042, "UI" , "1" , "Referenced Image SOP Instance UID"}, 
   {0x0041, 0x1050, "SQ" , "1" , "Image Sequence"}, 
   {0x0018, 0x106b, "UI" , "1" , "Synchronization Frame of Reference (RET)"}, 
   {0x0028, 0x0013, "US" , "1" , "Instants (RET)"}, 
   {0x0028, 0x0015, "US" , "1" , "UsedNbX ACR Special (RET)"}, 
   {0x0028, 0x0016, "US" , "1" , "UsedNbY ACR Special (RET)"}, 
   {0x0028, 0x0017, "US" , "1" , "UsedNbZ ACR Special (RET)"}, 
   {0x0028, 0x0018, "US" , "1" , "UsedNbT ACR Special (RET)"}, 
   {0x0028, 0x0122, "US" , "1" , "Waveform Padding Value (RET)"}, 
   {0x0028, 0x0199, "US" , "1" , "Special Code (RET)"}, 
   {0x003a, 0x0002, "SQ" , "1" , "Waveform Sequence (RET)"}, 
   {0x003a, 0x0103, "CS" , "1" , "Data Value Representation (RET)"}, 
   {0x0040, 0x0552, "SQ" , "1" , "Specimen Description Sequence (RET)"}, 
   {0x0040, 0x0553, "ST" , "1" , "Specimen Description (RET)"}, 
   {0x0040, 0x09f8, "SQ" , "1" , "Vital Stain Code Sequence (RET)"}, 
   {0x0040, 0xa16a, "ST" , "1" , "Bibliographics Citation (RET)"}, 
   {0x0040, 0xa992, "ST" , "1" , "Uniform Resource Locator (RET)"}, 
   {0x0009, 0x0010, "LO" , "1" , "Comments"}, 
   {0x0009, 0x0015, "LO" , "1" , "UID"}, 
   {0x0009, 0x0040, "US" , "1" , "Data Object Type"}, 
   {0x0009, 0x0041, "SH" , "1" , "Data Object Subtype"}, 
   {0x0011, 0x0010, "LO" , "1" , "Organ"}, 
   {0x0011, 0x0015, "LO" , "1" , "Allergy Indication"}, 
   {0x0011, 0x0020, "LO" , "1" , "Pregnancy"}, 
   {0x0029, 0x0060, "LO" , "1" , "Compression Algorithm"},  
 {0,0,0,0,0}
};

void FillDefaultDataDict(Dict *d)
{
   unsigned int i = 0;
   DICT_ENTRY n = datadir[i];
   while( n.name != 0 )
   {
      const DictEntry e( n.group, n.element, n.vr, n.vm, n.name);
      d->AddEntry( e );
      n = datadir[++i];
   }
}

void FillDefaultTSDict(TSHT &ts)
{

  ts["1.2.840.10008.1.2"] = "Implicit VR - Little Endian"; 
  ts["1.2.840.10008.1.2.1"] = "Explicit VR - Little Endian"; 
  ts["1.2.840.10008.1.2.1.99"] = "Deflated Explicit VR - Little Endian"; 
  ts["1.2.840.10008.1.2.2"] = "Explicit VR - Big Endian"; 
  ts["1.2.840.10008.1.2.4.50"] = "JPEG Baseline (Process 1)"; 
  ts["1.2.840.10008.1.2.4.51"] = "JPEG Extended (Process 2 & 4)"; 
  ts["1.2.840.10008.1.2.4.52"] = "JPEG Extended (Process 3 & 5) (Retired)"; 
  ts["1.2.840.10008.1.2.4.53"] = "JPEG Spectral Selection, Non-Hierarchical (Process 6 & 8) (Retired)"; 
  ts["1.2.840.10008.1.2.4.54"] = "JPEG Spectral Selection, Non-Hierarchical (Process 7 & 9) (Retired)"; 
  ts["1.2.840.10008.1.2.4.55"] = "JPEG Full Progression, Non-Hierarchical (Process 10 & 12) (Retired)"; 
  ts["1.2.840.10008.1.2.4.56"] = "JPEG Full Progression, Non-Hierarchical (Process 11 & 13) (Retired)"; 
  ts["1.2.840.10008.1.2.4.57"] = "JPEG Lossless Non-Hierarchical (Process 14)"; 
  ts["1.2.840.10008.1.2.4.58"] = "JPEG Lossless Non-Hierarchical (Process 15) (Retired)"; 
  ts["1.2.840.10008.1.2.4.59"] = "JPEG Extended Hierarchical (Process 16 & 18) (Retired)"; 
  ts["1.2.840.10008.1.2.4.60"] = "JPEG Spectral Selection, Non-Hierarchical (Process 17 & 19) (Retired)"; 
  ts["1.2.840.10008.1.2.4.61"] = "JPEG Spectral Selection, Hierarchical (Process 20 & 22) (Retired)"; 
  ts["1.2.840.10008.1.2.4.62"] = "JPEG Spectral Selection, Hierarchical (Process 21 & 23) (Retired)"; 
  ts["1.2.840.10008.1.2.4.63"] = "JPEG Full Progression, Hierarchical (Process 24 & 26) (Retired)"; 
  ts["1.2.840.10008.1.2.4.64"] = "JPEG Full Progression, Hierarchical (Process 25 & 27) (Retired)"; 
  ts["1.2.840.10008.1.2.4.65"] = "JPEG Lossless, Hierarchical (Process 28) (Retired)"; 
  ts["1.2.840.10008.1.2.4.66"] = "JPEG Lossless, Hierarchical (Process 29) (Retired))"; 
  ts["1.2.840.10008.1.2.4.70"] = "JPEG Lossless, Non-Hierarchical, First-Order Prediction (Process 14 [Selection Value 1])"; 
  ts["1.2.840.10008.1.2.4.80"] = "JPEG-LS Lossless Image Compression"; 
  ts["1.2.840.10008.1.2.4.81"] = "JPEG-LS Lossy (Near-Lossless) Image Compression"; 
  ts["1.2.840.10008.1.2.4.90"] = "JPEG 2000 Image Compression (Lossless Only)"; 
  ts["1.2.840.10008.1.2.4.91"] = "JPEG 2000 Image Compression"; 
  ts["1.2.840.10008.1.2.4.100"] = "MPEG2 Main Profile @ Main Level"; 
  ts["1.2.840.10008.1.2.5"] = "RLE Lossless"; 
  ts["1.2.840.113619.5.2"] = "Implicit VR - Big Endian (G.E Private)"; 
  ts["1.2.840.10008.1.3.10"] = "Media Storage Directory Storage"; 
  ts["1.2.840.10008.1.4.1.1"] = "Talairach Brain Atlas Frame of Reference"; 
  ts["1.2.840.10008.1.4.1.2"] = "SPM2 T1 Frame of Reference"; 
  ts["1.2.840.10008.1.4.1.3"] = "SPM2 T2 Frame of Reference"; 
  ts["1.2.840.10008.1.4.1.4"] = "SPM2 PD Frame of Reference"; 
  ts["1.2.840.10008.1.4.1.5"] = "SPM2 EPI Frame of Reference"; 
  ts["1.2.840.10008.1.4.1.6"] = "SPM2 FIL T1 Frame of Reference"; 
  ts["1.2.840.10008.1.4.1.7"] = "SPM2 PET Frame of Reference"; 
  ts["1.2.840.10008.1.4.1.8"] = "SPM2 TRANSM Frame of Reference"; 
  ts["1.2.840.10008.1.4.1.9"] = "SPM2 SPECT Frame of Reference"; 
  ts["1.2.840.10008.1.4.1.10"] = "SPM2 GRAY Frame of Reference"; 
  ts["1.2.840.10008.1.4.1.11"] = "SPM2 WHITE Frame of Reference"; 
  ts["1.2.840.10008.1.4.1.12"] = "SPM2 CSF Frame of Reference"; 
  ts["1.2.840.10008.1.4.1.13"] = "SPM2 BRAINMASK Frame of Reference"; 
  ts["1.2.840.10008.1.4.1.14"] = "SPM2 AVG305T1 Frame of Reference"; 
  ts["1.2.840.10008.1.4.1.15"] = "SPM2 AVG152T1 Frame of Reference"; 
  ts["1.2.840.10008.1.4.1.16"] = "SPM2 AVG152T2 Frame of Reference"; 
  ts["1.2.840.10008.1.4.1.17"] = "SPM2 AVG152PD Frame of Reference"; 
  ts["1.2.840.10008.1.4.1.18"] = "SPM2 SINGLESUBJT1 Frame of Reference"; 
  ts["1.2.840.10008.1.4.2.1"] = "ICBM 452 T1 Frame of Reference"; 
  ts["1.2.840.10008.1.4.2.2"] = "ICBM Single Subject MRI Frame of Reference"; 
  ts["1.2.840.10008.1.1"] = "Verification SOP Class"; 
  ts["1.2.840.10008.1.9"] = "Basic Study Content Notification SOP Class"; 
  ts["1.2.840.10008.1.20.1"] = "Image Commitment Push Model SOP Class"; 
  ts["1.2.840.10008.1.20.1.1"] = "Image Commitment Push Model SOP Instance"; 
  ts["1.2.840.10008.1.20.2"] = "Image Commitment Push Model SOP Class (Retired)"; 
  ts["1.2.840.10008.1.20.2.1"] = "Image Commitment Push Model SOP Instance (Retired)"; 
  ts["1.2.840.10008.1.40"] = "Procedural Event Logging SOP Class"; 
  ts["1.2.840.10008.1.40.1"] = "Procedural Event Logging SOP Instance"; 
  ts["1.2.840.10008.2.16.4"] = "DICOM Controlled Terminology"; 
  ts["1.2.840.10008.3.1.1.1"] = "DICOM Application Context Name"; 
  ts["1.2.840.10008.3.1.2.1.1"] = "Detached Patient Management SOP Class"; 
  ts["1.2.840.10008.3.1.2.1.4"] = "Detached Patient Management Meta SOP Class"; 
  ts["1.2.840.10008.3.1.2.2.1"] = "Detached Visit Management SOP Class"; 
  ts["1.2.840.10008.3.1.2.3.1"] = "Detached Study Management SOP Class"; 
  ts["1.2.840.10008.3.1.2.3.2"] = "Study Component Management SOP Class"; 
  ts["1.2.840.10008.3.1.2.3.3"] = "Modality Performed Procedure Step SOP Class"; 
  ts["1.2.840.10008.3.1.2.3.4"] = "Modality Performed Procedure Step Retrieve SOP Class"; 
  ts["1.2.840.10008.3.1.2.3.5"] = "Modality Performed Procedure Step Notification SOP Class"; 
  ts["1.2.840.10008.3.1.2.5.1"] = "Detached Results Management SOP Class"; 
  ts["1.2.840.10008.3.1.2.5.4"] = "Detached Results Management Meta SOP Class"; 
  ts["1.2.840.10008.3.1.2.5.5"] = "Detached Study Management Meta SOP Class"; 
  ts["1.2.840.10008.3.1.2.6.1"] = "Detached Interpretation Management SOP Class"; 
  ts["1.2.840.10008.4.2"] = "Storage Device Class"; 
  ts["1.2.840.10008.5.1.1.1"] = "Basic Film Session SOP Class"; 
  ts["1.2.840.10008.5.1.1.2"] = "Basic Film Box SOP Class"; 
  ts["1.2.840.10008.5.1.1.4"] = "Basic Gray Scale Image Box SOP Class"; 
  ts["1.2.840.10008.5.1.1.4.1"] = "Basic Color Image Box SOP Class"; 
  ts["1.2.840.10008.5.1.1.4.2"] = "Referenced Image Box SOP Class (Retired)"; 
  ts["1.2.840.10008.5.1.1.9"] = "Basic Gray Scale Print Management Meta SOP Class"; 
  ts["1.2.840.10008.5.1.1.9.1"] = "Referenced Gray Scale Print Management Meta SOP Class(Retired)"; 
  ts["1.2.840.10008.5.1.1.14"] = "Print Job SOP Class"; 
  ts["1.2.840.10008.5.1.1.15"] = "Basic Annotation Box SOP Class"; 
  ts["1.2.840.10008.5.1.1.16"] = "Printer SOP Class"; 
  ts["1.2.840.10008.5.1.1.16.376"] = "Printer Configuration Retrieval SOP Class"; 
  ts["1.2.840.10008.5.1.1.17"] = "Printer SOP Instance"; 
  ts["1.2.840.10008.5.1.1.17.376"] = "Printer Configuration Retrieval SOP Instance"; 
  ts["1.2.840.10008.5.1.1.18"] = "Basic Color Print Management Meta SOP Class"; 
  ts["1.2.840.10008.5.1.1.18.1"] = "Referenced Color Print Management Meta SOP Class (Retired)"; 
  ts["1.2.840.10008.5.1.1.22"] = "VOI LUT Box SOP Class"; 
  ts["1.2.840.10008.5.1.1.23"] = "Presentation LUT Box SOP Class"; 
  ts["1.2.840.10008.5.1.1.24"] = "Image Overlay Box SOP Class (Retired)"; 
  ts["1.2.840.10008.5.1.1.24.1"] = "Basic Print Image Overlay Box SOP Class"; 
  ts["1.2.840.10008.5.1.1.25"] = "Print Queue SOP Instance"; 
  ts["1.2.840.10008.5.1.1.26"] = "Print Queue Management SOP Class"; 
  ts["1.2.840.10008.5.1.1.27"] = "Stored Print Storage SOP Class"; 
  ts["1.2.840.10008.5.1.1.29"] = "Hardcopy Grayscale Image Storage SOP Class"; 
  ts["1.2.840.10008.5.1.1.30"] = "Hardcopy Color Image Storage SOP Class"; 
  ts["1.2.840.10008.5.1.1.31"] = "Pull Print Request SOP Class"; 
  ts["1.2.840.10008.5.1.1.32"] = "Pull Stored Print Management Meta SOP Class"; 
  ts["1.2.840.10008.5.1.1.33"] = "Media Creation Management SOP Class UID"; 
  ts["1.2.840.10008.5.1.4.1.1.1"] = "Computed Radiography Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.1.1"] = "Digital X-Ray Image Storage - For Presentation"; 
  ts["1.2.840.10008.5.1.4.1.1.1.1.1"] = "Digital X-Ray Image Storage - For Processing"; 
  ts["1.2.840.10008.5.1.4.1.1.1.2"] = "Digital Mammography Image Storage - For Presentation"; 
  ts["1.2.840.10008.5.1.4.1.1.1.2.1"] = "Digital Mammography Image Storage - For Processing"; 
  ts["1.2.840.10008.5.1.4.1.1.1.3"] = "Digital Intra-oral X-ray Image Storage - For Presentation"; 
  ts["1.2.840.10008.5.1.4.1.1.1.3.1"] = "Digital Intra-oral X-Ray Image Storage - For Processing"; 
  ts["1.2.840.10008.5.1.4.1.1.2"] = "CT Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.2.1"] = "Enhanced CT Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.3"] = "Ultrasound Multi-Frame Image Storage (Retired)"; 
  ts["1.2.840.10008.5.1.4.1.1.3.1"] = "Ultrasound Multi-Frame Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.4"] = "MR Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.4.1"] = "Enhanced MR Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.4.2"] = "MR Spectroscopy Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.5"] = "Nuclear Medicine Image Storage (Retired)"; 
  ts["1.2.840.10008.5.1.4.1.1.6"] = "Ultrasound Image Storage (Retired)"; 
  ts["1.2.840.10008.5.1.4.1.1.6.1"] = "Ultrasound Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.7"] = "Secondary Capture Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.7.1"] = "Multi-frame Single Bit Secondary Capture Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.7.2"] = "Multi-frame Grayscale Byte Secondary Capture Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.7.3"] = "Multi-frame Grayscale Word Secondary Capture Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.7.4"] = "Multi-frame True Color Secondary Capture Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.8"] = "Standalone Overlay Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.9"] = "Standalone Curve Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.9.1.1"] = "12-Lead ECG Waveform Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.9.1.2"] = "General ECG Waveform Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.9.1.3"] = "Ambulatory ECG Waveform Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.9.2.1"] = "Hemodynamic Waveform Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.9.3.1"] = "Cardiac Electrophysiology Waveform Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.9.4.1"] = "Basic Voice Audio Waveform Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.10"] = "Standalone Modality LUT Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.11"] = "Standalone VOI LUT Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.11.1"] = "Grayscale Softcopy Presentation State Storage SOP Class"; 
  ts["1.2.840.10008.5.1.4.1.1.12.1"] = "X-Ray Angiographic Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.12.2"] = "X-Ray Radiofluoroscoping Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.12.3"] = "X-Ray Angiographic Bi-Plane Image Storage (Retired)"; 
  ts["1.2.840.10008.5.1.4.1.1.20"] = "Nuclear Medicine Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.66"] = "Raw Data Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.66.1"] = "Spacial Registration Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.66.2"] = "Spacial Fiducials Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.77.1"] = "VL Image Storage (Retired)"; 
  ts["1.2.840.10008.5.1.4.1.1.77.2"] = "VL MultiFrame Image Storage (Retired)"; 
  ts["1.2.840.10008.5.1.4.1.1.77.1.1"] = "VL Endoscoping Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.77.1.1.1"] = "Video Endoscoping Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.77.1.2"] = "VL Microscoping Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.77.1.2.1"] = "Video Microscoping Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.77.1.3"] = "VL Slide-Coordinates Microscoping Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.77.1.4"] = "VL Photographic Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.77.1.4.1"] = "Video Photographic Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.77.1.5.1"] = "Ophthalmic Photography 8 Bit Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.77.1.5.2"] = "Ophthalmic Photography 16 Bit Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.77.1.5.3"] = "Stereometric Relationship Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.88.1"] = "SR Text Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.88.2"] = "SR Audio Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.88.3"] = "SR Detail Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.88.4"] = "SR Comprehensive Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.88.11"] = "Basic Text SR"; 
  ts["1.2.840.10008.5.1.4.1.1.88.22"] = "Enhanced SR"; 
  ts["1.2.840.10008.5.1.4.1.1.88.33"] = "Comprehensive SR"; 
  ts["1.2.840.10008.5.1.4.1.1.88.40"] = "Procedure Log Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.88.50"] = "Mammography CAD SR"; 
  ts["1.2.840.10008.5.1.4.1.1.88.59"] = "Key Object Selection Document"; 
  ts["1.2.840.10008.5.1.4.1.1.88.65"] = "Chest CAD SR"; 
  ts["1.2.840.10008.5.1.4.1.1.104.1"] = "Encapsulated PDF Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.128"] = "Positron Emission Tomography Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.129"] = "Standalone PET Curve Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.481.1"] = "RT Image Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.481.2"] = "RT Dose Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.481.3"] = "RT Structure Set Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.481.4"] = "RT Beams Treatment Record Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.481.5"] = "RT Plan Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.481.6"] = "RT Brachy Treatment Record Storage"; 
  ts["1.2.840.10008.5.1.4.1.1.481.7"] = "RT Treatment Summary Record Storage"; 
  ts["1.2.840.10008.5.1.4.1.2.1.1"] = "Patient Root Query/Retrieve Information Model - FIND"; 
  ts["1.2.840.10008.5.1.4.1.2.1.2"] = "Patient Root Query/Retrieve Information Model - MOVE"; 
  ts["1.2.840.10008.5.1.4.1.2.1.3"] = "Patient Root Query/Retrieve Information Model - GET"; 
  ts["1.2.840.10008.5.1.4.1.2.2.1"] = "Study Root Query/Retrieve Information Model - FIND"; 
  ts["1.2.840.10008.5.1.4.1.2.2.2"] = "Study Root Query/Retrieve Information Model - MOVE"; 
  ts["1.2.840.10008.5.1.4.1.2.2.3"] = "Study Root Query/Retrieve Information Model - GET"; 
  ts["1.2.840.10008.5.1.4.1.2.3.1"] = "Patient/Study Only Query/Retrieve Information Model - FIND"; 
  ts["1.2.840.10008.5.1.4.1.2.3.2"] = "Patient/Study Only Query/Retrieve Information Model - GET"; 
  ts["1.2.840.10008.5.1.4.1.2.3.3"] = "Patient/Study Only Query/Retrieve Information Model - MOVE"; 
  ts["1.2.840.10008.5.1.4.31"] = "Modality Worklist Information Model - FIND"; 
  ts["1.2.840.10008.5.1.4.32.1"] = "General Purpose Worklist Information Model - FIND"; 
  ts["1.2.840.10008.5.1.4.32.2"] = "General Purpose Scheduled Procedure Step SOP Class"; 
  ts["1.2.840.10008.5.1.4.32.3"] = "General Purpose Performed Procedure Step SOP Class"; 
  ts["1.2.840.10008.5.1.4.32"] = "General Purpose Worklist Management Meta SOP Class"; 
  ts["1.2.840.10008.5.1.4.33"] = "Instance Availability Notification SOP Class"; 
  ts["1.2.840.10008.5.1.4.37.1"] = "General Relevant Patient Information Query"; 
  ts["1.2.840.10008.5.1.4.37.2"] = "Breast Imaging Relevant Patient Information Query"; 
  ts["1.2.840.10008.5.1.4.37.3"] = "Cardiac Relevant Patient Information Query"; 
  ts["1.2.840.113619.5.2"] = "Implicit VR Big Endian DLX (G.E Private)"; 
  ts["1.3.12.2.1107.5.9.1"] = "CSA Non-Image Storage"; 
  ts["1.3.46.670589.2.5.1.1"] = "3D Subpage Storage"; 
}

void FillDefaultVRDict(VRHT &vr)
{

  vr["AE"] = "Application Entity"; 
  vr["AS"] = "Age String"; 
  vr["AT"] = "Attribute Tag"; 
  vr["CS"] = "Code String"; 
  vr["DA"] = "Date"; 
  vr["DS"] = "Decimal String"; 
  vr["DT"] = "Date Time"; 
  vr["FL"] = "Floating Point Single"; 
  vr["FD"] = "Floating Point Double"; 
  vr["IS"] = "Integer String"; 
  vr["LO"] = "Long String"; 
  vr["LT"] = "Long Text"; 
  vr["OB"] = "Other Byte String"; 
  vr["OW"] = "Other Word String"; 
  vr["OF"] = "Other Float String"; 
  vr["PN"] = "Person Name"; 
  vr["SH"] = "Short String"; 
  vr["SL"] = "Signed Long"; 
  vr["SQ"] = "Sequence of Items"; 
  vr["SS"] = "Signed Short"; 
  vr["ST"] = "Short Text"; 
  vr["TM"] = "Time"; 
  vr["UI"] = "Unique Identifier"; 
  vr["UL"] = "Unsigned Long"; 
  vr["UN"] = "Unknown"; 
  vr["US"] = "Unsigned Short"; 
  vr["UT"] = "Unlimited Text"; 
}

void FillDefaultDictGroupName(DictGroupNameHT &groupName)
{

  groupName[0x0000] = "Command"; 
  groupName[0x0002] = "Meta Elements"; 
  groupName[0x0004] = "Directory"; 
  groupName[0x0008] = "Identifing"; 
  groupName[0x0010] = "Patient"; 
  groupName[0x0012] = "Clinical Trial"; 
  groupName[0x0018] = "Acquisition"; 
  groupName[0x0020] = "Relationship"; 
  groupName[0x0028] = "Image Presentation"; 
  groupName[0x0032] = "Study"; 
  groupName[0x0038] = "Visit"; 
  groupName[0x003a] = "Waveform"; 
  groupName[0x0040] = "Procedure"; 
  groupName[0x0050] = "Device"; 
  groupName[0x0054] = "Nuclear Medicine"; 
  groupName[0x2000] = "BFS"; 
  groupName[0x2010] = "BFB"; 
  groupName[0x2020] = "BAB"; 
  groupName[0x2040] = "IOB"; 
  groupName[0x2100] = "Print Job"; 
  groupName[0x2110] = "Printer"; 
  groupName[0x3002] = "Radio Therapy"; 
  groupName[0x3004] = "DVH"; 
  groupName[0x3006] = "SSET"; 
  groupName[0x300a] = "RT"; 
  groupName[0x300b] = "RT"; 
  groupName[0x300e] = "Review"; 
  groupName[0x4000] = "Text"; 
  groupName[0x4008] = "Results"; 
  groupName[0x5000] = "Curves"; 
  groupName[0x5002] = "Curves"; 
  groupName[0x5004] = "Curves"; 
  groupName[0x5006] = "Curves"; 
  groupName[0x5008] = "Curves"; 
  groupName[0x500a] = "Curves"; 
  groupName[0x500c] = "Curves"; 
  groupName[0x500e] = "Curves"; 
  groupName[0x5010] = "Curves"; 
  groupName[0x5012] = "Curves"; 
  groupName[0x5014] = "Curves"; 
  groupName[0x5016] = "Curves"; 
  groupName[0x5018] = "Curves"; 
  groupName[0x501a] = "Curves"; 
  groupName[0x501c] = "Curves"; 
  groupName[0x501e] = "Curves"; 
  groupName[0x6000] = "Overlays"; 
  groupName[0x6002] = "Overlays"; 
  groupName[0x6004] = "Overlays"; 
  groupName[0x6006] = "Overlays"; 
  groupName[0x6008] = "Overlays"; 
  groupName[0x600a] = "Overlays"; 
  groupName[0x600c] = "Overlays"; 
  groupName[0x600e] = "Overlays"; 
  groupName[0x6010] = "Overlays"; 
  groupName[0x6012] = "Overlays"; 
  groupName[0x6014] = "Overlays"; 
  groupName[0x6016] = "Overlays"; 
  groupName[0x6018] = "Overlays"; 
  groupName[0x601a] = "Overlays"; 
  groupName[0x601c] = "Overlays"; 
  groupName[0x601e] = "Overlays"; 
  groupName[0x7fe0] = "Pixels"; 
}

typedef struct
{
   const char *type;
   unsigned short group;
   unsigned short element;
   const char *value;
} ELEMENT;

static ELEMENT dataElement[] = {

  {"metaElem" , 0x0002 , 0x0000 , "123"},                   // Meta Group Length : to be computed later
  {"metaElem" , 0x0002 , 0x0001 , "\\002\\000\\000\\000"},      // File Meta Information Version
  {"metaElem" , 0x0002 , 0x0002 , "1.2.840.10008.1.3.10"},  // Media Stored SOP Class UID i.e. : 'Media Storage Directory Storage'
  {"metaElem" , 0x0002 , 0x0003 , ""},                      // Media Stored SOP Instance UID  : may be forged later
  {"metaElem" , 0x0002 , 0x0010 , "1.2.840.10008.1.2.1"},   // Transfer Syntax UID i.e. : Explicit VR - Little Endian
  {"metaElem" , 0x0002 , 0x0012 , ""},                      // Implementation Class UID : may be forged later
  {"metaElem" , 0x0002 , 0x0013 , "gdcmLib "},              // Implementation Version Name  don't remove trailing space !
  {"metaElem" , 0x0002 , 0x0016 , " "},                     // Source Application Entity Title (our ?)
  {"metaElem" , 0x0002 , 0x0100 , ""},                      // Private Information Creator
  {"metaElem" , 0x0004 , 0x1130 , ""},                      // File-set ID
  {"metaElem" , 0x0004 , 0x1200 , "0"},                     // Offset of the first dir of root dir entity : to be computed later
  {"metaElem" , 0x0004 , 0x1202 , "0"},                     // Offset of the last  dir of root dir entity : to be computed later
  {"metaElem" , 0x0004 , 0x1212 , "-1"},                    // File-set consistency flag : 0xffff Length inconsistencies will be assumed
  {"patientElem" , 0xfffe , 0xe000 , "255"},                   // 'no length' item : length to be set to 0xffffffff later
  {"patientElem" , 0x0004 , 0x1400 , "0"},                     // Offset of next directory record : = 0x0 : fffe e00d at end !
  {"patientElem" , 0x0004 , 0x1410 , "65535"},                 // Record in use flag : 65535 = 0xFFFF (see 03_10PU.PDF p 31)
  {"patientElem" , 0x0004 , 0x1420 , "0"},                     // Offset of referenced lower-level dir entity : to be computed later
  {"patientElem" , 0x0004 , 0x1430 , "PATIENT "},              // Directory Record Type    don't remove trailing space !
  {"patientElem" , 0x0008 , 0x0005 , "ISO_IR 100"},            // Specific Character Set
  {"patientElem" , 0x0010 , 0x0010 , ""},                      // Patient's Name
  {"patientElem" , 0x0010 , 0x0020 , ""},                      // Patient ID
  {"patientElem" , 0x0010 , 0x0030 , ""},                      // Patient's Birthdate
  {"patientElem" , 0x0010 , 0x0040 , ""},                      // Patient's Sex
  {"patientElem" , 0xfffe , 0xe00d , ""},                      // Item delimitation : length to be set to ZERO later
  {"studyElem" , 0xfffe , 0xe000 , "-1"},                    // 'no length' item : length to be set to 0xffffffff later
  {"studyElem" , 0x0004 , 0x1400 , "0"},                     // Offset of next directory record : = 0x0 : fffe e00d at end !
  {"studyElem" , 0x0004 , 0x1410 , "65535"},                 // Record in use flag : 65535 = 0xFFFF (see 03_10PU.PDF p 31)
  {"studyElem" , 0x0004 , 0x1420 , "0"},                     // Offset of referenced lower-level dir entity : to be computed later
  {"studyElem" , 0x0004 , 0x1430 , "STUDY "},                // Directory Record Type    don't remove trailing space !
  {"studyElem" , 0x0008 , 0x0005 , "ISO_IR 100"},            // Specific Character Set
  {"studyElem" , 0x0008 , 0x0020 , ""},                      // Study Date
  {"studyElem" , 0x0008 , 0x0030 , ""},                      // Study Time
  {"studyElem" , 0x0008 , 0x0050 , ""},                      // Accession Number
  {"studyElem" , 0x0008 , 0x1030 , ""},                      // Study Description
  {"studyElem" , 0x0020 , 0x000d , ""},                      // Study Instance UID : may be forged later
  {"studyElem" , 0x0020 , 0x0010 , ""},                      // Study ID :           may be forged later
  {"studyElem" , 0xfffe , 0xe00d , ""},                      // Item delimitation : length to be set to ZERO later
  {"serieElem" , 0xfffe , 0xe000 , "-1"},                    // 'no length' item : length to be set to 0xffffffff later
  {"serieElem" , 0x0004 , 0x1400 , "0"},                     // Offset of next directory record : = 0x0 : fffe e00d at end !
  {"serieElem" , 0x0004 , 0x1410 , "65535"},                 // Record in use flag : 65535 = 0xFFFF (see 03_10PU.PDF p 31)
  {"serieElem" , 0x0004 , 0x1420 , "0"},                     // Offset of referenced lower-level dir entity : to be computed later
  {"serieElem" , 0x0004 , 0x1430 , "SERIES"},                // Directory Record Type    don't add trailing space !
  {"serieElem" , 0x0008 , 0x0005 , "ISO_IR 100"},            // Specific Character Set
  {"serieElem" , 0x0008 , 0x0021 , ""},                      // Series Date
  {"serieElem" , 0x0008 , 0x0031 , ""},                      // Series Time
  {"serieElem" , 0x0008 , 0x0060 , ""},                      // Modality
  {"serieElem" , 0x0008 , 0x0080 , ""},                      // Institution Name  :   may be forged later
  {"serieElem" , 0x0008 , 0x0081 , ""},                      // Institution Address : may be forged later
  {"serieElem" , 0x0008 , 0x1010 , ""},                      // Station Name
  {"serieElem" , 0x0008 , 0x1050 , ""},                      // Performing Physician's Name
  {"serieElem" , 0x0008 , 0x103e , ""},                      // Series Description :  may be forged later
  {"serieElem" , 0x0018 , 0x1030 , ""},                      // Protocol Name
  {"serieElem" , 0x0020 , 0x000e , ""},                      // Series Instance UID : may be forged later
  {"serieElem" , 0x0020 , 0x0011 , "0"},                     // Series Number :       may be forged later
  {"serieElem" , 0xfffe , 0xe00d , ""},                      // Item delimitation :   length to be set to ZERO later
  {"imageElem" , 0xfffe , 0xe000 , "-1"},                    // 'no length' item : length to be set to 0xffffffff later
  {"imageElem" , 0x0004 , 0x1400 , "0"},                     // Offset of next directory record : = 0x0 : fffe e00d at end !
  {"imageElem" , 0x0004 , 0x1410 , "65535"},                 // Record in use flag : 65535 = 0xFFFF (see 03_10PU.PDF p 31)
  {"imageElem" , 0x0004 , 0x1420 , "0"},                     // Offset of referenced lower-level dir entity : to be computed later
  {"imageElem" , 0x0004 , 0x1430 , "IMAGE "},                // Directory Record Type    don't remove trailing space !
  {"imageElem" , 0x0004 , 0x1500 , ""},                      // Referenced File ID : will be set later  =  relative File Name
  {"imageElem" , 0x0004 , 0x1510 , ""},                      // Referenced SOP Class UID in File    : may be forged later
  {"imageElem" , 0x0004 , 0x1511 , ""},                      // Referenced SOP Instance UID in File : may be forged later
  {"imageElem" , 0x0004 , 0x1512 , ""},                      // Referenced Transfer Syntax in File
  {"imageElem" , 0x0008 , 0x0005 , "ISO_IR 100"},            // Specific Character Set
  {"imageElem" , 0x0008 , 0x0008 , ""},                      // Image Type
  {"imageElem" , 0x0008 , 0x0016 , ""},                      // SOP Class UID :    to be set/forged later
  {"imageElem" , 0x0008 , 0x0018 , ""},                      // SOP Instance UID : to be set/forged later
  {"imageElem" , 0x0008 , 0x0023 , ""},                      // Content Date
  {"imageElem" , 0x0008 , 0x0033 , ""},                      // Content Time
  {"imageElem" , 0x0018 , 0x1060 , "0"},                     // Trigger Time
  {"imageElem" , 0x0020 , 0x0013 , "0"},                     // Image Number
  {"imageElem" , 0x0020 , 0x0032 , "1.0\\1.0\\1.0 "},          // Image Position Patient
  {"imageElem" , 0x0020 , 0x0037 , "1\\0\\0\\0\\1\\0 "},          // Image Orientation Patient
  {"imageElem" , 0x0020 , 0x0052 , "0"},                     // Frame of Reference UID
  {"imageElem" , 0x0020 , 0x1041 , "0.0"},                   // Slice Location
  {"imageElem" , 0x0020 , 0x4000 , ""},                      // Image Comments
  {"imageElem" , 0x0028 , 0x0002 , "1"},                     // Samples per Pixel
  {"imageElem" , 0x0028 , 0x0004 , " "},                     // Photometric Interpretation
  {"imageElem" , 0x0028 , 0x0006 , "0"},                     // Planar Configuration
  {"imageElem" , 0x0028 , 0x0008 , "1"},                     // Number of Frames
  {"imageElem" , 0x0028 , 0x0010 , "0"},                     // Rows
  {"imageElem" , 0x0028 , 0x0011 , "0"},                     // Columns
  {"imageElem" , 0x0028 , 0x0030 , "1.0\\1.0 "},              // Pixel Spacing
  {"imageElem" , 0x0028 , 0x0100 , " "},                     // Bits Allocated
  {"imageElem" , 0x0028 , 0x0101 , " "},                     // Bits Stored
  {"imageElem" , 0x0028 , 0x0103 , " "},                     // Pixel Representation
  {"imageElem" , 0x0028 , 0x1052 , "0 "},                    // Rescale Intercept
  {"imageElem" , 0x0028 , 0x1053 , "1 "},                    // Rescale Slope
  {"imageElem" , 0x0050 , 0x0004 , "0"},                     // Calibration Image
  {"imageElem" , 0xfffe , 0xe00d , ""},                      // Item delimitation : length to be set to ZERO later 
 {0,0,0,0}
};

void FillDefaultDIRDict(DicomDirElement *dde)
{
   unsigned int i = 0;
   ELEMENT e = dataElement[i];
   Element elem;
   DicomDirType type;
   std::string strType;

   while( e.type != 0 )
   {
      // Force to use the string comparision operator ==
      strType = e.type;
      if( strType == "metaElem" )
         type = DD_META;
      else if( strType == "patientElem" )
         type = DD_PATIENT;
      else if( strType == "studyElem" )
         type = DD_STUDY;
      else if( strType == "serieElem" )
         type = DD_SERIE;
      else if( strType == "imageElem" )
         type = DD_IMAGE;
      else
         type = DD_UNKNOWN;

      elem.Group = e.group;
      elem.Elem  = e.element;
      elem.Value = e.value;
      dde->AddEntry( type, elem);
      e = dataElement[++i];
   }
}

} //end gdcm namespace
#endif

